package com.jusfoun.ydylsz.controller;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.zjbg.ZjbgService;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.jusfoun.ydylsz.vo.zjbg.ZjbgVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@Api(description = "油罐倒仓信息接口")
@RestController
@RequestMapping(value = "/ygdcxx")
public class YgDcxxController {

	@Autowired
	private ZjbgService zjbgService;

	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectZjbgList")
	public RootResult<PageInfo<ZjbgVO>> selectZjbgList(@RequestBody ZjbgVO vo) {
		RootResult<PageInfo<ZjbgVO>> r = new RootResult<PageInfo<ZjbgVO>>();
		try {
			r.setData(zjbgService.selectZjbgList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "质检详情", notes = "参数：zjid")
	@GetMapping(value = "/selectZjbgDetail/{zjid}")
	public RootResult<Object> selectZjbgDetail(@PathVariable("zjid") String zjid) {
		RootResult<Object> r = new RootResult<Object>();
		try {
			ZjbgVO result = zjbgService.selectZjbgDetail(zjid);
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}
}
