package com.jusfoun.ydylsz.controller.dxp;

import com.alibaba.fastjson.JSONObject;
import com.jusfoun.ydylsz.service.CheckWeightService;
import com.jusfoun.ydylsz.vo.CheckWeightVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author by PIG
 * 2023/7/7 10
 */
@Api(value = "检斤", tags = "检斤")
@Slf4j
@RestController
@RequestMapping("/check_weight")
public class CheckWeightController {

    @Autowired
    private CheckWeightService checkWeightService;

    @ApiOperation(value = "粮情卡分页列表", notes = "粮情卡对象")
    @PostMapping(value = "/list")
    public RootResult<Object> listData(@RequestBody JSONObject params,
                                       @RequestParam("pageNum") int pageNum,
                                       @RequestParam("pageSize") int pageSize) {
        RootResult<Object> result = new RootResult<>();
        try {
            List<CheckWeightVO> data = checkWeightService.listData(params, pageNum, pageSize);
            result.setData(data);
            result.setCode(200);
            result.setMsg("请求成功");
        } catch (Exception e) {
            result.setMsg(e.getMessage());
            e.printStackTrace();
            result.setCode(500);
        }
        return result;
    }
}
