package	com.jusfoun.ydylsz.controller.dxp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPCFXXService;
import com.jusfoun.ydylsz.vo.DXPCFXXVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;



/**
 * DXP_CFXX--表4-4 仓房信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPCFXX")
@Api(description="DXP_CFXX--表4-4 仓房信息数据接口")
public class DXPCFXXController{

	@Autowired
	private DXPCFXXService dxpcfxxService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPCFXXVO>> selectList(@RequestBody DXPCFXXVO vo){
		RootResult<PageInfo<DXPCFXXVO>> r = new RootResult<PageInfo<DXPCFXXVO>>();
		try {
			r.setData(dxpcfxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPCFXXVO> selectDetail(@RequestParam String cfbh){
		RootResult<DXPCFXXVO> r = new RootResult<DXPCFXXVO>();
		try {
			r.setData(dxpcfxxService.selectDetail(cfbh));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}