package	com.jusfoun.ydylsz.controller.dxp;

import com.jusfoun.ydylsz.constants.ApiTag;
import com.jusfoun.ydylsz.service.DXPKHXXService;
import com.jusfoun.ydylsz.util.WebUtil;
import com.jusfoun.ydylsz.vo.*;

import java.io.IOException;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

import com.unis.common.utils.FieldUtil;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.JxlModelExcelUtil;
import com.unis.common.vo.base.BaseVO;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPHWXXService;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.jusfoun.ydylsz.vo.yg.YgDcxxVO;
import com.github.pagehelper.PageInfo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


/**
 * DXP_HWXX--表4-7 货位信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPHWXX")
@Api(description="DXP_HWXX--表4-7 货位信息数据接口")
public class DXPHWXXController{

	@Autowired
	private DXPHWXXService dxphwxxService;
	@Autowired
	private DXPKHXXService dxpkhxxService;

	//列表查询
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPHWXXVO>> selectList(@RequestBody DXPHWXXVO vo){
		RootResult<PageInfo<DXPHWXXVO>> r = new RootResult<>();
		try {
			r.setData(dxphwxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


    //列表查询
    @ApiOperation(value = "分页查询", notes = "参数：无", tags = {ApiTag.DEPOT_DETAIL_PAGE})
    @PostMapping(value = "/pageList/{pageNum}/{pageSize}")
    public RootResult<PageInfo<DCfxxsjyVO>> pageList(@RequestBody DCfxxsjyVO vo, @PathVariable("pageNum") Integer pageNum, @PathVariable("pageSize") Integer pageSize) {
        RootResult<PageInfo<DCfxxsjyVO>> r = new RootResult<>();
        try {
            PageInfo<DCfxxsjyVO> ls = dxphwxxService.pageList(vo, pageNum, pageSize);
            r.setData(ls);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

	//库存查询(账面/公司实物)
	@ApiOperation(value = "库存查询---库级实物")
	@PostMapping(value = "/exportPageList")
	public void exportManagerRainFloodConditionPageList(HttpServletRequest request, HttpServletResponse response
			, @RequestBody DCfxxsjyVO vo
			, @RequestParam(value= "fields", required = false) String fields) throws IOException {
		PageInfo<DCfxxsjyVO> pageInfo=dxphwxxService.pageList(vo, 1, Integer.MAX_VALUE);
		List<DCfxxsjyVO> list= pageInfo.getList();
		if(list!=null){
			for(DCfxxsjyVO dCfxxsjyVO: list){
				Double kcsl=dCfxxsjyVO.getKcsl();
				if(kcsl!=null){
					String kcslStr=String.format("%.3f",kcsl/1000d);
					dCfxxsjyVO.setKcslStr(kcslStr);
				}
			}
		}

		List dataList= JsonUtils.parseList(JsonUtils.serialize(pageInfo.getList()), Map.class);
		//fileName导出文件名
		String fileName= "库存查询---库级实物.xls";
		//sheetName表格名
		String sheetName= "库存查询---库级实物";
		//headMap表头Map, key为属性名, value为展示名,根据实际情况修改
		LinkedHashMap<String, String> headMap= new LinkedHashMap();
		FieldUtil.getPoweredOrderedFields(headMap, new DCfxxsjyVO(), new BaseVO());
		if(StringUtils.isNotEmpty(fields)){
			FieldUtil.resloveImportFields(fields, headMap);
		}
		JxlModelExcelUtil.exportExcel(request, response, fileName, dataList, sheetName, headMap);
	}


	@ApiOperation(value = "分页查询-油罐", notes = "参数：无")
	@PostMapping(value = "/pageYgList/{pageNum}/{pageSize}")
	public RootResult<PageInfo<DCfxxsjyVO>> pageYgList(@RequestBody DCfxxsjyVO vo,@PathVariable("pageNum") Integer pageNum,@PathVariable("pageSize") Integer pageSize){
		RootResult<PageInfo<DCfxxsjyVO>> r = new RootResult<PageInfo<DCfxxsjyVO>>();
		try {
			PageInfo<DCfxxsjyVO> ls=dxphwxxService.pageYgList(vo,pageNum,pageSize);
			List<DCfxxsjyVO> list=ls.getList();
			if(list!=null){
				for(DCfxxsjyVO dCfxxsjyVO: list){
					Double kcsl=dCfxxsjyVO.getKcsl();
					if(kcsl!=null){
						String kcslStr=String.format("%.3f",kcsl/1000d);
						dCfxxsjyVO.setKcslStr(kcslStr);
					}
				}
			}
			r.setData(ls);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


    //列表查询
    @ApiOperation(value = "仓房详情查询", notes = "参数：无")
    @PostMapping(value = "/cfinfo/{cfbh}")
    public RootResult<DCfxxsjyVO> cfinfo(@PathVariable("cfbh") String cfbh) {
        RootResult<DCfxxsjyVO> r = new RootResult<DCfxxsjyVO>();
        try {
            r.setData(dxphwxxService.cfinfo(cfbh));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

    //列表查询
	@ApiOperation(value = "悬浮窗查询查房信息", notes = "参数：无")
	@PostMapping(value = "/xfcCfxx/{cfbh}")
	public RootResult<DCfxxsjyVO> cfxx(@PathVariable("cfbh") String cfbh){
		RootResult<DCfxxsjyVO> r = new RootResult<DCfxxsjyVO>();
		try {
			r.setData(dxphwxxService.cfxx(cfbh));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


	//详情
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPHWXXVO> selectDetail(@RequestBody DXPHWXXVO vo){
		RootResult<DXPHWXXVO> r = new RootResult<DXPHWXXVO>();
		try {
			r.setData(dxphwxxService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	//详情
	@ApiOperation(value = "库存统计", notes = "参数：无")
	@PostMapping(value = "kctj")
	public RootResult<List<KctjVO>> kctj(String kqbm){
		RootResult<List<KctjVO>> r = new RootResult<List<KctjVO>>();
		try {
			r.setData(dxphwxxService.kctj(kqbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	//货位卡信息获取
	@ApiOperation(value = "货位卡信息获取", notes = "参数：无")
	@PostMapping(value = "selectHWCard")
	public RootResult<DXPHWXXVO> selectHWCard(@RequestParam String hwbm,String hwqysj){
		RootResult<DXPHWXXVO> r = new RootResult<DXPHWXXVO>();
		try {
			DXPHWXXVO vo = null;
			vo = dxphwxxService.selectHWCard(hwbm,hwqysj);
			if(vo != null) {
				vo = (DXPHWXXVO)WebUtil.resObject(vo);
			}else {
				DXPHWXXVO vo1 = new DXPHWXXVO();
				vo = (DXPHWXXVO)WebUtil.resObject(vo1);
			}
			/*DXPHWXXVO vo = (DXPHWXXVO)WebUtil.resObject(dxphwxxService.selectHWCard(hwbm,hwqysj));*/
			r.setData(vo);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "获取时间下拉", notes = "参数：无")
	@PostMapping(value = "queryTime")
	public RootResult<List<String>> queryTime(String hwbm){
		RootResult<List<String>> r = new RootResult<List<String>>();
		try {
			r.setData(dxphwxxService.queryTime(hwbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "倒仓列表", notes = "参数：hwbm")
	@PostMapping(value = "dcxxList")
	public RootResult<PageInfo<DXPDCXX>> selextDcxxList(@RequestBody DXPDCXX vo){
		RootResult<PageInfo<DXPDCXX>> r = new RootResult<PageInfo<DXPDCXX>>();
		try {
			r.setData(dxphwxxService.selextDcxxList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "倒仓详情", notes = "参数：hwbm 来自油罐列表id，tzdbh 来自倒仓列表 ")
	@PostMapping(value = "dcxxDetail")
	public RootResult<DXPDCXX> dcxxDetail(String dcdbh){
		RootResult<DXPDCXX> r = new RootResult<DXPDCXX>();
		try {
			DXPDCXX vo = null;
			vo = dxphwxxService.dcxxDetail(dcdbh);
			if(vo != null) {
				vo = (DXPDCXX)WebUtil.resObject(vo);
			}else {
				DXPDCXX vo1 = new DXPDCXX();
				vo = (DXPDCXX)WebUtil.resObject(vo1);
			}
			r.setData(vo);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "损益单列表", notes = "参数：hwbm")
	@PostMapping(value = "sydList")
	public RootResult<PageInfo<DXPSYDVO>> sydList(@RequestBody DXPHWXXVO vo){
		RootResult<PageInfo<DXPSYDVO>> r = new RootResult<PageInfo<DXPSYDVO>>();
		try {
			r.setData(dxphwxxService.sydList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "损益单详情", notes = "参数：hwbm")
	@PostMapping(value = "sydDetail")
	public RootResult<DXPSYDVO> sydDetail(String sydbm){
		RootResult<DXPSYDVO> r = new RootResult<DXPSYDVO>();
		try {
			DXPSYDVO obj = null;
			obj = dxphwxxService.sydDetail(sydbm);
			if(obj != null) {
				obj = (DXPSYDVO) WebUtil.resObject(obj);
			}else {
				DXPSYDVO obj1 = new DXPSYDVO();
				obj = (DXPSYDVO) WebUtil.resObject(obj1);
			}
			r.setData(obj);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "性质转换列表", notes = "参数：hwbm")
	@PostMapping(value = "xzzhList")
	public RootResult<PageInfo<DXPXZZHVO>> xzzhList(@RequestBody DXPHWXXVO vo){
		RootResult<PageInfo<DXPXZZHVO>> r = new RootResult<PageInfo<DXPXZZHVO>>();
		try {
			r.setData(dxphwxxService.xzzhList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "性质转换详情", notes = "参数：xzzbdbh")
	@PostMapping(value = "xzzhDetail")
	public RootResult<DXPXZZHVO> xzzhDetail(String xzzbdbh){
		RootResult<DXPXZZHVO> r = new RootResult<DXPXZZHVO>();
		try {
			DXPXZZHVO obj = null;
			obj = dxphwxxService.xzzhDetail(xzzbdbh);
			if(obj != null) {
				obj = (DXPXZZHVO) WebUtil.resObject(obj);
			}else {
				DXPXZZHVO vo1 = new DXPXZZHVO();
				obj = (DXPXZZHVO) WebUtil.resObject(vo1);
			}
			r.setData(obj);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


	@ApiOperation(value = "油罐--倒仓信息列表", notes = "参数：hwbm")
	@PostMapping(value = "ygdcxxList")
	public RootResult<PageInfo<YgDcxxVO>> ygdcxxList(@RequestBody DXPHWXXVO vo){
		RootResult<PageInfo<YgDcxxVO>> r = new RootResult<PageInfo<YgDcxxVO>>();
		try {
			r.setData(dxphwxxService.ygdcxxList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "油罐--倒仓信息详情", notes = "参数：tzbbh,hwbm")
	@PostMapping(value = "ygdcxxDetail")
	public RootResult<YgDcxxVO> ygdcxxDetail(@RequestBody YgDcxxVO vo){
		RootResult<YgDcxxVO> r = new RootResult<YgDcxxVO>();
		try {
			r.setData(dxphwxxService.ygdcxxDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
}
