package com.jusfoun.ydylsz.controller.dxp;

import java.text.SimpleDateFormat;
import java.util.*;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.jusfoun.ydylsz.constants.ApiTag;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.alibaba.fastjson.JSONObject;
import com.hikvision.artemis.sdk.ArtemisHttpUtil;
import com.hikvision.artemis.sdk.config.ArtemisConfig;
import com.jusfoun.ydylsz.pojo.KshHlhtSbxx;
import com.jusfoun.ydylsz.pojo.KshInsertAndUpdate;
import com.jusfoun.ydylsz.pojo.NodeTemp;
import com.jusfoun.ydylsz.pojo.TreeNode;
import com.jusfoun.ydylsz.service.DXPKQSPService;
import com.jusfoun.ydylsz.service.KshHlhtSbxxService;
import com.jusfoun.ydylsz.service.KshHlhtZzjgService;
import com.jusfoun.ydylsz.vo.ControllingRequest;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import redis.clients.jedis.Jedis;

@RestController
@RequestMapping("/DXPKQSP")
@Api(description="DXP_KQSP--表4-6 库区视频数据接口")
public class DXPKQSPController {

	@Autowired
	private DXPKQSPService dxpkqspService;
	private Jedis jedis;

	@Autowired
	private KshHlhtZzjgService kshHlhtZzjgService;

	@Autowired
	private KshHlhtSbxxService kshHlhtSbxxService;

	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	@ResponseBody
	public RootResult<Object> selectList(String kqbm){
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<Map<String,Object>> dataList = dxpkqspService.selectList(kqbm);
			r.setData(dataList);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	//列表查询
	@ApiOperation(value = "摄像头列表查询-按库点及仓房编号", notes = "列表查询")
	@PostMapping(value = "/selectByKqbmAndCfbhList")
	public RootResult<Object> selectByKqbmAndCfbhList(String kqbm,String cfbh){
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<Map<String,Object>> dataList=dxpkqspService.selectByKqbmAndCfbhList(kqbm,cfbh);
			r.setData(dataList);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


	//列表查询
		@ApiOperation(value = "摄像头列表查询-按库点及仓房编号", notes = "列表查询")
		@PostMapping(value = "/selectByCfbh")
		public RootResult<Object> selectByCfbh(String cfbh){
			RootResult<Object> r = new RootResult<Object>();
			try {
				String dataList = dxpkqspService.selectByCfbh(cfbh);
				r.setData(dataList);
			} catch (Exception e) {
				e.printStackTrace();
			}
			return r;
		}

	@ApiOperation(value = "摄像头查询-按库点查询化验室", notes = "列表查询")
	@PostMapping(value = "/selectByKqbm")
	public RootResult<List<String>> selectByKddm(String kqbm){
		RootResult<List<String>> r = new RootResult<List<String>>();
		try {
			List<String> dataList = dxpkqspService.selectByKddm(kqbm);
			r.setData(dataList);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	public String GetCameraPreviewURL1(Integer pageNo,Integer pageSize,Integer type) {
		/**
		* STEP1：设置平台参数，根据实际情况,设置host appkey appsecret 三个参数.
		*/
		ArtemisConfig.host = "10.69.3.1:443"; // artemis网关服务器ip端口
		ArtemisConfig.appKey = "24012924"; // 秘钥appkey   28116466
		ArtemisConfig.appSecret = "uHzSYRUJpnCVCJSIEUWc";// 秘钥appSecret   W9zihM0hNRsnNic3zuKM

		// 政务外网
		/*ArtemisConfig.host = "106.3.145.75:443"; // artemis网关服务器ip端口
		ArtemisConfig.appKey = "28116466"; // 秘钥appkey    28116466
		ArtemisConfig.appSecret = "W9zihM0hNRsnNic3zuKM";*/// 秘钥appSecret   W9zihM0hNRsnNic3zuKM

		/**
		* STEP2：设置OpenAPI接口的上下文
		*/
		final String ARTEMIS_PATH = "/artemis";

		String body = null;

		String contentType = null;

		Map  path = new HashMap();

		if(type == 1) {   // 获取区域列表
			/**
			* STEP3：设置接口的URI地址
			*/
			final String previewURLsApi = ARTEMIS_PATH +
			"/api/irds/v2/region/nodesByParams";     // 获取区域列表
			path = new HashMap (2) {
			{
			put("https://", previewURLsApi);//根据现场环境部署确认是http还是https
			}
			};

			/**
			* STEP4：设置参数提交方式
			*/
			contentType = "application/json";

			/**
			* STEP5：组装请求参数
			*/
			JSONObject jsonBody = new JSONObject();

			// 获取区域列表所要传的参数
			jsonBody.put("pageNo", pageNo);
			jsonBody.put("pageSize", pageSize);
			jsonBody.put("resourceType", "camera");
			jsonBody.put("cascadeFlag", 0);


			body = jsonBody.toJSONString();
		}else {

			/**
			* STEP3：设置接口的URI地址
			*/
			final String previewURLsApi = ARTEMIS_PATH +
			"/api/resource/v1/cameras";     // 获取分页监控点资源
			path = new HashMap (2) {
			{
			put("https://", previewURLsApi);//根据现场环境部署确认是http还是https
			}
			};

			/**
			* STEP4：设置参数提交方式
			*/
			contentType = "application/json";

			/**
			* STEP5：组装请求参数
			*/
			JSONObject jsonBody = new JSONObject();

			// 获取分页监控点资源参数
			jsonBody.put("pageNo", pageNo);
			jsonBody.put("pageSize", pageSize);


			body = jsonBody.toJSONString();
		}


		/**
		* STEP6：调用接口
		*/
		String result = ArtemisHttpUtil.doPostStringArtemis(path, body, null, null,contentType , null);// post请求application/json类型参数
		return result;
		}


	@ApiOperation(value = "查看海康设备总数", notes="查看海康设备总数")
    @RequestMapping(value = "/queryHaiKangCount", method = RequestMethod.POST)
    @ResponseBody
    public RootResult<Object> queryHaiKangCount(){
		 RootResult<Object> r = new RootResult<Object>();
		 try {
			 Integer pageNo = 1;
	         Integer pageSize = 1;

			 String resultSB = GetCameraPreviewURL1(pageNo,pageSize,2);

	         JSONObject jsonStringSB = JSONObject.parseObject(resultSB);

	         JSONObject jsonDataSB = jsonStringSB.getJSONObject("data");

	         Integer jsonTotalSB = jsonDataSB.getInteger("total");

	         KshInsertAndUpdate kshInsertAndUpdate = new KshInsertAndUpdate();
	         kshInsertAndUpdate.setInsertNum(jsonTotalSB);
	         r.setData(kshInsertAndUpdate);
		 }catch (Exception e) {
	         r.failure("手动同步异常");
	         e.printStackTrace();
	     }
         return r;
	}

	@ApiOperation(value = "手动同步(优化方法)", notes="手动同步(优化方法)")
    @RequestMapping(value = "/synchronizationHand", method = RequestMethod.POST)
    @ResponseBody
    public RootResult<Object> synchronizationHand(String zzjgId){
		RootResult<Object> r = new RootResult<Object>();
		try {
			kshHlhtZzjgService.deleteTemp();

			System.out.println("组织机构Id------" + zzjgId);

            //更新组织机构
            Integer pageNo = 1;
            Integer pageSize = 1;
            Map<String,Object> map = new HashMap<>();
            Map<String,Object> mapSb = new HashMap<>();
            String result = GetCameraPreviewURL1(pageNo,pageSize,1);

            System.out.println("数据------" + result);
            JSONObject jsonString = JSONObject.parseObject(result);
            JSONObject jsonData = jsonString.getJSONObject("data");
            Integer jsonTotal = jsonData.getInteger("total");   // 总条数
            System.out.println("组织机构总条数为----------" + jsonTotal +"----------------------");

            if(jsonTotal > 0) {
            	Integer pageNum = jsonTotal / 100 + 1;  // 判断循环几次
                for (int i = 1; i <= pageNum; i++) {
                    String resultData = GetCameraPreviewURL1(i, 100, 1);
                    // 将String转化为json数据
                    JSONObject objData = JSONObject.parseObject(resultData);
                    JSONObject jsonObjData = objData.getJSONObject("data");
                    List<JSONObject> arrayList = JSON.parseArray(jsonObjData.getString("list"), JSONObject.class);
                    for (JSONObject obj : arrayList) {
                        NodeTemp nodeTemp = new NodeTemp();
                        nodeTemp.setFid(obj.getString("parentIndexCode"));
                        nodeTemp.setZid(obj.getString("indexCode"));
                        nodeTemp.setName(obj.getString("name"));
                        nodeTemp.setLeaf(obj.getString("leaf"));
                        kshHlhtZzjgService.saveTemp(nodeTemp);
                    }
                }
            }
            System.out.println("================================组织机构更新完成 全删全插====================================");

            SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            // 更新设备
            int x = 0;
            int y = 0;
            String resultSB = GetCameraPreviewURL1(pageNo, pageSize, 2);
            JSONObject jsonStringSB = JSONObject.parseObject(resultSB);
            JSONObject jsonDataSB = jsonStringSB.getJSONObject("data");
            Integer jsonTotalSB = jsonDataSB.getInteger("total");   // 总条数

            System.out.println("设备总条数为----------" + jsonTotalSB + "----------------------");

            if (jsonTotalSB > 0) {
                Integer pageNum = jsonTotalSB / 100 + 1;  // 判断循环几次
                for (int i = 1; i <= pageNum; i++) {
                    String resultData = GetCameraPreviewURL1(i, 100, 2);
                    // 将String转化为json数据
                    JSONObject objData = JSONObject.parseObject(resultData);
                    JSONObject jsonObjData = objData.getJSONObject("data");
                    List<JSONObject> arrayList = JSON.parseArray(jsonObjData.getString("list"),JSONObject.class);
                    for (JSONObject obj : arrayList) {
                        KshHlhtSbxx bean = new KshHlhtSbxx();
                        String status = obj.getString("status");   // 在线状态
                        String statusName = obj.getString("statusName");   // 在线状态
                        bean.setSbId(obj.getString("gbIndexCode"));
                        if (status != null) {
                            Integer stat = Integer.parseInt(status);
                            if (stat != null) {
                                if (Integer.parseInt(status) == 1) {   // 1-在线，2-离线      ----- >    0：在线；1离线
                                    bean.setSfzx(0);
                                } else if (Integer.parseInt(status) == 2) {
                                    bean.setSfzx(1);
                                }
                            }
                        } else {
                            bean.setSfzx(0);
                        }
                        System.out.println(bean.getSbId() + "=====在线状态=====" + obj.getString("statusName"));
                        bean.setZzjgdm(obj.getString("regionIndexCode"));
                        bean.setJkdmc(obj.getString("cameraName"));
                        bean.setCjsj(df.parse(df.format(new Date())));
                        bean.setAzwwlx(obj.getString("installLocation"));
                        bean.setJkdbm(obj.getString("cameraIndexCode"));
                        KshHlhtSbxx sbxxInfo = kshHlhtSbxxService.queryBySbId(obj.getString("cameraIndexCode"));
                        if (sbxxInfo == null) {
                            // 先去temp临时表中查询leaf为true的库区名称
                            List<NodeTemp> tempList = kshHlhtZzjgService.queryKqmcByTrue(obj.getString("regionIndexCode"));

                            for (NodeTemp nodeTemp : tempList) {
                    			 /*TreeNode treeNode1 = kshHlhtZzjgService.queryById(nodeTemp.getFid());
                    			 if(treeNode1 != null) {
                    				 bean.setKqmc(treeNode1.getZzmc());
                    			 }*/
                                // 查询安防，仓内，业务的上级库区名称
                                if (nodeTemp.getName().equals("安防") || nodeTemp.getName().equals("仓内") || nodeTemp.getName().equals("仓外") || nodeTemp.getName().equals("业务")) {
                                    TreeNode treeNode1 = kshHlhtZzjgService.queryById(nodeTemp.getFid());
                                    if (treeNode1 != null) {
                                        bean.setKqmc(treeNode1.getZzmc());
                                    }
                                } else {
                                    bean.setKqmc(nodeTemp.getName());
                                }
                                if (nodeTemp.getName().equals("仓内")) {
                                    bean.setSfcn("1");
                                } else if (nodeTemp.getName().equals("仓外")) {
                                    bean.setSfcn("2");
                                } else if (nodeTemp.getName().equals("安防")) {
                                    bean.setSfcn("5");
                                } else if (nodeTemp.getName().equals("业务")) {
                                    bean.setSfcn("6");
                                }
                                System.out.println(bean.getSbId() + "=====" + nodeTemp.getName());
                            }
                            System.out.println("--------------------新增设备信息 --------------");
                            kshHlhtSbxxService.insertKshHlhtSbxx(bean);
                            x++;
                        } else {
                            // 先去temp临时表中查询leaf为true的库区名称
                            List<NodeTemp> tempList = kshHlhtZzjgService.queryKqmcByTrue(obj.getString("regionIndexCode"));
                            for (NodeTemp nodeTemp : tempList) {
								/* TreeNode treeNode1 = kshHlhtZzjgService.queryById(nodeTemp.getFid());
								 if(treeNode1 != null) {
									 sbxxInfo.setKqmc(treeNode1.getZzmc());
								 }*/
                                // 查询安防，仓内，业务的上级库区名称
                                if (nodeTemp.getName().equals("安防") || nodeTemp.getName().equals("仓内") || nodeTemp.getName().equals("仓外") || nodeTemp.getName().equals("业务")) {
                                    TreeNode treeNode1 = kshHlhtZzjgService.queryById(nodeTemp.getFid());
                                    if (treeNode1 != null) {
                                        bean.setKqmc(treeNode1.getZzmc());
                                    }
                                } else {
                                    bean.setKqmc(nodeTemp.getName());
                                }
                                if (nodeTemp.getName().equals("仓内")) {
                                    sbxxInfo.setSfcn("1");
                                } else if (nodeTemp.getName().equals("仓外")) {
                                    sbxxInfo.setSfcn("2");
                                } else if (nodeTemp.getName().equals("安防")) {
                                    sbxxInfo.setSfcn("5");
                                } else if (nodeTemp.getName().equals("业务")) {
                                    sbxxInfo.setSfcn("6");
                                }
                                System.out.println(bean.getSbId() + "=====" + nodeTemp.getName());
                            }
                            sbxxInfo.setJkdbm(bean.getJkdbm());
                            sbxxInfo.setZzjgdm(bean.getZzjgdm());
                            sbxxInfo.setSfzx(bean.getSfzx());
                            sbxxInfo.setJkdmc(bean.getJkdmc());
                            kshHlhtSbxxService.updateKshHlhtSbxx(sbxxInfo);
                            y++;
                            System.out.println("--------------------更新设备信息-------------");
                        }/*else{
                             if(sbxxInfo.getSfzx().equals(bean.getSfzx())){

                            	 // 先去temp临时表中查询leaf为true的库区名称
                            	 List<NodeTemp> tempList = kshHlhtZzjgService.queryKqmcByTrue(obj.getString("regionIndexCode"));

                            	 for (NodeTemp nodeTemp : tempList) {

                        			 TreeNode treeNode1 = kshHlhtZzjgService.queryById(nodeTemp.getFid());
                        			 if(treeNode1 != null) {
                        				 sbxxInfo.setKqmc(treeNode1.getZzmc());
                        			 }
    							 }

                            	 kshHlhtSbxxService.updateKshHlhtSbxx(sbxxInfo);

                             }else {
                                 sbxxInfo.setSfzx(bean.getSfzx());
                                 kshHlhtSbxxService.updateKshHlhtSbxx(sbxxInfo);
                                 y++;
                                 System.out.println("--------------------更新设备信息-------------");
                             }
                         }*/
                    }
                }
            }

            KshInsertAndUpdate kshInsertAndUpdate = new KshInsertAndUpdate();
            kshInsertAndUpdate.setInsertNum(x);
            kshInsertAndUpdate.setUpdateNum(y);
            kshInsertAndUpdate.setCreateTime(new SimpleDateFormat("yyyy-dd-MM HH:mm:ss").format(new Date()));
            System.out.println("=============================设备更新完成====================================");
            r.setData(kshInsertAndUpdate);
        } catch (Exception e) {
            r.failure("手动同步异常");
            e.printStackTrace();
        }
        return r;
	}


	/*@ApiOperation(value = "云台控制", notes = "参数：无")
	@PostMapping(value = "/yuntaiControl")
	@ResponseBody
	public RootResult<Object> yuntaiControl(String cameraIndexCode,Integer action,String command,Integer speed,Integer presetIndex){
		RootResult<Object> r = new RootResult<Object>();
		try {

			String resultData = dxpkqspService.yuntaiControl(cameraIndexCode,action,command,speed,presetIndex);
			r.setData(resultData);

		} catch (Exception e) {
			e.printStackTrace();
		}
		   return r;
	}*/

	@ApiOperation(value = "云台控制", notes="云台控制")
	@RequestMapping(value = "/yuntaiControl", method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> yuntaiControl(ControllingRequest controllingRequest) {
		RootResult<Object> r = new RootResult<Object>();
		try {

			Integer presetIndex = 0;

			controllingRequest.setCameraIndexCode(controllingRequest.getCameraIndexCode());  // 获取监控点编码

			String resultData = GetCameraPreviewURL(controllingRequest,2);

			JSONObject objData = JSONObject.parseObject(resultData);

            JSONObject jsonObjData = objData.getJSONObject("data");

            JSONArray arrayList = JSON.parseArray(jsonObjData.getString("list"));

            Iterator<Object> it = arrayList.iterator();

            while (it.hasNext()) {

                JSONObject obj = (JSONObject) it.next();

                presetIndex = obj.getInteger("presetPointIndex");

            }

			controllingRequest.setPresetIndex(presetIndex);  // 预置点编码

			String resultData1 = GetCameraPreviewURL(controllingRequest,1);

			r.setData(resultData1);

		} catch (Exception e) {
			r.failure("云台控制异常");
			e.printStackTrace();
		}
		return r;
	}


	public static String GetCameraPreviewURL(ControllingRequest controllingRequest,Integer type) {

		/**
		* STEP1：设置平台参数，根据实际情况,设置host appkey appsecret 三个参数.
		*/
		// 外网的
		ArtemisConfig.host = "10.69.3.1:443"; // artemis网关服务器ip端口
		ArtemisConfig.appKey = "24012924"; // 秘钥appkey
		ArtemisConfig.appSecret = "uHzSYRUJpnCVCJSIEUWc";// 秘钥appSecret


		// 内网的
//		ArtemisConfig.host = "172.16.13.3:443"; // artemis网关服务器ip端口
//		ArtemisConfig.appKey = "26469219"; // 秘钥appkey    28116466
//		ArtemisConfig.appSecret = "w4GKdMLvVTxDLUgtzV2L";// 秘钥appSecret   W9zihM0hNRsnNic3zuKM


		// 政务外网
		/*ArtemisConfig.host = "192.168.7.101:443"; // artemis网关服务器ip端口
		ArtemisConfig.appKey = "22129988"; // 秘钥appkey    28116466
		ArtemisConfig.appSecret = "vHvyP8OJV5uLoApXMaGS";*/// 秘钥appSecret   W9zihM0hNRsnNic3zuKM

		/**
		* STEP2：设置OpenAPI接口的上下文
		*/
		final String ARTEMIS_PATH = "/artemis";

		String body = null;

		String contentType = null;

		Map  path = new HashMap();

		if(type == 1) {

			/**
			* STEP3：设置接口的URI地址
			*/
			final String previewURLsApi = ARTEMIS_PATH +
			"/api/video/v1/ptzs/controlling";

			path = new HashMap (2) {
			{
			put("https://", previewURLsApi);//根据现场环境部署确认是http还是https
			}
			};

			/**
			* STEP4：设置参数提交方式
			*/
			contentType = "application/json";

			/**
			* STEP5：组装请求参数
			*/

			body=JSON.toJSONString(controllingRequest);

		}else {

			/**
			* STEP3：设置接口的URI地址
			*/
			final String previewURLsApi = ARTEMIS_PATH +
			"/api/video/v1/presets/searches";

			path = new HashMap (2) {
			{
			put("https://", previewURLsApi);//根据现场环境部署确认是http还是https
			}
			};

			/**
			* STEP4：设置参数提交方式
			*/
			contentType = "application/json";

			/**
			* STEP5：组装请求参数
			*/

			body=JSON.toJSONString(controllingRequest);

		}

		/**
		* STEP6：调用接口
		*/
		String result = ArtemisHttpUtil.doPostStringArtemis(path, body, null, null,
		contentType , null);// post请求application/json类型参数
		return result;
	}

	@ApiOperation(value="组织机构树展示", notes="组织机构树展示")
    @RequestMapping(value = "/queryList",method = RequestMethod.POST)
	@ResponseBody
	public RootResult<List<TreeNode>> queryList() {
		RootResult<List<TreeNode>> r = new RootResult<List<TreeNode>>();
		try {
			List<TreeNode> resultList = new ArrayList<TreeNode>();
//			jedis= RedisUtil.getJedis();
			// jedis.del("tree");  // 清掉Jedis tree这个索引的值
			/*if(jedis.get("tree")!=null){
				resultList = JSON.parseArray(jedis.get("tree"),TreeNode.class);
			}else{*/
				// 查询父节点Id
				List<TreeNode> nodeList = dxpkqspService.queryParentId();   // 0 这个父节点
				for (TreeNode treeNode : nodeList) {
					if(treeNode.getZid() != null) {
						TreeNode node = getTree(treeNode);
						if(node != null) {
							resultList.add(node);
						}
					}
				}

				/*String tree = JSON.toJSONString(resultList);
				jedis.set("tree",tree);*/
			/*}*/
			r.setData(resultList);

		}catch (Exception e) {
			r.failure("分页列表异常");
			e.printStackTrace();
		}
		return r;
	}

	private TreeNode getTree(TreeNode treeNode) {
		// 所有子类得数据
		List<TreeNode> childList = dxpkqspService.queryChildListById(treeNode.getZid());
		if(childList != null) {
			treeNode.setChildren(childList);
			for(TreeNode childNode : childList) {
				if(childNode.getZid() != null) {
					getTree(childNode);
				}
			}
		}
		return treeNode;
	}

	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/queryTreeByKq")
	@ResponseBody
	public RootResult<List<Map<String,Object>>> queryTreeByKq(String kddm) {
		RootResult<List<Map<String,Object>>> r = new RootResult<List<Map<String,Object>>>();
		List<Map<String,Object>> list = new ArrayList<>();
		String classStrId = dxpkqspService.queryClassStrId(kddm);
		if(StringUtils.isNotEmpty(classStrId)) {
			list = dxpkqspService.queryChildren(classStrId);
			for(Map<String,Object> map : list) {
				String zzjgdm = map.get("class_str_id").toString();
				List<Map> children = dxpkqspService.selectByKqbmListByZzjgdm(zzjgdm);
				map.put("children",children);
			}
			r.setData(list);
		}
		return r;
	}

    @ApiOperation(value = "随机获取视频地址", notes = "参数：无", tags = {ApiTag.CBL_HOME_PAGE})
    @GetMapping(value = "/get_random_one")
    @ResponseBody
    public RootResult<Map<String, Object>> getRandomOne() {
        RootResult<Map<String, Object>> r = new RootResult<>();
        Map<String, Object> data = dxpkqspService.getRandomOne();
        r.setData(data);
        return r;
    }

	@ApiOperation(value = "摄像头列表查询", notes = "列表查询")
	@PostMapping(value = "/selectByKqdmAndCfdmList")
	public RootResult<Object> selectByKqdmAndCfdmList(String kqdm,String cfdm){
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<Map<String,Object>> dataList=dxpkqspService.selectByKqdmAndCfdmList(kqdm,cfdm);
			r.setData(dataList);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
}
