package	com.jusfoun.ydylsz.controller.dxp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPLSCRKXXService;
import com.jusfoun.ydylsz.util.WebUtil;
import com.jusfoun.ydylsz.vo.DXPLSCRKXXVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;



/**
 * DXP_LSCRKXX--表4-9 粮食出入库信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPLSCRKXX")
@Api(description="DXP_LSCRKXX--表4-9 粮食出入库信息数据接口")
public class DXPLSCRKXXController{

	@Autowired
	private DXPLSCRKXXService dxplscrkxxService;

		//列表查询	
	@ApiOperation(value = "列表查询(入库)", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPLSCRKXXVO>> selectList(@RequestBody DXPLSCRKXXVO vo){
		RootResult<PageInfo<DXPLSCRKXXVO>> r = new RootResult<PageInfo<DXPLSCRKXXVO>>();
		try {
			r.setData(dxplscrkxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "列表查询(出库)", notes = "参数：无")
	@PostMapping(value = "/selectCkList")
	public RootResult<PageInfo<DXPLSCRKXXVO>> selectCkList(@RequestBody DXPLSCRKXXVO vo){
		RootResult<PageInfo<DXPLSCRKXXVO>> r = new RootResult<PageInfo<DXPLSCRKXXVO>>();
		try {
			r.setData(dxplscrkxxService.selectCkList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "列表查询(出库入库倒仓)", notes = "参数：无")
	@PostMapping(value = "/selectRkAndCkList")
	public RootResult<PageInfo<DXPLSCRKXXVO>> selectRkAndCkList(@RequestBody DXPLSCRKXXVO vo){
		RootResult<PageInfo<DXPLSCRKXXVO>> r = new RootResult<PageInfo<DXPLSCRKXXVO>>();
		try {
			r.setData(dxplscrkxxService.selectRkAndCkList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPLSCRKXXVO> selectDetail(@RequestBody DXPLSCRKXXVO vo){
		RootResult<DXPLSCRKXXVO> r = new RootResult<DXPLSCRKXXVO>();
		try {
			r.setData(dxplscrkxxService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "入库详情", notes = "参数：无")
	@PostMapping(value = "selectByRkDetail")
	public RootResult<DXPLSCRKXXVO> selectByRkDetail(String mdbh,String hwbm){
		RootResult<DXPLSCRKXXVO> r = new RootResult<DXPLSCRKXXVO>();
		try {
			DXPLSCRKXXVO vo = null;
			vo = dxplscrkxxService.selectByRkDetail(mdbh,hwbm);	
			if(vo != null) {
				vo = (DXPLSCRKXXVO)WebUtil.resObject(vo);	
			}else {
				DXPLSCRKXXVO vo1 = new DXPLSCRKXXVO();
				vo = (DXPLSCRKXXVO)WebUtil.resObject(vo1);	
			}			
			r.setData(vo);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "出库详情", notes = "参数：无")
	@PostMapping(value = "selectByCkDetail")
	public RootResult<DXPLSCRKXXVO> selectByCkDetail(String mdbh,String hwbm){
		RootResult<DXPLSCRKXXVO> r = new RootResult<DXPLSCRKXXVO>();
		try {
			DXPLSCRKXXVO vo = null;
			vo = dxplscrkxxService.selectByCkDetail(mdbh,hwbm);
			if(vo != null) {
				vo = (DXPLSCRKXXVO)WebUtil.resObject(vo);
			}else {
				DXPLSCRKXXVO vo1 = new DXPLSCRKXXVO();
				vo = (DXPLSCRKXXVO)WebUtil.resObject(vo1);
			}				
			r.setData(vo);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

}