package com.jusfoun.ydylsz.controller.dxp;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.jusfoun.ydylsz.service.DXPMYSQLDATAService;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/DXPMYSQLDATA")
@Api(description="库级获取粮温数据")
public class DXPMYSQLDATAController {

	@Autowired
	private DXPMYSQLDATAService dxpmysqldataService;
	
	private static Logger log = LoggerFactory.getLogger(DXPMYSQLDATAController.class);
	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<Object> selectList(String cfbm){
		RootResult<Object> r = new RootResult<Object>();
		try {
			dxpmysqldataService.selectList(cfbm);
		}catch(Exception e) {
			log.error("测温接口异常", e);
			e.printStackTrace();
		}
		return r;
	}

}
