package	com.jusfoun.ydylsz.controller.dxp;

import com.jusfoun.ydylsz.vo.AreaOut;
import com.jusfoun.ydylsz.vo.DXPKQXXVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPQYXXService;
import com.jusfoun.ydylsz.vo.DXPQYXXVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;

import java.util.List;


/**
 * DXP_QYXX--表4-2 企业信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPQYXX")
@Api(description="DXP_QYXX--表4-2 企业信息数据接口")
public class DXPQYXXController{

	@Autowired
	private DXPQYXXService dxpqyxxService;

		//列表查询	
	@ApiOperation(value = "首页模糊搜索", notes = "参数：DXPQYXXVO")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPQYXXVO>> selectList(@RequestBody DXPQYXXVO vo){
		RootResult<PageInfo<DXPQYXXVO>> r = new RootResult<PageInfo<DXPQYXXVO>>();
		try {
			r.setData(dxpqyxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
		//地图企业信息
		@ApiOperation(value = "地图列表查询", notes = "参数：行政区划xzqhdm")
		@PostMapping(value = "/selectListGis")
		public RootResult<List<DXPQYXXVO>> selectListGis(@RequestBody String xzqhdm){
			RootResult<List<DXPQYXXVO>> r = new RootResult<List<DXPQYXXVO>>();
			try {
				r.setData(dxpqyxxService.selectListGis(xzqhdm));
			} catch (Exception e) {
				e.printStackTrace();
			}
			return r;
		}

	//地区检索列表
	@ApiOperation(value = "地区检索企业列表", notes = "参数：AreaOut")
	@PostMapping(value = "/selectListArea")
	public RootResult<PageInfo<DXPQYXXVO>> selectListArea(@RequestBody AreaOut vo){
		RootResult<PageInfo<DXPQYXXVO>> r = new RootResult<PageInfo<DXPQYXXVO>>();
		try {
			r.setData(dxpqyxxService.selectListArea(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPQYXXVO> selectDetail(@RequestBody DXPQYXXVO vo){
		RootResult<DXPQYXXVO> r = new RootResult<DXPQYXXVO>();
		try {
			r.setData(dxpqyxxService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}