package	com.jusfoun.ydylsz.controller.dxp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPRYXXService;
import com.jusfoun.ydylsz.vo.DXPRYXXVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;



/**
 * DXP_RYXX--表4-8 人员信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPRYXX")
@Api(description="DXP_RYXX--表4-8 人员信息数据接口")
public class DXPRYXXController{

	@Autowired
	private DXPRYXXService dxpryxxService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPRYXXVO>> selectList(@RequestBody DXPRYXXVO vo){
		RootResult<PageInfo<DXPRYXXVO>> r = new RootResult<PageInfo<DXPRYXXVO>>();
		try {
			r.setData(dxpryxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPRYXXVO> selectDetail(@RequestBody DXPRYXXVO vo){
		RootResult<DXPRYXXVO> r = new RootResult<DXPRYXXVO>();
		try {
			r.setData(dxpryxxService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}