package com.jusfoun.ydylsz.controller.dxp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.DXPTFZYJGService;
import com.jusfoun.ydylsz.util.WebUtil;
import com.jusfoun.ydylsz.vo.DXPTFZYJGVO;
import com.jusfoun.ydylsz.vo.DXPXZZYJGVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/DXPTFZYJG")
@Api(description="DXP_TFZYJG-- 通风作业监管数据接口")
public class DXPTFZYJGController {

	@Autowired
	private DXPTFZYJGService dxptfzyjgService;
	
	//通风信息获取
		@ApiOperation(value = "通风信息获取", notes = "参数：无")
		@PostMapping(value = "selectTFInfo")
		public RootResult<DXPTFZYJGVO> selectTFInfo(@RequestParam String tfzybm){
			RootResult<DXPTFZYJGVO> r = new RootResult<DXPTFZYJGVO>();
			try {
				DXPTFZYJGVO vo = null;
				vo = dxptfzyjgService.selectTFInfo(tfzybm);
				if(vo != null) {
					vo = (DXPTFZYJGVO)WebUtil.resObject(vo);
				}else {
					DXPTFZYJGVO vo1 = new DXPTFZYJGVO(); 
					vo = (DXPTFZYJGVO)WebUtil.resObject(vo1);
				}
				r.setData(vo);
			} catch (Exception e) {
				e.printStackTrace();
			}
			return r;
		}
		
		//通风列表信息获取
		@ApiOperation(value = "通风列表信息获取", notes = "参数：无")
		@PostMapping(value = "selectListTF")
		public RootResult<PageInfo<DXPTFZYJGVO>> selectListTF(@RequestBody DXPTFZYJGVO vo){
			RootResult<PageInfo<DXPTFZYJGVO>> r = new RootResult<PageInfo<DXPTFZYJGVO>>();
			try {
				r.setData(dxptfzyjgService.selectListTF(vo));
			} catch (Exception e) {
				e.printStackTrace();
			}
			return r;
		}
		
		//熏蒸信息获取
		@ApiOperation(value = "熏蒸列表信息获取", notes = "参数：无")
		@PostMapping(value = "selectListXZ")
		public RootResult<PageInfo<DXPXZZYJGVO>> selectListXZ(@RequestBody DXPXZZYJGVO vo){
			RootResult<PageInfo<DXPXZZYJGVO>> r = new RootResult<PageInfo<DXPXZZYJGVO>>();
			try {
				r.setData(dxptfzyjgService.selectListXZ(vo));
			} catch (Exception e) {
				e.printStackTrace();
			}
			return r;
		}

		//熏蒸信息获取
		@ApiOperation(value = "熏蒸信息获取", notes = "参数：无")
		@PostMapping(value = "selectXZInfo")
		public RootResult<DXPXZZYJGVO> selectXZInfo(@RequestParam String xzzybm){
			RootResult<DXPXZZYJGVO> r = new RootResult<DXPXZZYJGVO>();
			try {
				DXPXZZYJGVO vo = null;
				vo = dxptfzyjgService.selectXZInfo(xzzybm);
				if(vo != null) {
					vo = (DXPXZZYJGVO)WebUtil.resObject(vo);
				}else {
					DXPXZZYJGVO vo1 = new DXPXZZYJGVO();
					vo = (DXPXZZYJGVO)WebUtil.resObject(vo1);
				}
				r.setData(vo);
			} catch (Exception e) {
				e.printStackTrace();
			}
			return r;
		}
}
