package	com.jusfoun.ydylsz.controller.dxp;

import com.jusfoun.ydylsz.service.DXPCFXXService;
import com.jusfoun.ydylsz.service.DXPPointService;
import com.jusfoun.ydylsz.vo.DXPCFXXVO;
import com.jusfoun.ydylsz.vo.KqImageVO;
import com.jusfoun.ydylsz.vo.PointVO;
import com.jusfoun.ydylsz.vo.TreeNode;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
  *  展示信息
 * @author lidaoquan
 */
@RestController
@RequestMapping("/point")
@Api(description="描点信息数据接口")
public class DXPTotalController{

	/*@Autowired
	private DXPAJXXService dxpajxxService;*/
	@Autowired
	private DXPPointService dxpPointService;

	@Autowired
	private DXPCFXXService dxpcfxxService;


/*	//列表查询
	@ApiOperation(value = "首页数据 库点数量 企业数量", notes = "首页数据 库点数量 企业数量")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPAJXXVO>> selectList(@RequestBody DXPAJXXVO vo){
		RootResult<PageInfo<DXPAJXXVO>> r = new RootResult<PageInfo<DXPAJXXVO>>();
		try {
			r.setData(dxpajxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}*/

	//详情
	@ApiOperation(value = "描点图-新增", notes = "参数：point")
	@PostMapping(value = "/savePoint")
	public RootResult<Object> savePoint(@RequestBody PointVO point){
		RootResult<Object> r = new RootResult<Object>();
		try {
			dxpPointService.savePoint(point);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	//详情
	@ApiOperation(value = "描点图-新增批量", notes = "参数：point")
	@PostMapping(value = "/savePointBatch")
	public RootResult<Object> savePointBatch(@RequestBody List<PointVO> pointList){
		RootResult<Object> r = new RootResult<Object>();
		dxpPointService.deletePoint(pointList.get(0).getKqbh());
		try {
			for(PointVO point : pointList){
				dxpPointService.savePoint(point);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

/*	@ApiOperation(value = "描点图-修改", notes = "参数：point")
	@PostMapping(value = "/updatePoint")
	public RootResult<Object> updatePoint(@RequestBody PointVO point){
		RootResult<Object> r = new RootResult<Object>();
		try {
			dxpPointService.updatePoint(point);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}*/
	@ApiOperation(value = "描点图-删除所有点位", notes = "参数：kqbh")
	@PostMapping(value = "/deletePoint")
	public RootResult<Object> deletePoint(@RequestParam String kqbh){
		RootResult<Object> r = new RootResult<Object>();
		try {
			dxpPointService.deletePoint(kqbh);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "描点图-详情", notes = "参数：kqbh")
	@PostMapping(value = "/pointDetail")
	public RootResult<List<PointVO>> pointDetail(@RequestParam String kqbh){
		RootResult<List<PointVO>> r = new RootResult<List<PointVO>>();
		try {
			List<PointVO> list = dxpPointService.pointDetail(kqbh);
			for(PointVO pointVO:list){
				if("0".equals(pointVO.getType())){
					DXPCFXXVO dxpcfxxvo = dxpcfxxService.selectDetail(pointVO.getIndex());
					pointVO.setDxpcfxxvo(dxpcfxxvo);
				}
			}
			r.setData(list);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "描点图-详情", notes = "参数：kqbh")
	@PostMapping(value = "/selectPointDetailByEntity")
	public RootResult<List<PointVO>> selectPointDetailByEntity(@RequestBody PointVO pointVO){
		RootResult<List<PointVO>> r = new RootResult<List<PointVO>>();
		try {
			List<PointVO> list = dxpPointService.selectPointDetailByEntity(pointVO);
			for(PointVO pointVOTemp:list){
				if("0".equals(pointVOTemp.getType())){
					DXPCFXXVO dxpcfxxvo = dxpcfxxService.selectDetail(pointVOTemp.getIndex());
					pointVOTemp.setDxpcfxxvo(dxpcfxxvo);
				}
			}
			r.setData(list);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


	//详情
	@ApiOperation(value = "库区和库区图-新增", notes = "参数：point")
	@PostMapping(value = "/saveImage")
	public RootResult<Object> saveImage(@RequestBody KqImageVO kqImageVO){
		RootResult<Object> r = new RootResult<Object>();
		try {
			dxpPointService.saveImage(kqImageVO);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
/*	@ApiOperation(value = "库区和库区图-修改", notes = "参数：point")
	@PostMapping(value = "/updateImage")
	public RootResult<Object> updateImage(@RequestBody KqImageVO kqImageVO){
		RootResult<Object> r = new RootResult<Object>();
		try {
			dxpPointService.updateImage(kqImageVO);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}*/
	@ApiOperation(value = "库区和库区图-详情", notes = "参数：kqbh")
	@PostMapping(value = "/imageDetail")
	public RootResult<KqImageVO> imageDetail(@RequestParam String kqbh){
		RootResult<KqImageVO> r = new RootResult<KqImageVO>();
		try {
			r.setData(dxpPointService.imageDetail(kqbh));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "描点图-仓房和视频头接口", notes = "参数：kqbh，type")
	@PostMapping(value = "/indexData")
	public RootResult<List<TreeNode>> indexData(@RequestParam String type,@RequestParam String kqbh){
		RootResult<List<TreeNode>> r = new RootResult<List<TreeNode>>();
		try {
			r.setData(dxpPointService.indexData(kqbh,type));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}