package com.jusfoun.ydylsz.controller.dxp;

import com.jusfoun.ydylsz.service.FileService;
import com.jusfoun.ydylsz.util.PathTool;
import com.jusfoun.ydylsz.vo.SysResource;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.Date;
@RestController
@RequestMapping("/file")
@Api(description="文件上传")
public class FileController {
    @Autowired
    private FileService fileService;

    private static Logger log = LoggerFactory.getLogger(FileController.class);


    @ApiOperation(value = "上传图片或视频", notes = "参数：图片对象或视频")
    @RequestMapping(value = "/upload",method = RequestMethod.POST, consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    @ResponseBody
    public RootResult<SysResource> upload(@RequestBody MultipartFile file, HttpServletRequest request) {
        RootResult<SysResource> r = new RootResult<SysResource>();
        try {
            String uploadPath = PathTool.makeRealWebpicPath(request, null, new Date());
            System.out.println("===================================================3"+uploadPath);
            Integer imgWidth = Integer.valueOf(
                    StringUtils.isBlank(request.getParameter("imgWidth")) ? "100" : request.getParameter("imgWidth"));
            Integer imgHeight = Integer.valueOf(
                    StringUtils.isBlank(request.getParameter("imgHeight")) ? "100" : request.getParameter("imgHeight"));
            SysResource res = fileService.executeUpload(request, new Date(), uploadPath, file, imgWidth, imgHeight);
            r.setData(res);
        } catch (Exception e) {
            log.error( "保存对象，发生异常", e.getMessage() );
        }
        return r;
    }




}
