package com.jusfoun.ydylsz.controller.dxp;

import java.io.IOException;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

import com.unis.common.utils.FieldUtil;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.JxlModelExcelUtil;
import com.unis.common.vo.base.BaseVO;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.DXPTFZYJGService;
import com.jusfoun.ydylsz.service.LsckService;
import com.jusfoun.ydylsz.service.PestService;
import com.jusfoun.ydylsz.service.TemperatureService;
import com.jusfoun.ydylsz.util.WebUtil;
import com.jusfoun.ydylsz.vo.DXPTFZYJGVO;
import com.jusfoun.ydylsz.vo.XwkChjc;
import com.jusfoun.ydylsz.vo.XwkLsckxx;
import com.jusfoun.ydylsz.vo.XwkSfjcjl;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@RestController
@RequestMapping("/lsck")
@Api(description="出库信息")
public class LsckxxController {

	@Autowired
	private LsckService lsckService;
	
	//通风信息获取
	@ApiOperation(value = "出库列表", notes = "参数：统一社会信用代码")
	@GetMapping(value = "/list/{cfbh}")
	public RootResult<Object> list(@PathVariable("cfbh") String cfbh){
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<XwkLsckxx> result = lsckService.list(cfbh);
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}
	
	//通风信息获取
		@ApiOperation(value = "出库详情", notes = "参数：统一社会信用代码")
		@GetMapping(value = "/info/{ckywdh}")
		public RootResult<Object> info(@PathVariable("ckywdh") String ckywdh){
			RootResult<Object> r = new RootResult<Object>();
			try {
				XwkLsckxx result = lsckService.info(ckywdh);
				r.setData(result);
				r.setCode(200);
				r.setMsg("请求成功");
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}
		
		@ApiOperation(value = "出库分页", notes = "参数：统一社会信用代码")
		@PostMapping(value = "/page/{pageNum}/{pageSize}")
		public RootResult<Object> page(@RequestBody XwkLsckxx xwkLsckxx,@PathVariable("pageNum") Integer pageNum,@PathVariable("pageSize") Integer pageSize){
			RootResult<Object> r = new RootResult<Object>();
			try {
				PageInfo<XwkLsckxx> result = lsckService.page(xwkLsckxx,pageNum,pageSize);
				r.setData(result);
				r.setCode(200);
				r.setMsg("请求成功");
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}

	//出库明细
	@ApiOperation(value = "出库明细")
	@PostMapping(value = "/exportPage")
	public void exportManagerRainFloodConditionPageList(HttpServletRequest request, HttpServletResponse response
			, @RequestBody XwkLsckxx xwkLsckxx
			, @RequestParam(value= "fields", required = false) String fields) throws IOException {
		PageInfo<XwkLsckxx> pageInfo=lsckService.page(xwkLsckxx, 1, Integer.MAX_VALUE);

		List dataList= JsonUtils.parseList(JsonUtils.serialize(pageInfo.getList()), Map.class);
		//fileName导出文件名
		String fileName= "出库明细.xls";
		//sheetName表格名
		String sheetName= "出库明细";
		//headMap表头Map, key为属性名, value为展示名,根据实际情况修改
		LinkedHashMap<String, String> headMap= new LinkedHashMap();
		FieldUtil.getPoweredOrderedFields(headMap, new XwkLsckxx(), new BaseVO());
		if(StringUtils.isNotEmpty(fields)){
			FieldUtil.resloveImportFields(fields, headMap);
		}
		JxlModelExcelUtil.exportExcel(request, response, fileName, dataList, sheetName, headMap);
	}
}
