package com.jusfoun.ydylsz.controller.dxp;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.LsckygService;
import com.jusfoun.ydylsz.vo.XwkLsckxx;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/lsckyg")
@Api(description="油罐出库信息")
public class LsckygxxController {

	@Autowired
	private LsckygService lsckService;
	
	//通风信息获取
	@ApiOperation(value = "出库列表", notes = "参数：统一社会信用代码")
	@GetMapping(value = "/list/{cfbh}")
	public RootResult<Object> list(@PathVariable("cfbh") String cfbh){
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<XwkLsckxx> result = lsckService.list(cfbh);
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}
	
	//通风信息获取
		@ApiOperation(value = "出库详情", notes = "参数：统一社会信用代码")
		@GetMapping(value = "/info/{ckywdh}")
		public RootResult<Object> info(@PathVariable("ckywdh") String ckywdh){
			RootResult<Object> r = new RootResult<Object>();
			try {
				XwkLsckxx result = lsckService.info(ckywdh);
				r.setData(result);
				r.setCode(200);
				r.setMsg("请求成功");
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}
		
		@ApiOperation(value = "出库分页", notes = "参数：统一社会信用代码")
		@PostMapping(value = "/page/{pageNum}/{pageSize}")
		public RootResult<Object> page(@RequestBody XwkLsckxx xwkLsckxx,@PathVariable("pageNum") Integer pageNum,@PathVariable("pageSize") Integer pageSize){
			RootResult<Object> r = new RootResult<Object>();
			try {
				PageInfo<XwkLsckxx> result = lsckService.page(xwkLsckxx,pageNum,pageSize);
				r.setData(result);
				r.setCode(200);
				r.setMsg("请求成功");
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}
}
