package com.jusfoun.ydylsz.controller.dxp;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.DXPTFZYJGService;
import com.jusfoun.ydylsz.service.PestService;
import com.jusfoun.ydylsz.service.TemperatureService;
import com.jusfoun.ydylsz.service.ZljcService;
import com.jusfoun.ydylsz.util.WebUtil;
import com.jusfoun.ydylsz.vo.DXPTFZYJGVO;
import com.jusfoun.ydylsz.vo.XwkChjc;
import com.jusfoun.ydylsz.vo.XwkSfjcjl;
import com.jusfoun.ydylsz.vo.XwkZljyxx;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/zljc")
@Api(description="质量信息")
public class ZljcController {

	@Autowired
	private ZljcService zljcService;

		
		@ApiOperation(value = "质量列表", notes = "参数：库区名称，仓房名称，品种")
		@PostMapping(value = "/list")
		public RootResult<Object> list(@RequestBody XwkZljyxx xwkChjc){
			RootResult<Object> r = new RootResult<Object>();
			try {
				List<XwkZljyxx> result = zljcService.list(xwkChjc);
				r.setData(result);
				r.setCode(200);
				r.setMsg("请求成功");
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}
		
		
		@ApiOperation(value = "质量详情", notes = "参数：库区名称，仓房名称，品种")
		@PostMapping(value = "/info/{zljcid}")
		public RootResult<Object> list(@PathVariable("zljcid")String zljcid){
			RootResult<Object> r = new RootResult<Object>();
			try {
				XwkZljyxx result = zljcService.info(zljcid);
				r.setData(result);
				r.setCode(200);
				r.setMsg("请求成功");
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}
		
		
		@ApiOperation(value = "质量列表", notes = "参数：库区名称，仓房名称，品种")
		@PostMapping(value = "/page/{pageNo}/{pageSize}")
		public RootResult<Object> page(@RequestBody XwkZljyxx xwkChjc,@PathVariable("pageNo") Integer pageNo,@PathVariable("pageSize") Integer pageSize){
			RootResult<Object> r = new RootResult<Object>();
			try {
				PageInfo<XwkZljyxx> result = zljcService.page(xwkChjc,pageNo,pageSize);
				r.setData(result);
				r.setCode(200);
				r.setMsg("请求成功");
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}
}
