package com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.pojo.*;
import com.jusfoun.ydylsz.vo.BaseInfoSummarizeVO;
import com.jusfoun.ydylsz.vo.XwkKcxx;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface CommonMapper {

	List<HwxxVO> selectHwxxUnited(HwxxVO hwxxVO);

	List<OrgInfoVO> selectOrgInfo(OrgInfoVO orgInfoVO);

	List<KcqkVO> selectKcqkPage(KcqkVO kcqkVO);

    List<KcqkVO> selectKcqkPageRole(KcqkVO kcqkVO);

	List<WdVO> selectWdPage(WdVO wdVO);

	List<XwkKcxx > selectKcxxByEntity(XwkKcxx  xwkKcxx);

	Integer selectHwslCount(XwkKcxx  xwkKcxx);
	Integer selectCfslCount(Map<String, Object>  params);

	Double selectLszkcCount(Map<String, Object>  params);

	Date selectLastest(XwkKcxx  xwkKcxx);

    Integer selectHwslCountQlb(@Param("areacode") String areacode,
                               @Param("orgcode") String orgcode,
                               @Param("isCity6") Boolean isCity6);

    Double selectLszkcCountQlb(@Param("areacode") String areacode,
                               @Param("orgcode") String orgcode,
                               @Param("isCity6") Boolean isCity6);

	Integer selectHwslCountGxgs(@Param("orgcode")String orgcode);

	Double selectLszkcCountGxgs(@Param("orgcode")String orgcode);

	List<HwVO> selectHwxxUnitedRole(@Param("areacode")String areacode,@Param("orgcode")String orgcode);

	List<OrgResultVO> selectOrgInfoNew(OrgInfoVO orgInfoVO);

	List<WdVO> selectWdPageLgd(WdVO wdVO);

	List<WdVO> selectWdPageRole(WdVO wdVO);

	List<HwVO> selectOrgFirst();

	List<HwVO> selectHwxxUnit(HwxxVO hwxxVO);

	HwVO selectHwxxInfo(@Param("areacode")String areacode,@Param("orgcode")String orgcode);

	List<HwVO> selectGxList(@Param("orgcode")String orgcode);

	HwVO selectHwxx(@Param("orgcode")String orgcode);

	List<HwVO> selectHwxxUnitedRoles(@Param("areacode")String areacode,@Param("orgcode")String orgcode);

	List<HwVO> selectHwxxUnits(HwxxVO hwxxVO);

    InventoryDetailVO getInventoryDetail(XwkKcxx xwkKcxx);

    /**
     * @param qybm
     * @param tyshxydm
     * @return
     */
    InventoryDetailVO getInventoryDetail(@Param("qybm") String qybm, @Param("tyshxydm") String tyshxydm);

    List<BaseInfoSummarizeVO> listBaseInfo(Map<String, Object> params);

    /**
     *
     * @param tyshxydm 统一信用代码
     * @return 【年度】集合
     */
    List<String> listYearByCode(String tyshxydm);

    List<XwkKcxx> groupByVarAndYear(String tyshxydm);

    List<EchartsDouble> groupByLevel(String tyshxydm);
    List<EchartsDouble> groupByCharacter(String tyshxydm);

    /**
     * @serialData 2023年7月24日
     * @param qybm
     * @param tyshxydm
     * @param queryDate
     * @return
     */
    List<InventoryDetailVO> getInventoryDetailVer2(@Param("qybm") String qybm, @Param("tyshxydm") String tyshxydm, @Param("queryDate") String queryDate);
}
