/*
 * StorageQualityCheckInspectionDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-11-06 15:57:36 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.jusfoun.ydylsz.mapper;

import com.github.pagehelper.Page;
import com.jusfoun.ydylsz.vo.StorageQualityCheckInspectionVO;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表
 * @author lipenghe at 2020-11-06 15:57:36
 */
@org.apache.ibatis.annotations.Mapper
public interface StorageQualityCheckInspectionDao {
    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>根据实体的某些属性查询列表,会覆盖数据库默认值
     * @param entity    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntity(StorageQualityCheckInspectionVO entity);

    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>选择性插入字段,只插入非空的属性对应的字段
     * @param entity    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntitySelective(StorageQualityCheckInspectionVO entity);

    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>更改状态
     * @param entity    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(StorageQualityCheckInspectionVO entity);

    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>根据实体某些属性更新全部字段,会覆盖数据库默认值)
     * @param entity    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(StorageQualityCheckInspectionVO entity);

    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>根据实体不为空的属性,选择性更新字段,只更新非空的属性对应的字段
     * @param entity    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(StorageQualityCheckInspectionVO entity);

    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param checkInspectionVO    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(StorageQualityCheckInspectionVO checkInspectionVO);

    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>[假删除]根据实体的某些属性进行单条或者批量删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param checkInspectionVO    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(StorageQualityCheckInspectionVO checkInspectionVO);

    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>根据实体的某些属性查询数量
     * @param checkInspectionVO    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(StorageQualityCheckInspectionVO checkInspectionVO);

    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>根据实体的业务唯一属性(且非指定主键数据)判断是否存在
     * @param checkInspectionVO    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectExistsByEntity(StorageQualityCheckInspectionVO checkInspectionVO);

    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>根据实体(唯一标示)查询一条数据
     * @param checkInspectionVO    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    StorageQualityCheckInspectionVO selectById(StorageQualityCheckInspectionVO checkInspectionVO);

    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>根据实体的某些属性查询分页数据
     * @param checkInspectionVO    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<StorageQualityCheckInspectionVO> selectPageByEntity(StorageQualityCheckInspectionVO checkInspectionVO);

    /**
     * <STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表>根据实体的某些属性查询列表
     * @param checkInspectionVO    <质量检查信息详情表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<StorageQualityCheckInspectionVO> selectByEntity(StorageQualityCheckInspectionVO checkInspectionVO);

}