package com.jusfoun.ydylsz.mapper;

import java.util.List;
import java.util.Map;

import com.jusfoun.ydylsz.pojo.KqxxVO;
import com.jusfoun.ydylsz.pojo.TzSlqyDO;
import com.jusfoun.ydylsz.vo.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import tk.mybatis.mapper.common.Mapper;

/**
 *
 * @ClassName: TzSlqyDao
 * @Description: TzSlqyDao
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22
 *
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TzSlqyDao  extends Mapper<CompanyVO> {

	/**
	 * 获取企业列表
	 * @param params 参数
	 * @return
	 */
	List<CompanyVO> getCompanyList(Map<String, Object> params);

	List<CompanyVO> getTypeList(CompanyQueryVO companyQueryVO);

	List<CompanyVO> getkucunList(CompanyVO companyVO);

	List<KucunObject> getPzList(@Param("kddm")String kddm);

	List<KucunObject> getXzList(@Param("kddm")String kddm);

	List<KucunObject> getNxList(@Param("kddm")String kddm);

	List<ConpanyStyle> companystyle(@Param("kddm")String kqbm);

	String getZkc(String dwdm);

	List<CompanyVO> getkcList(CompanyVO cpyVO);
    List<CompanyVO> getkcListQlb(CompanyVO cpyVO);
    List<CompanyVO> getkcListGxgs(CompanyVO cpyVO);

    TzSlqyDO selectSlqyByQybm(String qybm);

	TzSlqyDO selectQYByQybm(String levelCode);

    List<CompanyVO> getCompanyQlbList(@Param("qymc")String qymc,@Param("areacode")String areacode,@Param("orgcode")String orgcode);

	List<CompanyVO> getCompanyGxgsList(@Param("qymc")String qymc,@Param("orgcode")String orgcode);
    List<CompanyVO> listCity6Company(@Param("qymc")String qymc, @Param("city6District")List<String> city6District);

	List<CompanyVO> getTypeRoleList(CompanyQueryVO companyQueryVO);

	KqxxVO selectByQybm(@Param("qybm")String qybm);

	List<CompanyVO> getCompanyInfo(ParameVo parameVo);

}
