package com.jusfoun.ydylsz.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jusfoun.ydylsz.vo.zjbg.ZbVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Table;
import java.util.Date;
import java.util.List;


@Data
@ApiModel(value = "record_soybean_info--大豆登统信息表")
@Table(name="record_soybean_info")
public class SoybeanVO {
	
	@ApiModelProperty(value = "主键id")
	private	String id;	//db_column:id	note:主键

	@ApiModelProperty(value = "组织编号")
	private	Integer org_id;	//db_column:cfbh	note:组织编号
	
	@ApiModelProperty(value = "车辆编号")
	private	String clbh;	//db_column:clbh	note:车辆编号
	
	@ApiModelProperty(value = "仓房名称")
	private	String cfmc;	//db_column:cfmc	note:仓房名称
	
	@ApiModelProperty(value = "货位名称")
	private	String hwmc;	//db_column:hwmc	note:货位名称
	
	@ApiModelProperty(value = "品种名称")
	private	String pzmc;	//db_column:pzmc	note:品种名称
	
	@ApiModelProperty(value = "生产年度")
	private	String scnd;	//db_column:scnd	note:生产年度


	@ApiModelProperty(value = "入库时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date rkrq;	//db_column:rkrq	note:入库时间
	
	@ApiModelProperty(value = "入库数量")
	private	String rksl;	//db_column:rksl	note:入库数量
	
	@ApiModelProperty(value = "等级")
	private	String dj;	//db_column:dj	note:等级
	
	@ApiModelProperty(value = "水分%")
	private	String sf;	//db_column:sf	note:水分%
	
	@ApiModelProperty(value = "完整粒率%")
	private	String wzll;	//db_column:rz	note:完整粒率%

	@ApiModelProperty(value = "未熟粒率%")
	private	String wsll;	//db_column:zzzl	note:未熟粒率%

	@ApiModelProperty(value = "=杂质总量%")
	private	String zzzl;	//db_column:zzzl	note:杂质总量%
	
	@ApiModelProperty(value = "无机杂质%")
	private	String wjzz;	//db_column:wjzz	note:无机杂质%
	
	@ApiModelProperty(value = "有机杂质%")
	private	String yjzz;	//db_column:yjzz	note:有机杂质%
	
	@ApiModelProperty(value = "损伤粒率总量%")
	private	String ssllzl;	//db_column:ssllzl	note:损伤粒率总量%
	
	@ApiModelProperty(value = "热损伤粒%")
	private	String rssl;	//db_column:csl	note:热损伤粒%

	@ApiModelProperty(value = "虫蚀粒%")
	private	String csl;	//db_column:bbl	note:虫蚀粒%
	
	@ApiModelProperty(value = "病斑粒%")
	private	String bbl;	//db_column:bbl	note:病斑粒%
	
	@ApiModelProperty(value = "生芽、涨大粒%")
	private String syzdl;

	@ApiModelProperty(value = "生霉粒%")
	private String sml;

	@ApiModelProperty(value = "冻伤粒%")
	private String dsl;


	@ApiModelProperty(value = "粗脂肪含量（干基）%")
	private String czfhl;

	@ApiModelProperty(value = "色泽气味")
	private String szqw;

	@ApiModelProperty(value = "存储方式")
	private String ccfs;
	private String hwbm;

	private String sjlx;

	@ApiModelProperty(value = "粮食性质")
	private	String lsxz;

	@ApiModelProperty(value="指标集合")
	private List<ZbVO> zbList;

	@ApiModelProperty(value="查询方式,0 单一  1 组合  ")
	private String cxfs;

	@ApiModelProperty(value = "登记时间开始格式：yyyy-MM-dd HH:mm:ss")
	//@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	private String startDate;

	@ApiModelProperty(value = "登记时间结束格式：yyyy-MM-dd HH:mm:ss")
	//@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	private String endDate;

	@ApiModelProperty(value = "明细品种")
	private	String mxpz;
}