package	com.jusfoun.ydylsz.service;

import com.jusfoun.ydylsz.mapper.*;
import com.jusfoun.ydylsz.pojo.DCfxxsjyDO;
import com.jusfoun.ydylsz.utils.StringUtils;
import com.jusfoun.ydylsz.vo.*;
import com.jusfoun.ydylsz.vo.yg.YgDcxxVO;

import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import com.github.pagehelper.PageInfo;
import com.github.pagehelper.PageHelper;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


//DXP_HWXX--表4-7 货位信息数据接口业务层
@Service
public class DXPHWXXService{

	@Autowired
	private DXPHWXXMapper dxphwxxMapper;
	@Autowired
	private DXPKQXXMapper dxpkqxxMapper;
	@Autowired
	private DXPLSKCSJMapper dxplskcsjMapper;
	@Autowired
	private KshGgfwMapper ggfwMapper;
	@Autowired
	private DXPQYXXMapper dxpqyxxMapper;
	@Autowired
	private XwkChjcMapper xwkChjcMapper;


	@Autowired
	private DCfxxsjyDao dCfxxsjyDao;

	//列表
	public	PageInfo<DXPHWXXVO>  selectList(DXPHWXXVO vo) throws Exception{
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPHWXXVO> pageInfo = new PageInfo<DXPHWXXVO>(dxphwxxMapper.selectList(vo));
		List<DXPHWXXVO> list = pageInfo.getList();
		Integer id = 0;
		if(list!=null&&list.size()>0){
			for(DXPHWXXVO dxphwxxvo:list){
				String qmkcdw = dxphwxxvo.getQmkc()+"吨";
				dxphwxxvo.setQmkcdw(qmkcdw);
				if(dxphwxxvo.getLsxzbm() != null) {
					String lsxzbmmc = ggfwMapper.queryName(dxphwxxvo.getLsxzbm(),"粮食性质");
					dxphwxxvo.setLsxzbm(lsxzbmmc);
				}if(dxphwxxvo.getPzbm() != null) {
					String bzbmmc = ggfwMapper.queryName(dxphwxxvo.getPzbm(),"粮食品种");
					dxphwxxvo.setPzbm(bzbmmc);
				}if(dxphwxxvo.getDjbm() != null) {
					String zldj = ggfwMapper.queryName(dxphwxxvo.getDjbm(),"等级");
					dxphwxxvo.setDjbm(zldj);
				}if(dxphwxxvo.getHwzt() != null) {
					String hwzt = ggfwMapper.queryName(dxphwxxvo.getHwzt(),"货位状态");
					dxphwxxvo.setHwzt(hwzt);
				}
				/*if(StringUtils.isNullString(vo.getKqbh())){
				}else{
					List<DXPHWXXVO> hwList = dxphwxxMapper.selectIsSxt(dxphwxxvo.getHwbm(),dxphwxxvo.getKqbh());
					if(hwList!=null&&hwList.size()>0){
						dxphwxxvo.setIsSXT("true");
					}else{
						dxphwxxvo.setIsSXT("false");
					}
				}*/
				dxphwxxvo.setId(id += 1);
				//dxphwxxvo.setHwmc(dxphwxxvo.getCfmc() + "+" + dxphwxxvo.getHwmc());
			}
		}
		return pageInfo;
	}

	//详情
	public	DXPHWXXVO selectDetail(DXPHWXXVO vo) throws Exception{
		return dxphwxxMapper.selectDetail(vo);
	}

	public DXPHWXXVO selectHWCard(String hwbm,String hwqysj) {
 		String nd = null;
		String yf = null;
		if(hwqysj != null && !"".equals(hwqysj)) {
			nd = hwqysj.substring(0, 4);
			yf = hwqysj.substring(5, 7);
		}else {
			String sj = dxphwxxMapper.selectBySj(hwbm);
			if(sj != null) {
				nd = sj.substring(0, 4);
				yf = sj.substring(5, 7);
			}
		}
		DXPHWXXVO vo = dxphwxxMapper.selectHWCard(hwbm,nd,yf);
		if(vo != null) {
			vo.setBt("粮食货位粮专卡");
			// 查询质检列表
			List<DXPZJSJVO> data = dxphwxxMapper.queryZjjcList(vo.getHwbm(),vo.getPzbm());
			vo.setDataList(data);

			if(vo.getLsxzbm() != null) {
				String lsxzbmmc = ggfwMapper.queryName(vo.getLsxzbm(),"粮食性质");
				vo.setLsxzbm(lsxzbmmc);
			}
			if(vo.getPzbm() != null) {
				String pz = ggfwMapper.queryName(vo.getPzbm(),"粮食品种");
				vo.setPzbm(pz);
			}
			if(vo.getDjbm() != null) {
				String djbm = ggfwMapper.queryName(vo.getDjbm(),"等级");
				vo.setDjbm(djbm);
			}
			if(vo.getCcdd() != null) {
				if(vo.getCcdd().equals("1")) {
					vo.setCcdd("库内");
				}else {
					vo.setCcdd("库外");
				}
			}
			vo.setCflxbm(vo.getCflxnm());
			if(vo.getCflxnm() != null) {
				// 计算粮堆体积	 平方仓和筒仓
				/*if(vo.getCflxnm().substring(0, 5).equals("10101")) {    // 平方仓
					Float ldtj = vo.getCnyg()*vo.getCnk()*vo.getCnc();
					vo.setLdtj(ldtj);
				}else if(vo.getCflxnm().substring(0, 5).equals("10102")) {  // 筒仓
					Float ldtj1 = vo.getTcg()*vo.getTczj();
					vo.setLdtj(ldtj1);
				}else if(vo.getCflxnm().substring(0, 5).equals("10103")) {  // 浅园仓
					Float ldtj2 = vo.getCnyg()*vo.getTczj();
					vo.setLdtj(ldtj2);
				}
				String cflxnm = ggfwMapper.queryName(vo.getCflxnm(),"粮仓");
				vo.setCflxnm(cflxnm);	*/
			}
			if(vo.getCd() != null) {
				String stdname = ggfwMapper.queryFirstShi(vo.getCd());
				vo.setCd(stdname);
			}
			if(vo.getHwzt() != null) {
				String hwzt = ggfwMapper.queryName(vo.getHwzt(),"货位状态");
				vo.setHwzt(hwzt);
			}
			String xm = vo.getJyxm();
			String jl = vo.getJyjg();
			Map<String,String> map = new HashMap<String,String>();
			if(xm!=null&&jl!=null&&xm.length()>0&&jl.length()>0){
				for(int i =0;i<vo.getJyxm().split(",").length;i++){
					String[] xmData = xm.split(",");
					String[] jlData = jl.split(",");
					map.put(xmData[i],jlData[i]);
				}

				if(map.get("01010301")!=null){
					vo.setZz(map.get("01010301"));
				}
				if(map.get("020101")!=null){
					vo.setZhsf(map.get("020101"));
				}
				if(map.get("010101")!=null){
					vo.setSzqw(map.get("010101"));
				}
				if(map.get("01010701")!=null){
					vo.setRz(map.get("01010701"));
				}
			}
		}
		return vo;
	}

	public List<String> queryTime(String hwbm) {
		return dxphwxxMapper.queryTime(hwbm);
	}

	public PageInfo<DXPDCXX>  selextDcxxList(DXPDCXX vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPDCXX> pageInfo = new PageInfo<DXPDCXX>(dxphwxxMapper.selextDcxxList(vo));
		List<DXPDCXX> list = pageInfo.getList();
		//List<DXPDCXX> list = dxphwxxMapper.selextDcxxList(hwbm);
		if(list!=null&&list.size()>0){
			DXPHWXXVO dchwxx= dxphwxxMapper.selectById(vo.getHwbm());
			DXPLSKCSJVO dxplskcsjvo = dxplskcsjMapper.findByHwbm(vo.getHwbm());
			DXPKQXXVO dxpkqxxvo = dxpkqxxMapper.selectDetail(dchwxx.getKqbh());
			String lsxz = ggfwMapper.queryName(dxplskcsjvo.getLsxzbm(),"粮食性质");
	/*		for(DXPDCXX dxpdcxx:list){
				String bm ="";
				DXPHWXXVO hwxx=null;
				if("0".equals(dxpdcxx.getDclx())){
					 hwxx= dxphwxxMapper.selectById(dxpdcxx.getDrhwbm());
				}else{

				}
				dxpdcxx.setKqmc(dxpkqxxvo.getKqmc());
				dxpdcxx.setLsxz(lsxz);
				//dxpdcxx.setDccr(dxphwxx.);
			}*/
		}

		return pageInfo;
	}

	public DXPDCXX dcxxDetail(String dcdbh) {
		DXPDCXX dcxx = dxphwxxMapper.dcxxDetail(dcdbh);
		if(dcxx != null) {
			dcxx.setPzbm(ggfwMapper.queryName(dcxx.getPzbm(),"粮食品种"));
			dcxx.setYsgj(ggfwMapper.queryName(dcxx.getYsgj(),"运输方式"));
		}
		return dcxx;
	}

	public PageInfo<DXPSYDVO> sydList(DXPHWXXVO vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPSYDVO> pageInfo = new PageInfo<DXPSYDVO>(dxphwxxMapper.sydList(vo));
		return pageInfo;
	}

	public DXPSYDVO sydDetail(String sydbm) {
		DXPSYDVO vo = dxphwxxMapper.sydDetail(sydbm);
		if(vo != null) {
			// 入库质检
			String rkvo = dxphwxxMapper.queryRkzj(vo.getRksj().substring(0, 10),vo.getHwbm());
			if(rkvo != null) {
				vo.setRkzjd(rkvo);
			}
			// 出库质检
			String ckvo = dxphwxxMapper.queryCkzj(vo.getCksj().substring(0, 10),vo.getHwbm());
			if(ckvo != null) {
				vo.setCkzjd(ckvo);
			}
			vo.setRksj(vo.getRksj().substring(0, 4));
			vo.setCksj(vo.getCksj().substring(0, 4));
		}
		return vo;
	}

	public PageInfo<DXPXZZHVO> xzzhList(DXPHWXXVO vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPXZZHVO> pageInfo = new PageInfo<DXPXZZHVO>(dxphwxxMapper.xzzhList(vo));
		List<DXPXZZHVO> list = pageInfo.getList();
		if(list!=null&&list.size()>0){
			for(DXPXZZHVO dxpxzzhvo:list){
				String name = ggfwMapper.queryName(dxpxzzhvo.getLspz(),"粮食品种");
				dxpxzzhvo.setLspz(name);
			}
		}
		return pageInfo;
	}

	public DXPXZZHVO xzzhDetail(String xzzbdbh) {
		return dxphwxxMapper.xzzhDetail(xzzbdbh);
	}

	public PageInfo<DCfxxsjyVO> pageList(DCfxxsjyVO vo, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		/*if(vo.getKcsl()!=null){
			vo.setKcsl(vo.getKcsl()*1000d);
		}*/
		if(StringUtils.isNullString(vo.getLsxzbm())
                &&StringUtils.isNullString(vo.getPzbm())
                &&StringUtils.isNullString(vo.getCfzt())
                &&StringUtils.isNullString(vo.getGb())
                &&StringUtils.isNullString(vo.getNd())
				&&vo.getKcsl()==null&&StringUtils.isNullString(vo.getRksjjs())
				&&StringUtils.isNullString(vo.getRksjks())
                && (vo.getXzList()==null ||vo.getXzList().size()==0)){
		}else if((vo.getXzList()!=null
                &&vo.getXzList().size()>0)
                ||!StringUtils.isNullString(vo.getCfzt())){

		}else{
			List<String> xzList = new ArrayList<>();
			xzList.add("省(自治区、直辖市)级地方储备粮");
			xzList.add("市(地区、自治州、盟)级地方储备粮");
			vo.setXzList(xzList);
		}
		if("≤".equals(vo.getKcslStr())){
			vo.setKcslStr("<=");
		}else if("≥".equals(vo.getKcslStr())){
			vo.setKcslStr(">=");
		}
		if(vo.getKcsl()!=null){
			vo.setKcsl(vo.getKcsl()*1000d);
		}
		return new PageInfo<>(dCfxxsjyDao.getDCfxxxsjyList(vo));
	}

	public DCfxxsjyVO cfinfo(String cfbh) {
		return dCfxxsjyDao.cfinfo(cfbh);
	}

    public PageInfo<DCfxxsjyVO> pageYgList(DCfxxsjyVO vo, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		if(vo.getKcsl()!=null){
			vo.setKcsl(vo.getKcsl()*1000d);
		}
		if("≤".equals(vo.getKcslStr())){
			vo.setKcslStr("<=");
		}else if("≥".equals(vo.getKcslStr())){
			vo.setKcslStr(">=");
		}
        vo.setPzbm(vo.getMxpz());
		//return new PageInfo<DCfxxsjyVO>(dCfxxsjyDao.pageYgList(vo));
		return new PageInfo<>(dCfxxsjyDao.pageYgListNew(vo));
    }

	public List<KctjVO> kctj(String kqbm) {
		String hwbm = dxphwxxMapper.selectByTysh(kqbm);
		List<KctjVO> result = new ArrayList<>();
		//市储粮
		List<KctjVO> sjl = dxphwxxMapper.getSjl("6877",hwbm);
		if(sjl!=null&&sjl.size()>0){
			KctjVO a = new KctjVO();
			a.setLsxz("市级地方储备粮(吨)");
			BigDecimal d = BigDecimal.ZERO;
			for(KctjVO k:sjl){
				d = d.add(new BigDecimal(k.getB()));
				if("3164".equals(k.getA())){
					a.setA(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}else if("3165".equals(k.getA())){
					a.setB(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}else if("3166".equals(k.getA())){
					a.setC(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}else if("2777".equals(k.getA())){
					a.setD(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}
			}
			a.setHj(d.divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
			result.add(a);
		}
		//区储粮
		List<KctjVO> qjl = dxphwxxMapper.getSjl("6878",hwbm);
		if(qjl!=null&&qjl.size()>0){
			KctjVO b = new KctjVO();
			b.setLsxz("区级储备粮(吨)");
			BigDecimal d = BigDecimal.ZERO;
			for(KctjVO k:qjl){
				d = d.add(new BigDecimal(k.getB()));
				if("3164".equals(k.getA())){
					b.setA(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}else if("3165".equals(k.getA())){
					b.setB(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}else if("3166".equals(k.getA())){
					b.setC(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}else if("2777".equals(k.getA())){
					b.setD(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}
			}
			b.setHj(d.divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
			result.add(b);
		}
		//市储油
		List<KctjVO> sjy = dxphwxxMapper.getSjy("6877",hwbm);
		if(sjy!=null&&sjy.size()>0){
			KctjVO c = new KctjVO();
			c.setLsxz("市级储备成品粮油(吨)");
			BigDecimal d = BigDecimal.ZERO;
			for(KctjVO k:sjy){
				d = d.add(new BigDecimal(k.getB()));
				if("7107".equals(k.getA())){
					c.setA(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}else if("7038".equals(k.getA())){
					c.setB(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}
			}
			c.setHj(d.divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
			result.add(c);
		}
		//区储油
		List<KctjVO> qjy = dxphwxxMapper.getSjy("6877",hwbm);
		if(qjy!=null&&qjy.size()>0){
			KctjVO e = new KctjVO();
			e.setLsxz("区级储备成品粮油(吨)");
			BigDecimal d = BigDecimal.ZERO;
			for(KctjVO k:qjy){
				d = d.add(new BigDecimal(k.getB()));
				if("7107".equals(k.getA())){
					e.setA(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}else if("7038".equals(k.getA())){
					e.setB(new BigDecimal(k.getB()).divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
				}
			}
			e.setHj(d.divide(new BigDecimal("1000"),5, BigDecimal.ROUND_HALF_UP).toString());
			result.add(e);
		}
		return result;
	}


	public PageInfo<YgDcxxVO> ygdcxxList(DXPHWXXVO vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<YgDcxxVO> pageInfo = new PageInfo<YgDcxxVO>(dxphwxxMapper.ygdcxxList(vo));
		return pageInfo;
	}

	public YgDcxxVO ygdcxxDetail(YgDcxxVO vo) {
		YgDcxxVO ygdcxxDetail = dxphwxxMapper.ygdcxxDetail(vo);

		if(ygdcxxDetail.getDchwid() != null) {
			DYglqkVO dcbgyxx = xwkChjcMapper.getYgLqkBgyById(ygdcxxDetail.getDchwid());
			if(dcbgyxx != null) {
				ygdcxxDetail.setDcBgyname(dcbgyxx.getBgyname());
			}
		}

		if(ygdcxxDetail.getDrhwid() != null) {
			DYglqkVO drbgyxx = xwkChjcMapper.getYgLqkBgyById(ygdcxxDetail.getDrhwid());
			if(drbgyxx != null) {
				ygdcxxDetail.setDrBgyname(drbgyxx.getBgyname());
			}
		}

		return ygdcxxDetail;
	}

	public DCfxxsjyVO cfxx(String cfbh) {
		//DCfxxsjyVO cfxxByCfbm = dCfxxsjyDao.getCfxxByCfbh(cfbh);
		DCfxxsjyVO dCfxxsjyVO = new DCfxxsjyVO();
		dCfxxsjyVO = dCfxxsjyDao.getCfxxByCfbh(cfbh);
		Double kcsl = dCfxxsjyVO.getKcsl();
		if(kcsl != null) {
			dCfxxsjyVO.setKcslStr(String.format("%.2f",kcsl/1000d));
		}
		//查询粮情信息
		DCfxxsjyVO dCfxxsjyVO1 = dCfxxsjyDao.selectLqxxBycfbm(dCfxxsjyVO.getCfbm());
		//查询保管员信息
		DCfxxsjyVO dCfxxsjyVO2 = dCfxxsjyDao.selectRyxmByStroId(dCfxxsjyVO1.getStorehouse_id());
		dCfxxsjyVO.setRyxm(dCfxxsjyVO2.getName());
		dCfxxsjyVO.settTime(dCfxxsjyVO1.gettTime());
		dCfxxsjyVO.setIntemp(dCfxxsjyVO1.getIntemp());
		dCfxxsjyVO.setInh(dCfxxsjyVO1.getInh());
		dCfxxsjyVO.settMax(dCfxxsjyVO1.gettMax());
		dCfxxsjyVO.settMin(dCfxxsjyVO1.gettMin());
		dCfxxsjyVO.settAvg(dCfxxsjyVO1.gettAvg());
		dCfxxsjyVO.setOuth(dCfxxsjyVO1.getOuth());
		return dCfxxsjyVO;
        // return dCfxxsjyDao.getCfxxByCfbh(cfbh);
	}

//	public PageInfo<DXPSYDVO> sydList(DXPHWXXVO vo) {
//		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
//		PageInfo<DXPSYDVO> pageInfo = new PageInfo<DXPSYDVO>(dxphwxxMapper.sydList(vo));
//		return pageInfo;
//	}
//
//	public DXPSYDVO sydDetail(String sydbm) {
//		DXPSYDVO vo = dxphwxxMapper.sydDetail(sydbm);
//		return vo;
//	}
}
