package	com.jusfoun.ydylsz.service;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.constants.RedisDataBaseIndex;
import com.jusfoun.ydylsz.constants.RedisKey;
import com.jusfoun.ydylsz.mapper.*;
import com.jusfoun.ydylsz.pojo.TzSlqyDO;
import com.jusfoun.ydylsz.util.RedisUtil;
import com.jusfoun.ydylsz.utils.StringUtils;
import com.jusfoun.ydylsz.vo.*;
import com.unis.common.utils.CurrentUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import redis.clients.jedis.Jedis;

import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.*;


//DXP_KQXX--表4-3 库区信息数据接口业务层
@Service
public class DXPKQXXService{

	@Autowired
	private DXPKQXXMapper dxpkqxxMapper;
	@Autowired
	private DXPQYXXMapper dxpqyxxMapper;
	@Autowired
	private TzSlqyDao tzSlqyDao;
	@Autowired
	private DXPLSKCSJService dxplskcsjService;
	@Autowired
	private KshGgfwMapper kshGgfwMapper;
	@Value("${roles.qlb}")
	private String qlb;
	@Value("${roles.gxgs}")
	private String gxgs;

    @Value("#{'${org.shi-liu-qu}'.split(',')}")
    private List<String> city6District;

	@Autowired
	private CommonMapper commonMapper;

	@Autowired
	private DKdxxsjyDao dkdxxsjyDao;
    @Autowired
    UserInfoMapper userInfoMapper;

	public final static Map map = new HashMap();
	public final static Map mapPZ = new HashMap();
	public final static Map mapXZ = new HashMap();
	static {
		mapPZ.put("1120000", 0);
		mapPZ.put("1110000", 0);
		mapPZ.put("1130000", 0);
		mapPZ.put("1140000", 0);
		mapPZ.put("3190000", 0);

		map.put("1120000", "玉米");
		map.put("1110000", "小麦");
		map.put("1130000", "稻谷");
		map.put("1140000", "大豆");
		map.put("3190000", "其他");
		map.put("110", "中央储备粮");
		map.put("120", "地方储备粮");
		map.put("121", "省级地方储备粮");
		map.put("122", "市级地方储备粮");
		map.put("123", "县级地方储备粮");
		map.put("200", "商品粮");
		map.put("310", "最低收购价粮");
		map.put("320", "国家临时存储粮");
		map.put("330", "国家临储进口粮");
		map.put("340", "地方临时存储粮");

		mapXZ.put("110", 0);
		mapXZ.put("120", 0);
		mapXZ.put("121",0);
		mapXZ.put("122", 0);
		mapXZ.put("123", 0);
		mapXZ.put("200", 0);
		mapXZ.put("310", 0);
		mapXZ.put("320", 0);
		mapXZ.put("330",0);
		mapXZ.put("340", 0);
	}

	private Jedis jedis;

	//列表
	public	PageInfo<DXPKQXXVO>  selectList(DXPKQXXVO vo) throws Exception{
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPKQXXVO> pageInfo = new PageInfo<>(dxpkqxxMapper.selectList(vo));
		return pageInfo;
	}

	//详情
	public	DXPKQXXVO selectDetail(String kqbm) throws Exception{
		DXPKQXXVO vo = dxpkqxxMapper.selectDetail(kqbm);
		if(vo != null) {
			// 计算仓房数
			Integer cfs = dxpkqxxMapper.queryCfs(kqbm);
			vo.setCfs(cfs);
			// 计算油罐数
			/*Integer ygs = dxpkqxxMapper.queryYgs(kqbm);
			vo.setYgs(ygs);	*/
			/// 计算货位数
			Integer hws = dxpkqxxMapper.queryHws(kqbm);
			vo.setHws(hws);
		}
		return vo;
	}

	public PageInfo<DXPKQXXVO> selectAndQyxxList(DXPKQXXVO vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPKQXXVO> pageInfo = new PageInfo<>(dxpkqxxMapper.selectAndQyxxList(vo));
		return pageInfo;
	}


    public Map<String,Object> selectKqxxAndQyxxGis(String xzqhdm) {

    	Map<String,Object> result = new HashMap<>();
    	Map<String,Object> params = new HashMap<>();
        params.put("xzqhdm", xzqhdm);
        Map<String,String> sbmap = new HashMap<>();
        List<String> sblist = dxpkqxxMapper.findSbxx(params);
        for(String str:sblist){
            sbmap.put(str,str);
        }
            /*jedis=RedisUtil.getJedis();
            if(StringUtils.isNullString(xzqhdm)){
                result.put("kdxxNum", jedis.hmget("gis","kdxxNum").get(0));
                result.put("qyxxNum",jedis.hmget("gis","qyxxNum").get(0));
                List<DXPKQXXMIN> kqlists = JSON.parseArray(jedis.hmget("gis","kqlist").get(0),DXPKQXXMIN.class);
                result.put("kqlist", kqlists);
            }else {*/
                List<DXPKQXXGIS> kqlist = dxpkqxxMapper.selectListKq(params);
                for(DXPKQXXGIS dxpkqxxmin:kqlist){

					String cfkc =dxpkqxxMapper.getcfkc(dxpkqxxmin.getKqbm());
					String ygkc =dxpkqxxMapper.getYgkc(dxpkqxxmin.getKqbm());
					if(cfkc!=null&&!"0".equals(cfkc)){
						String kc = String.format("%.5f",Double.valueOf(cfkc)/1000d).replaceAll("0+$", "");
						if(kc.endsWith(".")){
							kc = kc.substring(0,kc.length()-1);
						}
						dxpkqxxmin.setCfkc(kc);
					}else{
						dxpkqxxmin.setCfkc("0");
					}
					if(ygkc!=null&&!"0".equals(ygkc)){
						String kc = String.format("%.5f",Double.valueOf(ygkc)/1000d).replaceAll("0+$", "");
						if(kc.endsWith(".")){
							kc = kc.substring(0,kc.length()-1);
						}
						dxpkqxxmin.setYgkc(kc);
					}else{
						dxpkqxxmin.setYgkc("0");
					}
					if(sbmap.get(dxpkqxxmin.getKqbm())!=null){
                        dxpkqxxmin.setIsInstall("1");
                    }else{
                        dxpkqxxmin.setIsInstall("0");
                    }
                }
                //List<String> qylist = dxpqyxxMapper.selectListQy(xzqhdm,dwlx);
                result.put("kdxxNum", kqlist.size());
                //result.put("qyxxNum",qylist.size());
                result.put("kqlist", kqlist);

				XwkKcxx  xwkKcxx=new XwkKcxx();
				Integer hwslNum= commonMapper.selectHwslCount(xwkKcxx);
				Double lszkcNum= commonMapper.selectLszkcCount(params);
				Date date= commonMapper.selectLastest(xwkKcxx);
				if(date==null){
					date= new Date();
				}
				result.put("hwsl", hwslNum);
				result.put("lszkc", String.format("%.2f", lszkcNum));
				result.put("gxsj", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(date));
           /* }*/

        return result;
    }

	public PageInfo<DXPKQXXGIS> selectKqxxAndQyxxGisPage(DXPKQXXGIS dx,int pageNum,int pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		List<DXPKQXXGIS> kqlist = null;
		if(qlb.equals(dx.getRoleId())){
            String areaCode = getOrgAreaCode();;
            dx.setAreacode(areaCode);
			dx.setOrgcode(CurrentUtil.getOrgId());
			kqlist = dxpkqxxMapper.selectListKqPageRole(dx);
		}else if(gxgs.equals(dx.getRoleId())){
			dx.setOrgcode(CurrentUtil.getOrgId());
			kqlist = dxpkqxxMapper.selectListKqPageRole(dx);
		}else{
			kqlist = dxpkqxxMapper.selectListKqPage(dx);
		}
		//List<DXPKQXXGIS> kqlist = dxpkqxxMapper.selectListKqPage(dx);
		return new PageInfo<DXPKQXXGIS>(kqlist);
	}

	public PageInfo<DXPKQXXVO> selectListPro(DXPKQXXVO vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPKQXXVO> pageInfo = new PageInfo<DXPKQXXVO>(dxpkqxxMapper.selectListPro(vo));
		for(DXPKQXXVO dxpkqxxvo:pageInfo.getList()){
			// 查询省市县
			String stdcode = dxpkqxxvo.getXzqhbm();
			if(stdcode != null) {
				if(stdcode.substring(2,6).equals("0000")) {  // 省
					String sheng = kshGgfwMapper.queryFirstSheng(stdcode);
					dxpkqxxvo.setXzqhmc(sheng);
				}else if(stdcode.substring(4,6).equals("00")){  // 市
					String subCode = stdcode.substring(0, 2) + "0000";
					String sheng = kshGgfwMapper.queryFirstSheng(subCode);
					String subCode1 = stdcode.substring(0, 4);
					String code1 = subCode1  + "00";

					String shi = kshGgfwMapper.queryFirstShi(code1);
					dxpkqxxvo.setXzqhmc(sheng+shi);
				}else {  // 县

					String subCode = stdcode.substring(0, 4);
					String code1 = subCode  + "00";

					String shi = kshGgfwMapper.queryFirstShi(code1);

					String subCode1 = stdcode.substring(0, 2) + "0000";
					String sheng = kshGgfwMapper.queryFirstSheng(subCode1);

					String subCode2 = stdcode.substring(0, 4) + "%";
					String xian = kshGgfwMapper.queryFirstXian(subCode2);
					if(xian != null) {
						dxpkqxxvo.setXzqhmc(sheng+shi+xian);
					}else {
						dxpkqxxvo.setXzqhmc(sheng+shi);
					}
				}
			}
		}
		return pageInfo;
	}

	public PageInfo<DXPKQXXVO> selectListAreas(AreaOut vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		List pzlst = new ArrayList();
		List xzlst = new ArrayList();
		if(vo.getPzbm() != null) {
			String[] str = vo.getPzbm().split(",");
			for (int i = 0; i < str.length; i++) {
				pzlst.add(str[i]);
			}
			vo.setPzlst(pzlst);
		}
		if(vo.getLsxzbm() != null) {

			String[] str = vo.getLsxzbm().split(",");
			for (int i = 0; i < str.length; i++) {
				xzlst.add(str[i]);
			}
			vo.setXzlst(xzlst);
		}
		clearMap(mapPZ);
		clearMap(mapXZ);
		PageInfo<DXPKQXXVO> pageInfo = new PageInfo<DXPKQXXVO>(dxpkqxxMapper.selectListAreas(vo));
		for(DXPKQXXVO dxpkqxxvo:pageInfo.getList()) {
			// 查询省市县
			String stdcode = dxpkqxxvo.getXzqhbm();
			if(stdcode != null) {
				String xzmc = kshGgfwMapper.getName(stdcode);
				if (stdcode.substring(2, 6).equals("0000")) {  // 省
					dxpkqxxvo.setXzqhmc(xzmc);
				} else if (stdcode.substring(4, 6).equals("00")) {  // 市
					String subCode = stdcode.substring(0, 2) + "0000";
					String sheng = kshGgfwMapper.queryFirstSheng(subCode);
					dxpkqxxvo.setXzqhmc(sheng + xzmc);
				} else {  // 县

					String subCode = stdcode.substring(0, 4);
					String code1 = subCode + "00";

					String shi = kshGgfwMapper.queryFirstShi(code1);

					String subCode1 = stdcode.substring(0, 2) + "0000";
					String sheng = kshGgfwMapper.queryFirstSheng(subCode1);

					dxpkqxxvo.setXzqhmc(sheng + shi + xzmc);
				}
			}

			List<DXPLSKCSJVO> list = dxplskcsjService.selectListByKq(dxpkqxxvo.getKqbm(),dxpkqxxvo.getShnd());
			Map<String, Integer> pzMap = new HashMap<>();
			Map<String, Integer> xzMap = new HashMap<>();
			if (StringUtils.isNullString(vo.getPzbm())) {
				pzMap = mapPZ;
			} else {
				String[] data = vo.getPzbm().split(",");
				for (String str : data) {
					pzMap.put(str, 0);
				}
			}
			if (StringUtils.isNullString(vo.getLsxzbm())) {
				xzMap = mapXZ;
			} else {
				String[] data = vo.getLsxzbm().split(",");
				for (String str : data) {
					xzMap.put(str, 0);
				}
			}
			DecimalFormat df = new DecimalFormat("0.00");
			for(DXPLSKCSJVO dxplskcsjvo:list){
				if(pzMap.get(dxplskcsjvo.getPzbm())!=null){
					long i = Float.valueOf(dxplskcsjvo.getQmkc()).longValue()/1000;
					int is = pzMap.get(dxplskcsjvo.getPzbm());
					int in = (int)i;
					pzMap.put(dxplskcsjvo.getPzbm(),is+in);
				}else{
					long i = Float.valueOf(dxplskcsjvo.getQmkc()).longValue()/1000;
					int num = (int)i;
					pzMap.put("3190000",num+pzMap.get("3190000"));
				}
				if(xzMap.get(dxplskcsjvo.getLsxzbm())!=null){
					long i = Float.valueOf(dxplskcsjvo.getQmkc()).longValue()/1000;
					int is = xzMap.get(dxplskcsjvo.getLsxzbm());
					int in = (int)i;
					int num = is+in;
					xzMap.put(dxplskcsjvo.getLsxzbm(),num);
				}
			}
			int sum=0;
			String pz = "";
			//DecimalFormat df = new DecimalFormat("0.00");
			for (Map.Entry<String, Integer> entry : pzMap.entrySet()) {
				if(entry.getValue() != 0) {
					pz+= map.get(entry.getKey())+"("+entry.getValue()+"吨)、";
				}
				sum+=entry.getValue();
			}
			String xz = "";
			for (Map.Entry<String, Integer> entry : xzMap.entrySet()) {
				if(entry.getValue() != 0) {
					xz+= map.get(entry.getKey())+"("+entry.getValue()+"吨)、";
				}
			}
			dxpkqxxvo.setLsxz(xz);
			dxpkqxxvo.setShnd(dxpkqxxvo.getShnd()+"("+sum+"吨)");
			dxpkqxxvo.setLspz(pz);
		}
		return pageInfo;
	}

	public PageInfo<DXPKQXXVO> selectListArea(AreaOut vo) {
		List pzlst = new ArrayList();
		List xzlst = new ArrayList();
		if(vo.getPzbm() != null) {
			String[] str = vo.getPzbm().split(",");
			for (int i = 0; i < str.length; i++) {
				pzlst.add(str[i]);
			}
			vo.setPzlst(pzlst);
		}
		if(vo.getLsxzbm() != null) {

			String[] str = vo.getLsxzbm().split(",");
			for (int i = 0; i < str.length; i++) {
				xzlst.add(str[i]);
			}
			vo.setXzlst(xzlst);
		}
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPKQXXVO> pageInfo = new PageInfo<DXPKQXXVO>(dxpkqxxMapper.selectListArea(vo));
		for(DXPKQXXVO dxpkqxxvo:pageInfo.getList()){
			DXPQYXXVO dxpqyxxvo = dxpqyxxMapper.selectQyxxByQydm(dxpkqxxvo.getSsdwdm());
			if(dxpqyxxvo != null) {
				dxpkqxxvo.setQydm(dxpqyxxvo.getQydm());
				dxpkqxxvo.setQymc(dxpqyxxvo.getQymc());
				dxpkqxxvo.setFddbr(dxpqyxxvo.getFddbr());
				dxpkqxxvo.setYzbm(dxpqyxxvo.getYzbm());
			}
			// 查询省市县
			String stdcode = dxpkqxxvo.getXzqhbm();
			if(stdcode != null) {
				String xzmc = kshGgfwMapper.getName(stdcode);
				if(stdcode.substring(2,6).equals("0000")) {  // 省
					String subCode1 = stdcode.substring(0, 2) + "0000";
					String sheng = kshGgfwMapper.queryFirstSheng(subCode1);
					dxpkqxxvo.setXzqhmc(xzmc);
				}else if(stdcode.substring(4,6).equals("00")){  // 市
					String subCode = stdcode.substring(0, 2) + "0000";
					String sheng = kshGgfwMapper.queryFirstSheng(subCode);
					dxpkqxxvo.setXzqhmc(sheng+xzmc);
				}else {  // 县

					String subCode = stdcode.substring(0, 4);
					String code1 = subCode  + "00";

					String shi = kshGgfwMapper.queryFirstShi(code1);

					String subCode1 = stdcode.substring(0, 2) + "0000";
					String sheng = kshGgfwMapper.queryFirstSheng(subCode1);

					dxpkqxxvo.setXzqhmc(sheng+shi+xzmc);
				}
			}
		}
		return pageInfo;
	}

	/*public List<TreeNode> treeList() {
		List<Map<String, Object>> treeList = dxpkqxxMapper.selectModuleTree();
		//ruturn 掉下面的方法
		return getChildrenNodeModelue(treeList);
	}*/
	public List<TreeNode> treeList(String xzqhbm) {
		List<TreeNode> treeList = null;
		if(StringUtils.isNullString(xzqhbm)){
			 treeList = dxpkqxxMapper.selectTree();
		}else{
			treeList = dxpkqxxMapper.getTreeNode(xzqhbm);
		}
		for (TreeNode node : treeList) {//
			// 获取子节点
			List<TreeNode> childrenlist = dxpkqxxMapper.selectModulModul(node.getCode());
			// 有子节点,获取子节点的下级节点
			if (childrenlist.size() > 0) {
				for(TreeNode node1 : childrenlist){
					List<TreeNode> childrens= dxpkqxxMapper.getChildrenNode(node1.getCode());
					if(childrens.size()>0){
						childrens.remove(node1);
						node1.setChildren(childrens);
					}
				}
			}
			node.setChildren(childrenlist);
		}
		return treeList;
	}

	public List<TreeNode> getChildrenNodeModelue(List<TreeNode> nodes) {

		for (TreeNode node : nodes) {
			// 获取子节点
			List<TreeNode> childrenlist = dxpkqxxMapper.getChildrenNode(node.getCode());
			// 有子节点,获取子节点的下级节点
			if (childrenlist.size() > 0) {
				for(TreeNode node1 : childrenlist){
					List<TreeNode> childrens= dxpkqxxMapper.getChildrenNode(node1.getCode());
					if(childrens.size()>0){
						node1.setChildren(childrens);
					}
				}
			}
			node.setChildren(childrenlist);
		}
		return nodes;
	}

	public PageInfo<DXPKQXXVO> selectLike(String kqmc, String xzqhdm) {
		PageInfo<DXPKQXXVO> pageInfo = new PageInfo<DXPKQXXVO>();
		List<DXPKQXXVO> list = dxpkqxxMapper.selectLike(kqmc,xzqhdm);
		if(list!=null&&list.size()>0){
			for(DXPKQXXVO dxpkqxxvo:list){
				if(dxpkqxxvo.getKqmc().equals(dxpkqxxvo.getQymc())){
				}else if(dxpkqxxvo.getQymc().indexOf(dxpkqxxvo.getKqmc())==-1&&dxpkqxxvo.getQymc().length()>dxpkqxxvo.getKqmc().length()){
					dxpkqxxvo.setKqmc(dxpkqxxvo.getQymc()+dxpkqxxvo.getKqmc());
				}
			}
		}
		pageInfo.setList(list);
		return pageInfo;
	}

	public void selectUpdateGis(String xzqhdm) {
		Map<String,String> map = new HashMap<>();
		Map<String,String> sbmap = new HashMap<>();
		List<String> sblist = dxpkqxxMapper.findSbxx(null);
		for(String str:sblist){
			sbmap.put(str,str);
		}
		jedis= RedisUtil.getJedis();
		jedis.del("gis");
		List<DXPKQXXMIN> kqlist = dxpkqxxMapper.selectListKqQuan(xzqhdm);
		for(DXPKQXXMIN dxpkqxxmin:kqlist){
			if(sbmap.get(dxpkqxxmin.getKqbm())!=null){
				dxpkqxxmin.setIsInstall("1");
			}else{
				dxpkqxxmin.setIsInstall("0");
			}
		}
		List<String> qylist = dxpqyxxMapper.selectListQy(xzqhdm);
		map.put("kdxxNum", kqlist.size()+"");
		map.put("qyxxNum", qylist.size()+"");
		map.put("kqlist", JSON.toJSONString(kqlist));
		jedis.hmset("gis", map);
	}

	public void selectUpdateSbxx() {
		List<String> sbList = dxpkqxxMapper.findSbxxByKqmc();
		for(String str:sbList){
			if(StringUtils.isNullString(str)){
				//TODO 需要等数据确认后再次修改
				List<DXPKQXXVO> list = dxpkqxxMapper.getKqmc(str);
				dxpkqxxMapper.updateSbxx(str,list.get(0).getKqbm());
			}

		}
	}
	public void clearMap(Map<String, Integer> map) {
		for (Map.Entry<String, Integer> entry : map.entrySet()) {
			entry.setValue(0);
		}
	}

	public DKdxxsjySlqyVO selectKdDetail(String kqbm) {
		DKdxxsjySlqyVO dKdxxsjySlqyVO = dkdxxsjyDao.getDKdxxsjyInfoBykddm(kqbm);
		if("120111000032600".equals(dKdxxsjySlqyVO.getTyshxydm())){
			TzSlqyDO tzSlqyDO = tzSlqyDao.selectSlqyByQybm(dKdxxsjySlqyVO.getQybm());
            if (tzSlqyDO != null) {
                dKdxxsjySlqyVO.setTyshxydm(tzSlqyDO.getTyshxydm());
                dKdxxsjySlqyVO.setKddm(tzSlqyDO.getTyshxydm() + "001");
            }
		}
		if(dKdxxsjySlqyVO.getZcr()!=null){
			String zcr = String.format("%.5f",Double.valueOf(dKdxxsjySlqyVO.getZcr())).replaceAll("0+$", "");
			if(zcr.endsWith(".")){
				zcr = zcr.substring(0,zcr.length()-1);
			}
			dKdxxsjySlqyVO.setZcr(zcr);
		}
		if(dKdxxsjySlqyVO.getGr()!=null){
			String zgr = String.format("%.5f",Double.valueOf(dKdxxsjySlqyVO.getGr())).replaceAll("0+$", "");
			if(zgr.endsWith(".")){
				zgr = zgr.substring(0,zgr.length()-1);
			}
			dKdxxsjySlqyVO.setGr(zgr);
		}else{
			dKdxxsjySlqyVO.setGr("0");
		}
		if(dKdxxsjySlqyVO.getZdmj()!=null){
			dKdxxsjySlqyVO.setZdmj(dKdxxsjySlqyVO.getZdmj().setScale(2, BigDecimal.ROUND_HALF_UP));
		}
		String hwnum = dkdxxsjyDao.countHw(dKdxxsjySlqyVO.getTyshxydm());
		dKdxxsjySlqyVO.setHwnum(hwnum);
		return dKdxxsjySlqyVO;
	}

    public Map<String, Object> selectKqxxAndQyxxRoleGis(String xzqhdm, String roleId) {
        Map<String, Object> result = new HashMap<>();
        Map<String, String> sbmap = new HashMap<>();
        Map<String, Object> params = new HashMap<>();
        params.put("xzqhdm", xzqhdm);
        List<String> sblist = new ArrayList<>();
        String orgId = CurrentUtil.getOrgId();
        params.put("orgId", orgId);

        Jedis jedis = RedisUtil.getJedis(RedisDataBaseIndex.DB2);
        String s = jedis.get(RedisKey.ORG_RELATE + orgId);
        RedisUtil.returnResource(jedis);
        JSONObject data = JSONObject.parseObject(s, JSONObject.class);
        if (data != null) {
            String type = data.getString("type");
            params.put("type", type);
            JSONArray orgList = data.getJSONArray("orgList");
            Optional.ofNullable(orgList).ifPresent(i-> {
                params.put("orgList", i.toJavaList(String.class));
            });
        }else {
            params.put("type", null);
        }

        sblist = dxpkqxxMapper.findSbxx(params);
        for (String str : sblist) {
            sbmap.put(str, str);
        }
        List<DXPKQXXGIS> kqlist = null;
        kqlist = dxpkqxxMapper.selectListKq(params);
        for (DXPKQXXGIS dxpkqxxmin : kqlist) {
            String cfkc = dxpkqxxMapper.getcfkc(dxpkqxxmin.getKqbm());
            String ygkc = dxpkqxxMapper.getYgkc(dxpkqxxmin.getKqbm());
            if (cfkc != null && !"0".equals(cfkc)) {
                String kc = String.format("%.5f", Double.valueOf(cfkc) / 1000d).replaceAll("0+$", "");
                if (kc.endsWith(".")) {
                    kc = kc.substring(0, kc.length() - 1);
                }
                dxpkqxxmin.setCfkc(kc);
            } else {
                dxpkqxxmin.setCfkc("0");
            }
            if (ygkc != null && !"0".equals(ygkc)) {
                String kc = String.format("%.5f", Double.valueOf(ygkc) / 1000d).replaceAll("0+$", "");
                if (kc.endsWith(".")) {
                    kc = kc.substring(0, kc.length() - 1);
                }
                dxpkqxxmin.setYgkc(kc);
            } else {
                dxpkqxxmin.setYgkc("0");
            }
            if (sbmap.get(dxpkqxxmin.getKqbm()) != null) {
                dxpkqxxmin.setIsInstall("1");
            } else {
                dxpkqxxmin.setIsInstall("0");
            }
        }
        result.put("kdxxNum", kqlist.size()); // o
        result.put("kqlist", kqlist);

        XwkKcxx xwkKcxx = new XwkKcxx();
        Integer hwslNum = 0;
        Double lszkcNum = 0d;
        hwslNum= commonMapper.selectCfslCount(params);
        lszkcNum= commonMapper.selectLszkcCount(params);
        // date= commonMapper.selectLastest(xwkKcxx);
        Date date = commonMapper.selectLastest(xwkKcxx);
        if (date == null) {
            date = new Date();
        }
        result.put("hwsl", hwslNum); // o
        result.put("lszkc", String.format("%.2f", lszkcNum)); // o
        result.put("gxsj", new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(date)); // o

        return result;
    }

    public Object selectKqxxAndQyxxGisList(DXPKQXXGIS params) {
        String orgId = CurrentUtil.getOrgId();
        params.setOrgcode(orgId);
        Jedis jedis = RedisUtil.getJedis(RedisDataBaseIndex.DB2);
        String s = jedis.get(RedisKey.ORG_RELATE + orgId);
        RedisUtil.returnResource(jedis);
        JSONObject data = JSONObject.parseObject(s, JSONObject.class);
        if (data != null) {
            String type = data.getString("type");
            params.setType(type);
            JSONArray orgList = data.getJSONArray("orgList");
            params.setOrgList(orgList.toJavaList(String.class));
        }else {
            params.setType(null);
        }
        List<DXPKQXXGIS> kqlist = dxpkqxxMapper.selectListKqPage(params);
//            if ("all".equals(type)){
//                kqlist = dxpkqxxMapper.selectListKqPage(params);
//            }else {
//                params.setType(type);
//                JSONArray orgList = data.getJSONArray("orgList");
//                params.setOrgList(orgList.toJavaList(String.class));
//                kqlist = dxpkqxxMapper.selectListKqPageRole(params);
//            }
        return new PageInfo<>(kqlist);
    }

    public String getOrgAreaCode() {
        UserInfoVO userInfo = userInfoMapper.getByCode(CurrentUtil.getUserId());
        return userInfo.getOrgAreaCode();
    }
}
