package	com.jusfoun.ydylsz.service;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.constants.RedisDataBaseIndex;
import com.jusfoun.ydylsz.constants.RedisKey;
import com.jusfoun.ydylsz.mapper.DXPCFXXMapper;
import com.jusfoun.ydylsz.mapper.DXPHWXXMapper;
import com.jusfoun.ydylsz.mapper.DXPLQJCMapper;
import com.jusfoun.ydylsz.mapper.KshGgfwMapper;
import com.jusfoun.ydylsz.pojo.EchartsList1;
import com.jusfoun.ydylsz.pojo.EchartsList2;
import com.jusfoun.ydylsz.pojo.cfxx;
import com.jusfoun.ydylsz.pojo.cfxxvo;
import com.jusfoun.ydylsz.pojo.lwt;
import com.jusfoun.ydylsz.util.DateTool;
import com.jusfoun.ydylsz.util.RedisUtil;
import com.jusfoun.ydylsz.vo.*;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONUtil;

import com.unis.common.utils.CurrentUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import redis.clients.jedis.Jedis;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.math.BigDecimal;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.text.DecimalFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;


//DXP_LQJC--表4-16 粮情监测数据接口业务层
@Service
public class DXPLQJCService {

	@Value("${roles.qlb}")
	private String qlb;
	@Value("${roles.gxgs}")
	private String gxgs;
	@Autowired
	private DXPLQJCMapper dxplqjcMapper;
	@Autowired
	private DXPCFXXMapper dxpcfxxMapper;
	@Autowired
	private DXPHWXXMapper dxphwxxMapper;
	@Autowired
	private KshGgfwMapper ggfwMapper;

	//列表
	public PageInfo<DXPLQJCVO> selectList(DXPLQJCVO vo) throws Exception {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPLQJCVO> pageInfo = new PageInfo<>(dxplqjcMapper.selectList(vo));
		return pageInfo;
	}

	//详情
	public DXPLQJCVO selectDetail(DXPLQJCVO vo) throws Exception {
		return dxplqjcMapper.selectDetail(vo);
	}


	public DXPHWXXVO lwTotal(String hwbm) {
		DXPHWXXVO dxphwxxvo = new DXPHWXXVO();
		dxphwxxvo.setHwbm(hwbm);
		DXPHWXXVO dxphwxx = dxphwxxMapper.selectDetail(dxphwxxvo);
		List<LineVO> lines = new ArrayList<>();
		LineVO lineVO = new LineVO();
		lineVO.setType("line");
		lineVO.setSmooth(true);
		lineVO.setName("仓内温");
		String begin = getDate(new Date(), -30);
		String end = moveTime(new Date(), -1);
		List<DXPLQJCVO> list = dxplqjcMapper.getList("cfnw", begin, end, hwbm);
		lineVO.setData(listToString(list, "仓内温"));
		lines.add(lineVO);
		LineVO lineVO1 = new LineVO();
		lineVO1.setType("line");
		lineVO1.setSmooth(true);
		lineVO1.setName("仓外温");
		List<DXPLQJCVO> list1 = dxplqjcMapper.getList("cfww", begin, end, hwbm);
		lineVO1.setData(listToString(list1, "仓外温"));
		lines.add(lineVO1);
		LineVO lineVO2 = new LineVO();
		lineVO2.setName("仓内湿");
		lineVO2.setType("line");
		lineVO2.setSmooth(true);
		List<DXPLQJCVO> list2 = dxplqjcMapper.getList("cfns", begin, end, hwbm);
		lineVO2.setData(listToString(list2, "仓内湿"));
		lines.add(lineVO2);
		LineVO lineVO3 = new LineVO();
		lineVO3.setType("line");
		lineVO3.setSmooth(true);
		lineVO3.setName("仓外湿");
		List<DXPLQJCVO> list3 = dxplqjcMapper.getList("cfws", begin, end, hwbm);
		lineVO3.setData(listToString(list3, "仓外湿"));
		lines.add(lineVO3);
		dxphwxx.setLines(lines);
		dxphwxx.setXLines(listArray(list));
		return dxphwxx;
	}

	public String[] listArray(List<DXPLQJCVO> list) {
		String[] data = new String[list.size()];
		for (int i = 0; i < list.size(); i++) {
			data[i] = list.get(i).getJcsj();
		}
		return data;
	}

	public Double[] listToString(List<DXPLQJCVO> list, String type) {
		Double[] data = new Double[list.size()];
		for (int i = 0; i < list.size(); i++) {
			if ("仓内温".equals(type)) {
				if (list.get(i).getCfnw() != null) {
					data[i] = list.get(i).getCfnw();
				} else {
					data[i] = 0.0;
				}
			} else if ("仓外温".equals(type)) {
				if (list.get(i).getCfww() != null) {
					data[i] = list.get(i).getCfww();
				} else {
					data[i] = 0.0;
				}
			} else if ("仓内湿".equals(type)) {
				if (list.get(i).getCfns() != null) {
					data[i] = list.get(i).getCfns();
				} else {
					data[i] = 0.0;
				}
			} else if ("仓外湿".equals(type)) {
				if (list.get(i).getCfws() != null) {
					data[i] = list.get(i).getCfws();
				} else {
					data[i] = 0.0;
				}
			}

		}
		return data;
	}

	public static String getDate(Date beginDate, int datas) {
		Calendar beginCal = Calendar.getInstance();
		beginCal.setTime(beginDate);
		GregorianCalendar calendar = new GregorianCalendar(beginCal.get(Calendar.YEAR), beginCal.get(Calendar.MONTH), beginCal.get(Calendar.DATE));
		calendar.add(GregorianCalendar.DATE, datas);
		String begin = new java.sql.Date(calendar.getTime().getTime()).toString();
		return begin;
	}

	public String moveTime(Date date, int day) {
		Calendar calendar = new GregorianCalendar();
		calendar.setTime(date);
		calendar.add(calendar.DATE, 1);//把日期往后增加一天.整数往后推,负数往前移动
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		return sdf.format(calendar.getTime());   //这个时间就是日期往后推一天的结果
	}

	public PageInfo<DXPLQJCVO> lwColl(String hwbm, String jcsj) {
		DXPLQJCVO vo = new DXPLQJCVO();
		vo.setHwbm(hwbm);
		vo.setJcsj(jcsj);
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPLQJCVO> pageInfo = new PageInfo<>(dxplqjcMapper.getLwAll(vo));
		List<DXPLQJCVO> list = pageInfo.getList();
		//dxplqjcMapper.getLwAll(hwbm,jcsj);
		DXPLQJCVO result = null;
		if (list != null && list.size() > 0) {
			result = list.get(0);
			if (result.getLswdzjh() != null && result.getLswdzjh().length() > 5) {
				List<XYZVO> xyzvoList = new ArrayList<XYZVO>();
				String[] data = result.getLswdzjh().split("\\|");
				for (String str : data) {
					XYZVO xyzvo = new XYZVO();
					xyzvo.setX(str.split(",")[2]);
					xyzvo.setY(str.split(",")[3]);
					xyzvo.setZ(str.split(",")[1]);
					//温度可能需要转换成摄氏度
					xyzvo.setWeather(str.split(",")[0]);
					xyzvoList.add(xyzvo);
				}
				result.setXyz(xyzvoList);
			}
		}

		return pageInfo;
	}

	public List<String> lwList(String hwbm) {
		List<String> list = dxplqjcMapper.getLwList(hwbm);
		return list;
	}

	public List<Map<String, Object>> lqList(String hwbm, String jcsj) {
		DXPLQJCVO vo = new DXPLQJCVO();
		vo.setHwbm(hwbm);
		vo.setJcsj(jcsj);
		List<DXPLQJCVO> list = dxplqjcMapper.getLwAll(vo);
		Map<String, String> map = new HashMap<String, String>();
		DXPLQJCVO result = null;
		List<Map<String, Object>> resList = new ArrayList<>();
		List<String> strList = null;
		if (list != null && list.size() > 0) {
			result = list.get(0);
			if (result.getLswdzjh() != null && result.getLswdzjh().length() > 5) {
				strList = new ArrayList<String>();
				String[] data = result.getLswdzjh().split("\\|");
				//27.7,1,1,1  温度 Z层 X行 Y列
				for (String str : data) {
					String[] pro = str.split(",");
					if(pro.length==4){
						if (map.get(pro[1] + "-" + pro[3]) != null) {
							map.put(pro[1] + "-" + pro[3], map.get(pro[1] + "-" + pro[3]) + "&" + pro[2] + "-" + pro[0]);
						} else {
							map.put(pro[1] + "-" + pro[3], pro[2] + "-" + pro[0]);
						}
					}
				}
				//对map进行处理
				int size = 0;
				for (Map.Entry<String, String> entry : map.entrySet()) {
					String mapValue = entry.getValue();
					String mapKey = entry.getKey();
					String pall = strPall(mapValue);
					strList.add(mapKey + "," + pall);
				}
				Collections.sort(strList);
				for (String str : strList) {
					String[] pro = str.split(",");
					String[] zh = new String[7];
					for (int x = 0; x < zh.length; x++) {
						if (x < pro.length) {
							zh[x] = pro[x];
						} else {
							zh[x] = "0";
						}
					}
					Map<String, Object> maps = new HashMap<>();
					//27.7,1,1,1  温度 Z层 X行 Y列
					for (int x = 0; x < zh.length; x++) {
						String X = "";
						String Y = "";
						String Z = "";
						if (x == 0) {
							maps.put(String.valueOf(x + 1), zh[x]);
						} else {
							Z = zh[0].split("-")[1];
							Y = zh[0].split("-")[1];
							X =String.valueOf(x);
							if(!"".equals(zh[x])) {
								maps.put(String.valueOf(x + 1), Float.valueOf(zh[x])+"℃(X"+X+",Y"+Y+",Z"+Z+")");
							}else {
								maps.put(String.valueOf(x + 1), Float.valueOf((float) 0.0)+"℃(X"+X+",Y"+Y+",Z"+Z+")");
							}
						}
					}
					resList.add(maps);
				}
			}
		}
		return resList;
	}

	public String strPall(String string) {
		String result = "";
		String data[] = string.split("&");
		for (String str : data) {
			result += str.split("-")[1] + ",";
		}
		return result;
	}

	public Map<String, String> yzMap(String hwbm) {
		Map<String, String> map = new HashMap<>();
		map.put("high", "28");
		map.put("whigh", "23");
		map.put("low", "10");
		map.put("wlow", "15");
		return map;
	}

	public DXPLQJCVO lwData(String hwbm, String jcsj) {
		DXPLQJCVO vo = new DXPLQJCVO();
		vo.setHwbm(hwbm);
		vo.setJcsj(jcsj);
		DXPLQJCVO dxplqjcvo = new DXPLQJCVO();
		List<DXPLQJCVO> list = dxplqjcMapper.getLwAll(vo);
		if (list != null && list.size() > 0) {
			dxplqjcvo = list.get(0);
			dxplqjcvo.setCfbh(hwbm.substring(21, 24));
		}
		return dxplqjcvo;
	}

	public DXPHWXXVO cfData(String hwbm) {
		DXPHWXXVO vo = dxphwxxMapper.selectHWCard(hwbm, null, null);
		if (vo != null) {
			if (vo.getLsxzbm() != null) {
				String lsxzbmmc = ggfwMapper.queryName(vo.getLsxzbm(), "粮食性质");
				vo.setLsxzbm(lsxzbmmc);
			}
			if (vo.getPzbm() != null) {
				String pz = ggfwMapper.queryName(vo.getPzbm(), "粮食品种");
				vo.setPzbm(pz);
			}
			if (vo.getDjbm() != null) {
				String djbm = ggfwMapper.queryName(vo.getDjbm(), "等级");
				vo.setDjbm(djbm);
			}
		}
		return vo;
	}

	public EchartsList1 swtData(String hwbm) {
		EchartsList1 lstData = new EchartsList1();
		List<String> name = new ArrayList<>();
		name.add("粮食温度");
		name.add("仓内温度");
		name.add("仓外温度");
		List<String> line = new ArrayList<>();
		List<String> lstStr = DateTool.sysDate();
		List<EchartsList2> series = new ArrayList<>();
		List<Double> double3 = new ArrayList<>();
		EchartsList2 echart3 = new EchartsList2();
		for (String str : lstStr) {
			Integer num = 0;
			Float FloData = (float) 0.0;
			DXPLQJCVO vo = dxplqjcMapper.querybyFirstLqjc(hwbm,str,null);
			if(vo != null) {
				String[] split = vo.getLswdzjh().split("\\|");
				for (String str1 : split) {
					num +=1;
					String data = str1.split(",")[0];
					/*Double dataDouble = Double.parseDouble(data);
					BigDecimal bigDou = BigDecimal.valueOf(dataDouble);*/
					Float floatData = Float.valueOf(data);
					FloData += floatData;
				}
				DecimalFormat decimalFormat=new DecimalFormat(".00");
				Float floNum = FloData/num;
				String strFloat = decimalFormat.format(floNum);
				double3.add(Double.parseDouble(strFloat));
				echart3.setData(double3);
			}else {
				double3.add(0.0);
				echart3.setData(double3);
			}
			line.add(str);
		}
		echart3.setName("粮食温度");
		series.add(echart3);

		List<Double> double1 = new ArrayList<>();
		EchartsList2 echart1 = new EchartsList2();
		for (String str : lstStr) {
			DXPLQJCVO vo = dxplqjcMapper.querybyFirstLqjc(hwbm,str,null);
			if(vo != null) {
				double1.add(vo.getCfnw());
				echart1.setData(double1);
			}else {
				double1.add(0.0);
				echart1.setData(double1);
			}
		}
		echart1.setName("仓内温度");
		series.add(echart1);

		List<Double> double2 = new ArrayList<>();
		EchartsList2 echart2 = new EchartsList2();
		for (String str : lstStr) {
			DXPLQJCVO vo = dxplqjcMapper.querybyFirstLqjc(hwbm,str,null);
			if(vo != null) {
				double2.add(vo.getCfww());
				echart2.setData(double2);
			}else {
				double2.add(0.0);
				echart2.setData(double2);
			}
		}
		echart2.setName("仓外温度");
		series.add(echart2);

		lstData.setData(name);
		lstData.setData1(line);
		lstData.setSeries(series);
		return lstData;
	}

	public List<List<lwt>> mclwData(String hwbm, Integer ch, String jcsj) {
		// List<String> strLst = new ArrayList<>();
		List<List<lwt>> maplst = new ArrayList<>();
		DXPLQJCVO vo = new DXPLQJCVO();
		vo.setHwbm(hwbm);
		vo.setJcsj(jcsj);
		List<DXPLQJCVO> list = dxplqjcMapper.getLwAll(vo);

		List<String> strlist = new ArrayList<>();
		for (DXPLQJCVO lst : list) {
			String[] lswdjh = lst.getLswdzjh().split("\\|");
			for (String strjh : lswdjh) {
				String csstr = strjh.split(",")[2];   // 行数
				strlist.add(csstr);
			}
		}
		// 去重复值   得到新的行数
		List<String> newList = new ArrayList<String>();
        for (String cd:strlist) {
           if(!newList.contains(cd)){
               newList.add(cd);
           }
        }
		System.out.println("行数:" + newList);

        for (String str1 : newList) {
        	// 最新得温度值
        	List<lwt> newLst = new ArrayList<>();
        	List<String> strLst = new ArrayList<>();
        	for (DXPLQJCVO dxplqjcvo : list) {
    			String[] strwdz = dxplqjcvo.getLswdzjh().split("\\|");
    			for (String str : strwdz) {
    				String strsplwdz = str.split(",")[0];  // 温度值
    				String strspl = str.split(",")[1];   // 层数
    				String strsp2 = str.split(",")[2];   // 行数
    				Integer intspl = Integer.parseInt(strspl);
    				if(intspl == ch) {
    					if(str1.equals(strsp2)) {
    						strLst.add(strsplwdz);
    					}
    				}
    			}
    		}

        	// 上次得温度值
        	List<String> strLst1 = new ArrayList<>();
        	String jcrq = jcsj.substring(0, 10);
			String jcsj1 = sjpd(jcrq);
			DXPLQJCVO vo1 = new DXPLQJCVO();
			vo1.setHwbm(hwbm);
			vo1.setJcsj(jcsj1);
			List<DXPLQJCVO> list1 = dxplqjcMapper.getLwAll(vo1);
			for (DXPLQJCVO dxplqjcvo2 : list1) {
				list1.get(0);
				String[] wdz = dxplqjcvo2.getLswdzjh().split("\\|");
				for (String wdz1 : wdz) {
					 String strcs = wdz1.split(",")[1];   // 层数
					 String strhs = wdz1.split(",")[2];   // 行数
					 if(Integer.parseInt(strcs) == ch) {
						 if(str1.equals(strhs)) {
							 strLst1.add(wdz1.split(",")[0]);  // 温度值
						 }
					 }
				}
			}

			for (int i=0;i<strLst.size();i++) {
				lwt lwt = new lwt();
				lwt.setNum(Double.parseDouble(strLst.get(i)));
				lwt.setYs(yzszpd(Double.parseDouble(strLst.get(i))));
				lwt.setFx(wdzpd(Double.parseDouble(strLst.get(i)),Double.parseDouble(strLst1.get(i))));
				newLst.add(lwt);
			}

			// 重新赋值
        	maplst.add(newLst);
		}

		return maplst;
	}

	public List<Map<String, Object>> cslwData(String hwbm, String jcsj) {
		List<Map<String, Object>> mapData = new ArrayList<Map<String, Object>>();
		DXPLQJCVO vo = new DXPLQJCVO();
		vo.setHwbm(hwbm);
		vo.setJcsj(jcsj);
		List<DXPLQJCVO> list = dxplqjcMapper.getLwAll(vo);
		//String[] str = {"1","2","3","4","5","6","7"};   // 层数
		List<String> strlist = new ArrayList<>();
		for (DXPLQJCVO lst : list) {
			String[] lswdjh = lst.getLswdzjh().split("\\|");   ///  层行列
			for (String strjh : lswdjh) {
				String csstr = strjh.split(",")[1];   // 层数
				strlist.add(csstr);
			}
		}
		// 去重复值   得到新的层数
		List<String> newList = new ArrayList<String>();
        for (String cd:strlist) {
           if(!newList.contains(cd)){
               newList.add(cd);
           }
       }
		System.out.println("层数" + newList);
		for (String cs : newList) {
			for (DXPLQJCVO lst : list) {
				Map<String,Object> map = new HashMap<>();
				Integer num = 0;
				Float FloData = (float) 0.0;
				List<Double> strlst = new ArrayList<>();
				String[] lswdjh = lst.getLswdzjh().split("\\|");
				for (String strjh : lswdjh) {
					String wdzstr = strjh.split(",")[0];
					String csstr = strjh.split(",")[1];
					if(csstr.equals(cs)) {
						num +=1;
						strlst.add(Double.valueOf(wdzstr));
						Float floatData = Float.valueOf(wdzstr);
						FloData += floatData;
					}
				}
				if(strlst.size()>0) {
					// 排序
					Collections.sort(strlst);
					System.out.println("第"+cs+"层:" + strlst);
					//  获取最小值和最大值
					Double min = strlst.get(0);
					Double max = strlst.get(strlst.size()-1);
					String name = "第"+cs+"层";
					DecimalFormat decimalFormat=new DecimalFormat(".00");
					Float floNum = FloData/num;
					String strFloat = decimalFormat.format(floNum);
					Double avg = Double.parseDouble(strFloat);
					map.put("name", name);
					map.put("value", "层高温:"+max +"层低温:"+min +"层均温:"+avg);
					mapData.add(map);
				}
			}
		}
		return mapData;
	}

	public List<Map<String, Object>> tccslwData(String hwbm, String jcsj) {
		List<Map<String, Object>> mapData = new ArrayList<Map<String, Object>>();
		DXPLQJCVO vo = new DXPLQJCVO();
		vo.setHwbm(hwbm);
		vo.setJcsj(jcsj);
		List<DXPLQJCVO> list = dxplqjcMapper.getLwAll(vo);
		//String[] str = {"1","2","3","4","5","6","7"};   // 层数
		List<String> strlist = new ArrayList<>();
		for (DXPLQJCVO lst : list) {
			String[] lswdjh = lst.getLswdzjh().split("\\|");   /// 圈点层
			for (String strjh : lswdjh) {
				String csstr = strjh.split(",")[3];   // 层数
				strlist.add(csstr);
			}
		}
		// 去重复值   得到新的层数
		List<String> newList = new ArrayList<String>();
        for (String cd:strlist) {
           if(!newList.contains(cd)){
               newList.add(cd);
           }
       }
		System.out.println("层数" + newList);
		for (String cs : newList) {
			for (DXPLQJCVO lst : list) {
				Map<String,Object> map = new HashMap<>();
				Integer num = 0;
				Float FloData = (float) 0.0;
				List<Double> strlst = new ArrayList<>();
				String[] lswdjh = lst.getLswdzjh().split("\\|");
				for (String strjh : lswdjh) {
					String wdzstr = strjh.split(",")[0];
					String csstr = strjh.split(",")[3];
					if(csstr.equals(cs)) {
						num +=1;
						strlst.add(Double.valueOf(wdzstr));
						Float floatData = Float.valueOf(wdzstr);
						FloData += floatData;
					}
				}
				if(strlst.size()>0) {
					// 排序
					Collections.sort(strlst);
					System.out.println("第"+cs+"层:" + strlst);
					//  获取最小值和最大值
					Double min = strlst.get(0);
					Double max = strlst.get(strlst.size()-1);
					String name = "第"+cs+"层";
					DecimalFormat decimalFormat=new DecimalFormat(".00");
					Float floNum = FloData/num;
					String strFloat = decimalFormat.format(floNum);
					Double avg = Double.parseDouble(strFloat);
					map.put("name", name);
					map.put("value", "层高温:"+max +"层低温:"+min +"层均温:"+avg);
					mapData.add(map);
				}
			}
		}
		return mapData;
	}

	// 大于等于30  红色
	// 大于等于25小于30   黄色
	// 大于0小于25  没有颜色
	// 小于等于0  蓝色
	public static String yzszpd(double strNum) {
		if(strNum >= 30) {
			return "red";
		}if(strNum >=25 && strNum <30) {
			return "yellow";
		}if(strNum >0 && strNum <25) {
			return "Nocolor";
		}if(strNum <=0) {
			return "blue";
		}
		return null;
	}

	public static String wdzpd(double newNum,double oldNum) {
		if(newNum > oldNum) {
			return "PgUp";
		}if(newNum < oldNum) {
			return "PgDn";
		}if(newNum == oldNum) {
			return "NoArrow";
		}
		return null;
	}

	public static String sjpd(String jcrq) {
		Calendar c = Calendar.getInstance();
		Date date=null;
		try {
			date = new SimpleDateFormat("yyyy-MM-dd").parse(jcrq);
		} catch (ParseException e) {
			//e.printStackTrace();
		}
		c.setTime(date);
		int day=c.get(Calendar.DATE);
		c.set(Calendar.DATE,day-1);
		String dayBefore=new SimpleDateFormat("yyyy-MM-dd").format(c.getTime());
		System.out.println(dayBefore);
		return dayBefore;
	}

	public List<List<lwt>> tcmclwData(String hwbm, Integer ch, String jcsj) {
		// List<String> strLst = new ArrayList<>();
		List<List<lwt>> maplst = new ArrayList<>();
		DXPLQJCVO vo = new DXPLQJCVO();
		vo.setHwbm(hwbm);
		vo.setJcsj(jcsj);
		List<DXPLQJCVO> list = dxplqjcMapper.getLwAll(vo);

		List<String> strlist = new ArrayList<>();
		for (DXPLQJCVO lst : list) {   /// 圈点层
			String[] lswdjh = lst.getLswdzjh().split("\\|");
			for (String strjh : lswdjh) {
				String csstr = strjh.split(",")[1];   // 圈数
				strlist.add(csstr);
			}
		}
		// 去重复值   得到新的圈数
		List<String> newList = new ArrayList<String>();
        for (String cd:strlist) {
           if(!newList.contains(cd)){
               newList.add(cd);
           }
        }
		System.out.println("圈数:" + newList);

        for (String str1 : newList) {
        	// 最新得温度值
        	List<lwt> newLst = new ArrayList<>();
        	List<String> strLst = new ArrayList<>();
        	for (DXPLQJCVO dxplqjcvo : list) {
    			String[] strwdz = dxplqjcvo.getLswdzjh().split("\\|");
    			for (String str : strwdz) {
    				String strsplwdz = str.split(",")[0];  // 温度值      圈点层
    				String strspl = str.split(",")[1];   // 圈数
    				String strsp2 = str.split(",")[3];   // 层数
    				Integer intspl = Integer.parseInt(strsp2);
    				if(intspl == ch) {
    					if(str1.equals(strspl)) {   ///
    						strLst.add(strsplwdz);
    					}
    				}
    			}
    		}

        	// 上次得温度值
        	List<String> strLst1 = new ArrayList<>();
        	String jcrq = jcsj.substring(0, 10);
			String jcsj1 = sjpd(jcrq);
			DXPLQJCVO vo1 = new DXPLQJCVO();
			vo1.setHwbm(hwbm);
			vo1.setJcsj(jcsj1);
			List<DXPLQJCVO> list1 = dxplqjcMapper.getLwAll(vo1);
			for (DXPLQJCVO dxplqjcvo2 : list1) {
				list1.get(0);
				String[] wdz = dxplqjcvo2.getLswdzjh().split("\\|");    /// 圈点层
				for (String wdz1 : wdz) {
					 String strcs = wdz1.split(",")[1];   // 圈数
					 String strhs = wdz1.split(",")[3];   // 层数
					 if(Integer.parseInt(strhs) == ch) {
						 if(str1.equals(strcs)) {
							 strLst1.add(wdz1.split(",")[0]);  // 温度值
						 }
					 }
				}
			}

			for (int i=0;i<strLst.size();i++) {
				lwt lwt = new lwt();
				lwt.setNum(Double.parseDouble(strLst.get(i)));
				lwt.setYs(yzszpd(Double.parseDouble(strLst.get(i))));
				lwt.setFx(wdzpd(Double.parseDouble(strLst.get(i)),Double.parseDouble(strLst1.get(i))));
				newLst.add(lwt);
				//newLst.add("{num:"+strLst.get(i)+","+"ys:"+yzszpd(Double.parseDouble(strLst.get(i)))+","+"fx:"+wdzpd(Double.parseDouble(strLst.get(i)),Double.parseDouble(strLst1.get(i)))+"}");
				//newLst.add(strLst.get(i)+","+yzszpd(Double.parseDouble(strLst.get(i)))+","+wdzpd(Double.parseDouble(strLst.get(i)),Double.parseDouble(strLst1.get(i))));
			}

			// 重新赋值
        	maplst.add(newLst);
		}

		return maplst;
	}

//	public cfxxvo gwbjcfxx(String kqbm) {
//		cfxxvo cflst = new cfxxvo();
//		List<cfxx> cfcslst = new ArrayList<>();
//		DXPLQJCVO vo = dxplqjcMapper.querybyFirstLqjc(null,null,kqbm);
//		List<String> cslst = new ArrayList<>();
//		String[] split = vo.getLswdzjh().split("\\|");
//		for (String str1 : split) {
//			String csstr = str1.split(",")[1];
//			cslst.add(csstr);
//		}
//		// 去重复值   得到新的层数
//		List<String> newList = new ArrayList<String>();
//        for (String cd:cslst) {
//           if(!newList.contains(cd)){
//               newList.add(cd);
//           }
//        }
//		System.out.println("层数:"+newList);
//		// 获取仓房名称
//		String cfmc = dxplqjcMapper.queryByCfmc(vo.getHwbm());
//		// 获取库区编码
//		String kqbh = dxplqjcMapper.queryByKqbm(vo.getHwbm());
//		//  循环层数得到每层得最高最低平均温度值
//		for (String str : newList) {
//			List<Double> strlst = new ArrayList<>();
//			 cfxx cf = new cfxx();
//			 Integer num =0;
//			 Float FloData = (float) 0.0;
//			 for (String str1 : split) {
//				 	String wdzstr = str1.split(",")[0];  // 温度值
//				 	String csstr = str1.split(",")[1];  // 层数
//				 	if(csstr.equals(str)) {
//				 		num +=1;
//						strlst.add(Double.valueOf(wdzstr));
//						Float floatData = Float.valueOf(wdzstr);
//						FloData += floatData;
//				 	}
//			 }
//			 DecimalFormat decimalFormat=new DecimalFormat(".00");
//			 Float floNum = FloData/num;
//			 String strFloat = decimalFormat.format(floNum);
//			 Double avg = Double.parseDouble(strFloat);
//			 // 排序
//			 Collections.sort(strlst);
//			 System.out.println("新的数据"+strlst);
//			 Double min = strlst.get(0);
//			 Double max = strlst.get(strlst.size()-1);
//			 cf.setCs(str);
//			 cf.setHwbm(vo.getHwbm());
//			 cf.setMax(max);
//			 cf.setMin(min);
//			 cf.setAvg(avg);
//			 cf.setJcsj(vo.getJcsj());
//			 cf.setCfmc(cfmc);
//			 cf.setKqbm(kqbh);
//			 cfcslst.add(cf);
//
//		}
//		System.out.println("获取到新的仓房数据:"+cfcslst);
//		// 从数据字典中取值判断
//		List<cfxx> bjcflst = new ArrayList<>();
//		List<cfxx> yjcflst = new ArrayList<>();
//		List<cfxx> dwcflst = new ArrayList<>();
//		for(cfxx cfcslist:cfcslst) {
//			List<Map<String, Object>> map = queryByLWYJ();
//			for (Map<String, Object> map2 : map) {
//				Object objCode =  map2.get("dictCode");
//				Object objName =  map2.get("dictName");
//				if(objName.equals("上限值")) {
//					if(cfcslist.getMax() >= Double.parseDouble(objCode.toString())) {
//						cfxx xx = new cfxx();
//						xx.setAvg(cfcslist.getAvg());
//						xx.setCfmc(cfcslist.getCfmc());
//						xx.setCs("第"+cfcslist.getCs()+"层");
//						xx.setHwbm(cfcslist.getHwbm());
//						xx.setJcsj(cfcslist.getJcsj());
//						xx.setMax(cfcslist.getMax());
//						xx.setMin(cfcslist.getMin());
//						xx.setYs(yzszpd(cfcslist.getMax()));
//						xx.setKqbm(cfcslist.getKqbm());
//						bjcflst.add(xx);
//					}
//					cflst.setGwbjcf(bjcflst);
//				}else if(objName.equals("预警值")) {
//					if(cfcslist.getMax() >= Double.parseDouble(objCode.toString()) && cfcslist.getMax() < 30) {
//						cfxx yjxx = new cfxx();
//						yjxx.setAvg(cfcslist.getAvg());
//						yjxx.setCfmc(cfcslist.getCfmc());
//						yjxx.setCs("第"+cfcslist.getCs()+"层");
//						yjxx.setHwbm(cfcslist.getHwbm());
//						yjxx.setJcsj(cfcslist.getJcsj());
//						yjxx.setMax(cfcslist.getMax());
//						yjxx.setMin(cfcslist.getMin());
//						yjxx.setYs(yzszpd(cfcslist.getMax()));
//						yjxx.setKqbm(cfcslist.getKqbm());
//						yjcflst.add(yjxx);
//					}
//					cflst.setGwyjcf(yjcflst);
//				}else {
//					if(cfcslist.getMin() <= Double.parseDouble(objCode.toString())) {
//						cfxx dwxx = new cfxx();
//						dwxx.setAvg(cfcslist.getAvg());
//						dwxx.setCfmc(cfcslist.getCfmc());
//						dwxx.setCs("第"+cfcslist.getCs()+"层");
//						dwxx.setHwbm(cfcslist.getHwbm());
//						dwxx.setJcsj(cfcslist.getJcsj());
//						dwxx.setMax(cfcslist.getMax());
//						dwxx.setMin(cfcslist.getMin());
//						dwxx.setYs(yzszpd(cfcslist.getMax()));
//						dwxx.setKqbm(cfcslist.getKqbm());
//						dwcflst.add(dwxx);
//					}
//					cflst.setDwbjcf(dwcflst);
//				}
//			}
//		}
//		return cflst;
//	}


	//获取数据字典中预警得值
	public List<Map<String, Object>> queryByLWYJ() {
		String param = "LWYJ";
		String url = "http://172.16.0.73:11050/dataDictionary/findByGroupId";
		String result = sendGET(url,param);
		JSONObject objData = JSONObject.parseObject(result);
		JSONArray arrayList = JSON.parseArray(objData.getString("data"));
		Iterator<Object> it = arrayList.iterator();

		List<Map<String, Object>> map = new ArrayList<Map<String, Object>>();

		while (it.hasNext()) {

			Map<String,Object> map1 = new HashMap<String,Object>();

			JSONObject obj = (JSONObject) it.next();

			String dictName = obj.getString("dictName");

			String dictCode = obj.getString("dictCode");

			map1.put("dictName", dictName);

			map1.put("dictCode", dictCode);

			map.add(map1);

		}
		return map;
	}

	public static String sendGET(String url, String param) {

	    String result = "";
        BufferedReader in = null;
        try {
            String urlNameString = url + "/" + param;
            URL realUrl = new URL(urlNameString);
            // 打开和URL之间的连接
            URLConnection connection = realUrl.openConnection();
            // 设置通用的请求属性
            connection.setRequestProperty("accept", "*/*");
            connection.setRequestProperty("connection", "Keep-Alive");
            connection.setRequestProperty("user-agent",
                    "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
            // 建立实际的连接
            connection.connect();
            // 获取所有响应头字段
            Map<String, List<String>> map = connection.getHeaderFields();
            // 遍历所有的响应头字段
            for (String key : map.keySet()) {
                System.out.println(key + "--->" + map.get(key));
            }
            // 定义 BufferedReader输入流来读取URL的响应
            in = new BufferedReader(new InputStreamReader(
                    connection.getInputStream()));
            String line;
            while ((line = in.readLine()) != null) {
                result += line;
            }
        } catch (Exception e) {
            System.out.println("发送GET请求出现异常！" + e);
            e.printStackTrace();
        }
        // 使用finally块来关闭输入流
        finally {
            try {
                if (in != null) {
                    in.close();
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return result;
    }

	public cfxxvo gwbjcfxx(String kqbm) {
		List<cfxx> gwbjcf =new ArrayList<cfxx>();
		List<cfxx> gwyjcf =new ArrayList<cfxx>();
		//List<cfxx> dwbjcf =new ArrayList<cfxx>();
		//int max = 35,min=3,cen=30;
		int max = 0,cen=0;
		//获取阀值
		List<ParaConfigVO> fzList = dxplqjcMapper.getFzList("1052");
		for(ParaConfigVO paraConfigVO:fzList){
			if("10520001".equals(paraConfigVO.getConfigCode())){
				max = Integer.valueOf(paraConfigVO.getConfigValue());
			}else if("10520002".equals(paraConfigVO.getConfigCode())){
				cen = Integer.valueOf(paraConfigVO.getConfigValue());
			}
		}
	/*	try {
			String result = HttpRequest.get(configUrl +"/1052").timeout(1000).execute().body();
			cn.hutool.json.JSONObject jsonObject5 = JSONUtil.parseObj(result);
			if(jsonObject5.getInt("infoCode")==200) {
				cn.hutool.json.JSONArray array = jsonObject5.getJSONArray("data");
				if(array!=null) {
					for(int i=0;i<array.size();i++) {
						cn.hutool.json.JSONObject jsonObject2 = array.getJSONObject(i);
						if(jsonObject2.getStr("configCode").equals("10520001")) {
							max = Integer.valueOf(jsonObject2.getStr("configValue"));
						} else if(jsonObject2.getStr("configCode").equals("10520002")) {
							cen = Integer.valueOf(jsonObject2.getStr("configValue"));
						} else if(jsonObject2.getStr("configCode").equals("10520003")) {
							min = Integer.valueOf(jsonObject2.getStr("configValue"));
						}
					}
				}
			}
		} catch (Exception e) {
			System.out.println("超时了！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！！");
		}*/

//		List<String> string2 = new ArrayList<String>();
//		if(StringUtils.isNotEmpty(kqbm)) {//获取符合条件的仓号
//			string2 = dxplqjcMapper.getCfList(kqbm);
//		}
//		TemperatureVO temperatureVO5 = new TemperatureVO();
//		temperatureVO5.setDate(string2);
		List<TemperatureVO> temperatureVOs = dxplqjcMapper.geTemperatures(kqbm);
		Map<String,cfxx> map = new HashMap<>();
		for(TemperatureVO temperatureVO:temperatureVOs) {
			String points = temperatureVO.getTPoints();
//			DCfxxsjyVO cfxxsjyVO =  dxplqjcMapper.getCfxx(temperatureVO.getStorehouseCode(),temperatureVO.getDepotName());
			cn.hutool.json.JSONArray array = JSONUtil.parseArray(points);
			List<XYZVO> list = new ArrayList<XYZVO>();
			Set<String> set = new HashSet<String>();
			for (int i = 0; i < array.size(); i++) {
				cn.hutool.json.JSONObject jsonObject = array.getJSONObject(i);
				XYZVO xyzvo = new XYZVO();
				xyzvo.setWeather(jsonObject.getStr("temp"));
				xyzvo.setX(jsonObject.getStr("x"));
				xyzvo.setY(jsonObject.getStr("y"));
				xyzvo.setZ(jsonObject.getStr("z"));
				list.add(xyzvo);
				set.add(jsonObject.getStr("z"));
			}


			DecimalFormat decimalFormat = new DecimalFormat(".00");
			for (String string : set) {
				int i = 0;
				float big = 0, small = -100, total = 0;
				for (XYZVO xyzvo : list) {
					if (xyzvo.getZ().equals(string)) {
						i++;
						total += Float.valueOf(xyzvo.getWeather());
						if (Float.valueOf(xyzvo.getWeather()) >= big) {
							big = Float.valueOf(xyzvo.getWeather());
						}
						/*if (Float.valueOf(xyzvo.getWeather()) <= small || small < -90) {
							small = Float.valueOf(xyzvo.getWeather());
						}*/
					}
				}
				if(big>max) {//告警
					cfxx cfxx = new cfxx();
					cfxx.setMax(String.valueOf(big));
					cfxx.setMin(String.valueOf(small));
					cfxx.setAvg(decimalFormat.format(total / i));
					cfxx.setJcsj(temperatureVO.getTTime());
					cfxx.setMc(temperatureVO.getStorehouseName());
					cfxx.setCfmc(temperatureVO.getDepotName()+temperatureVO.getStorehouseName());
					cfxx.setKqbm(temperatureVO.getStorehouseCode());
					cfxx.setHwbm(temperatureVO.getHwbm());
					cfxx.setCfbh(temperatureVO.getCfbh());
					//cfxx.setCs(string);
					gwbjcf.add(cfxx);
				}
				if (big>cen&&big<max) {//预警
					cfxx cfxx = new cfxx();
					//cfxx.setMax(String.valueOf(big));
					//cfxx.setMin(String.valueOf(small));
					//cfxx.setAvg(decimalFormat.format(total / i));
					cfxx.setMax(temperatureVO.getTMax());
					cfxx.setMin(temperatureVO.getTMin());
					cfxx.setAvg(temperatureVO.getTAvg());
					cfxx.setJcsj(temperatureVO.getTTime());
					cfxx.setMc(temperatureVO.getStorehouseName());
					cfxx.setCfmc(temperatureVO.getDepotName()+temperatureVO.getStorehouseName());
					cfxx.setKqbm(temperatureVO.getStorehouseCode());
					cfxx.setHwbm(temperatureVO.getHwbm());
					cfxx.setCfbh(temperatureVO.getCfbh());
					//cfxx.setCs(string);
					map.put(temperatureVO.getHwbm(),cfxx);
					//gwyjcf.add(cfxx);
				}
				/*if (small<min) {//低温
					cfxx cfxx = new cfxx();
					cfxx.setMax(String.valueOf(big));
					cfxx.setMin(String.valueOf(small));
					cfxx.setAvg(decimalFormat.format(total / i));
					cfxx.setJcsj(temperatureVO.getTTime());
					cfxx.setCfmc(temperatureVO.getDepotName()+temperatureVO.getStorehouseName());
					cfxx.setKqbm(temperatureVO.getStorehouseCode());
					cfxx.setHwbm(temperatureVO.getHwbm());
					cfxx.setCs(string);
					dwbjcf.add(cfxx);
				}*/
			}
		}
		cfxxvo cfxxvo = new cfxxvo();
		cfxxvo.setGwbjcf(gwbjcf);
		for (Map.Entry<String, cfxx> m : map.entrySet()) {
			gwyjcf.add(m.getValue());
		}
		cfxxvo.setGwyjcf(gwyjcf);
		//cfxxvo.setDwbjcf(dwbjcf);
		return cfxxvo;
	}

	public cfxxvo gwyjcfxx(String kqbm) {
        Map<String, Object> params = new HashMap<>();
        params.put("kqbm", kqbm);
		List<cfxx> gwbjcf =new ArrayList<cfxx>();
		List<cfxx> gwyjcf =new ArrayList<cfxx>();
		int max = 0,cen=0;
		//获取阀值
		List<ParaConfigVO> fzList = dxplqjcMapper.getFzList("1052");
		for(ParaConfigVO paraConfigVO:fzList){
			if("10520001".equals(paraConfigVO.getConfigCode())){
				max = Integer.valueOf(paraConfigVO.getConfigValue());
			}else if("10520002".equals(paraConfigVO.getConfigCode())){
				cen = Integer.valueOf(paraConfigVO.getConfigValue());
			}
		}
		List<TemperatureVO> temperatureVOs = dxplqjcMapper.geTemperature(params);
		Map<String,cfxx> yjmap = new HashMap<>();
		Map<String,cfxx> bjmap = new HashMap<>();
		for(TemperatureVO temperatureVO:temperatureVOs) {
			if(new BigDecimal(temperatureVO.getTMax()).compareTo(new BigDecimal(cen))>-1&&new BigDecimal
					(temperatureVO.getTMax()).compareTo(new BigDecimal(max))<1)
			{
						cfxx cfxx = new cfxx();
						cfxx.setMax(temperatureVO.getTMax());
						cfxx.setMin(temperatureVO.getTMin());
						cfxx.setAvg(temperatureVO.getTAvg());
						cfxx.setJcsj(temperatureVO.getTTime());
						cfxx.setMc(temperatureVO.getStorehouseName());
						cfxx.setCfmc(temperatureVO.getDepotName()+temperatureVO.getStorehouseName());
						cfxx.setKqbm(temperatureVO.getStorehouseCode());
						cfxx.setHwbm(temperatureVO.getHwbm());
						cfxx.setCfbh(temperatureVO.getCfbh());
						yjmap.put(temperatureVO.getHwbm(),cfxx);
					}
			if(new BigDecimal(temperatureVO.getTMax()).compareTo(new BigDecimal(max))==1){
					cfxx cfxx = new cfxx();
					cfxx.setMax(temperatureVO.getTMax());
					cfxx.setMin(temperatureVO.getTMin());
					cfxx.setAvg(temperatureVO.getTAvg());
					cfxx.setJcsj(temperatureVO.getTTime());
					cfxx.setMc(temperatureVO.getStorehouseName());
					cfxx.setCfmc(temperatureVO.getDepotName() + temperatureVO.getStorehouseName());
					cfxx.setKqbm(temperatureVO.getStorehouseCode());
					cfxx.setHwbm(temperatureVO.getHwbm());
					cfxx.setCfbh(temperatureVO.getCfbh());
					bjmap.put(temperatureVO.getHwbm(),cfxx);
			}
		}
		cfxxvo cfxxvo = new cfxxvo();
		for (Map.Entry<String, cfxx> m : yjmap.entrySet()) {
			gwyjcf.add(m.getValue());
		}
		for (Map.Entry<String, cfxx> m : bjmap.entrySet()) {
			gwbjcf.add(m.getValue());
		}
		cfxxvo.setGwbjcf(gwbjcf);
		cfxxvo.setGwyjcf(gwyjcf);
		return cfxxvo;
	}

	public cfxxvo gwbjcfxxRole(String kqbm, String roleId,String lsxz) {
        String orgId = CurrentUtil.getOrgId();
        Map<String, Object> params = new HashMap<>();
        params.put("orgId", orgId);
        params.put("kqbm", kqbm);
        params.put("lsxz", lsxz);

        List<cfxx> gwbjcf = new ArrayList<>();
		List<cfxx> gwyjcf = new ArrayList<>();
		int max = 0, cen=0;
		//获取阀值
		List<ParaConfigVO> fzList = dxplqjcMapper.getFzList("1052");
		for(ParaConfigVO paraConfigVO:fzList){
			if("10520001".equals(paraConfigVO.getConfigCode())){
				max = Integer.valueOf(paraConfigVO.getConfigValue());
			}else if("10520002".equals(paraConfigVO.getConfigCode())){
				cen = Integer.valueOf(paraConfigVO.getConfigValue());
			}
		}
        Jedis jedis = RedisUtil.getJedis(RedisDataBaseIndex.DB2);
        String s = jedis.get(RedisKey.ORG_RELATE + orgId);
        RedisUtil.returnResource(jedis);
        JSONObject data = JSONObject.parseObject(s, JSONObject.class);

        if (data != null) {
            String type = data.getString("type");
            params.put("type", type);
            JSONArray orgList = data.getJSONArray("orgList");
            if (null != orgList) {
                params.put("orgList", orgList.toJavaList(String.class));
            }
        }else {
            params.put("type", null);
        }
		List<TemperatureVO> temperatureVOs = dxplqjcMapper.geTemperature(params);
		Map<String,cfxx> yjmap = new HashMap<>();
		Map<String,cfxx> bjmap = new HashMap<>();
		for(TemperatureVO temperatureVO:temperatureVOs) {
			if(new BigDecimal(temperatureVO.getTMax()).compareTo(new BigDecimal(cen))>-1&&new BigDecimal
					(temperatureVO.getTMax()).compareTo(new BigDecimal(max))<1)
			{
				cfxx cfxx = new cfxx();
				cfxx.setMax(temperatureVO.getTMax());
				cfxx.setMin(temperatureVO.getTMin());
				cfxx.setAvg(temperatureVO.getTAvg());
				cfxx.setJcsj(temperatureVO.getTTime());
				cfxx.setMc(temperatureVO.getStorehouseName());
				cfxx.setCfmc(temperatureVO.getDepotName()+temperatureVO.getStorehouseName());
				cfxx.setKqbm(temperatureVO.getStorehouseCode());
				cfxx.setHwbm(temperatureVO.getHwbm());
				cfxx.setCfbh(temperatureVO.getCfbh());
				yjmap.put(temperatureVO.getHwbm(),cfxx);
			}
			if(new BigDecimal(temperatureVO.getTMax()).compareTo(new BigDecimal(max))==1){
				cfxx cfxx = new cfxx();
				cfxx.setMax(temperatureVO.getTMax());
				cfxx.setMin(temperatureVO.getTMin());
				cfxx.setAvg(temperatureVO.getTAvg());
				cfxx.setJcsj(temperatureVO.getTTime());
				cfxx.setMc(temperatureVO.getStorehouseName());
				cfxx.setCfmc(temperatureVO.getDepotName() + temperatureVO.getStorehouseName());
				cfxx.setKqbm(temperatureVO.getStorehouseCode());
				cfxx.setHwbm(temperatureVO.getHwbm());
				cfxx.setCfbh(temperatureVO.getCfbh());
				bjmap.put(temperatureVO.getHwbm(),cfxx);
			}
		}
		cfxxvo cfxxvo = new cfxxvo();
		for (Map.Entry<String, cfxx> m : yjmap.entrySet()) {
			gwyjcf.add(m.getValue());
		}
		for (Map.Entry<String, cfxx> m : bjmap.entrySet()) {
			gwbjcf.add(m.getValue());
		}
		cfxxvo.setGwbjcf(gwbjcf);
		cfxxvo.setGwyjcf(gwyjcf);
		return cfxxvo;
	}
}
