package com.jusfoun.ydylsz.service;


import com.jusfoun.ydylsz.mapper.DXPCFXXMapper;
import com.jusfoun.ydylsz.mapper.DXPPointMapper;
import com.jusfoun.ydylsz.vo.KqImageVO;
import com.jusfoun.ydylsz.vo.PointVO;
import com.jusfoun.ydylsz.vo.TreeNode;
import com.unis.common.utils.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class DXPPointService {

    @Autowired
    private DXPPointMapper dxpPointMapper;
    @Autowired
    private DXPCFXXMapper dxpcfxxMapper;

    public void savePoint(PointVO point) {
        PointVO pointVO = dxpPointMapper.findPoint(point.getIndex());
        if(pointVO!=null){
            point.setUTime(DateUtil.getDateFormat(new Date(),"yyyy-MM-dd HH:mm:ss"));
            dxpPointMapper.updatePoint(point);
        }else {
            point.setCTime(DateUtil.getDateFormat(new Date(),"yyyy-MM-dd HH:mm:ss"));
            point.setUTime(DateUtil.getDateFormat(new Date(),"yyyy-MM-dd HH:mm:ss"));
            dxpPointMapper.savePoint(point);
        }
    }

    public void updatePoint(PointVO point) {
        dxpPointMapper.updatePoint(point);
    }

    public void deletePoint(String kqbh) {
        dxpPointMapper.deletePoint(kqbh);
    }

    public List<PointVO> pointDetail(String kqbh) {
        List<PointVO> list = dxpPointMapper.pointDetail(kqbh);
        return list;
    }

    public List<PointVO> selectPointDetailByEntity(PointVO pointVO) {
        List<PointVO> list = dxpPointMapper.selectPointDetailByEntity(pointVO);
        return list;
    }

    public void saveImage(KqImageVO kqImageVO) {
        KqImageVO kqImage = dxpPointMapper.imageDetail(kqImageVO.getKqbh());
        if(kqImage!=null){
            if(kqImageVO.getPath().equals(kqImage.getPath())){
            }else{
                dxpPointMapper.deletePoint(kqImageVO.getKqbh());
            }
            dxpPointMapper.updateImage(kqImageVO);
        }else {
            dxpPointMapper.saveImage(kqImageVO);
        }
    }

    public void updateImage(KqImageVO kqImageVO) {
        dxpPointMapper.updateImage(kqImageVO);
    }

    public KqImageVO imageDetail(String kqbh) {
        KqImageVO kqImageVO = dxpPointMapper.imageDetail(kqbh);
        return  kqImageVO;
    }

    public List<TreeNode> indexData(String kqbh, String type) {
        List<TreeNode> list =null;
        if("0".equals(type)){//仓房
            list = dxpcfxxMapper.selectListCfxx(kqbh);
        }else if("1".equals(type)){
            list = dxpcfxxMapper.selectListSbxx(kqbh);
        }

        return list;
    }
}
