package com.jusfoun.ydylsz.service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.unis.common.utils.CurrentUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.jusfoun.ydylsz.mapper.KshGgfwMapper;

@Service("kshGgfwService")
public class KshGgfwService {

	@Value("${roles.qlb}")
	private String qlb;
	@Value("${roles.gxgs}")
	private String gxgs;
	@Autowired
	private KshGgfwMapper kshGgfwMapper;

	public List<Map<String, Object>> querySheng(String xzqhdm) {
		return kshGgfwMapper.querySheng(xzqhdm);
	}

	public List<Map<String, Object>> queryShi(String stdcode) {	
		String subCode = stdcode.substring(0, 2);
		String code1 = subCode + "%" + "00";
		String code2 = subCode + "0000";
		return kshGgfwMapper.queryShi(code1,code2);
	}

	public List<Map<String, Object>> queryXian(String stdcode) {
		String subCode = stdcode.substring(0, 4);
		String code1 = subCode + "%";
		String code2 = subCode + "00";
		return kshGgfwMapper.queryXian(code1,code2);
	}

	public List<Map<String, Object>> querySjzd() {
		return kshGgfwMapper.querySjzd();
	}

	public List<Map<String, Object>> queryArea(String pcode) {
		return kshGgfwMapper.queryArea(pcode);
	}


	public List<Map<String,Object>> getSjzd(String typeName) {
		return kshGgfwMapper.getSjzd(typeName);
	}

    public List<Map<String,Object>> queryRoleXian(String stdcode, String roleId) {
		List<Map<String,Object>> list = new ArrayList<>();
		if(qlb.equals(roleId)){
			Map<String,Object> map = new HashMap<>();
			map.put("stdname",kshGgfwMapper.queryAreaName(CurrentUtil.getAreaCode()));
			map.put("stdcode",CurrentUtil.getAreaCode());
			list.add(map);
		}else if(gxgs.equals(roleId)){
			list = null;
		}else{
			String subCode = stdcode.substring(0, 4);
			String code1 = subCode + "%";
			String code2 = subCode + "00";
			list = kshGgfwMapper.queryXian(code1,code2);
		}
		return list;
    }
}
