package com.jusfoun.ydylsz.service;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

import com.jusfoun.ydylsz.pojo.WheatVO;
import com.jusfoun.ydylsz.util.DateTool;
import com.jusfoun.ydylsz.vo.Attaches;
import lombok.extern.log4j.Log4j;
import lombok.extern.log4j.Log4j2;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.XwkChjcMapper;
import com.jusfoun.ydylsz.mapper.XwkLsckxxMapper;
import com.jusfoun.ydylsz.vo.XwkChjc;
import com.jusfoun.ydylsz.vo.XwkLsckxx;
import com.jusfoun.ydylsz.vo.XwkLsrkxxjk;
import com.jusfoun.ydylsz.vo.XwkkuPicVo;

@Service
@Log4j
public class LsckService {

	@Autowired
	private XwkLsckxxMapper xwkLsckxxMapper;

	@Value("${depots.pcUrl}")
	private String depotsPcUrl;

	public List<XwkLsckxx> list(String cfbh) {
		XwkLsckxx chjc = new XwkLsckxx();
		chjc.setHwdm(cfbh);
		return xwkLsckxxMapper.select(chjc);
	}

	public PageInfo<XwkLsckxx> lsckPage(XwkLsckxx xwkLsckxx, int pageNum,int pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		List<XwkLsckxx> list= xwkLsckxxMapper.lsckPage(xwkLsckxx);
		for(XwkLsckxx ckxx : list){
			if(StringUtils.isNotEmpty(ckxx.getMztpid())) {
				String mztpid=ckxx.getMztpid();
				List<Attaches> mztpList=xwkLsckxxMapper.selectTuPian(mztpid);
				ckxx.setMztpList(mztpList);
			}

			if(StringUtils.isNotEmpty(ckxx.getPztpid())) {
				String pztpid=ckxx.getPztpid();
				List<Attaches> pztpList=xwkLsckxxMapper.selectTuPian(pztpid);
				ckxx.setPztpList(pztpList);
			}
		}
		PageInfo<XwkLsckxx> pageInfo=new PageInfo<>(list);
		return pageInfo;
	}

	public XwkLsckxx info(String chjcid) {
		XwkLsckxx chjc = new XwkLsckxx();
		chjc.setCkywdh(chjcid);
		XwkLsckxx ckxx= xwkLsckxxMapper.info(chjc);
		if(ckxx!=null ) {
			if(StringUtils.isNotEmpty(ckxx.getBizno())){
				String lspzbm=ckxx.getLspzdm();
			}
			if(StringUtils.isNotEmpty(ckxx.getMztpid())) {
				String mztpid=ckxx.getMztpid();
				List<Attaches> mztpList=xwkLsckxxMapper.selectTuPian(mztpid);
				ckxx.setMztpList(mztpList);
			}

			if(StringUtils.isNotEmpty(ckxx.getPztpid())) {
				String pztpid=ckxx.getPztpid();
				List<Attaches> pztpList=xwkLsckxxMapper.selectTuPian(pztpid);
				ckxx.setPztpList(pztpList);
			}

			List<XwkkuPicVo> xwkkuPicList = xwkLsckxxMapper.getXwkkcPic(chjcid);
			if(!xwkkuPicList.isEmpty()) {
				xwkkuPicList.stream().forEach(xwkkuPic ->{
					String mpUrl = xwkkuPic.getMpUrl();
					if(StringUtils.isNotEmpty(mpUrl)) {
						xwkkuPic.setMpUrl(depotsPcUrl + mpUrl);
					}
					String ppUrl = xwkkuPic.getPpUrl();
					if(StringUtils.isNotEmpty(ppUrl)) {
						xwkkuPic.setPpUrl(depotsPcUrl + ppUrl);
					}
				});
				ckxx.setXwkkuPicList(xwkkuPicList);
			}
		}
		return ckxx;
	}

	public PageInfo<XwkLsckxx> page(XwkLsckxx xwkLsckxx, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return new PageInfo<XwkLsckxx>(xwkLsckxxMapper.select(xwkLsckxx));
	}

	public void update() {
		List<XwkLsckxx> list = xwkLsckxxMapper.selectLsckxx();
        Long deleteCount = xwkLsckxxMapper.deleteAllData();
        log.info("出库信息 删除旧数据 {}" + deleteCount);
        for(XwkLsckxx lsrkxxjk:list) {
			if(StringUtils.isNotEmpty(lsrkxxjk.getCkywdh())) {
				xwkLsckxxMapper.delete(lsrkxxjk.getCkywdh());
				xwkLsckxxMapper.insert(lsrkxxjk);
			}
		}
	}

	public String ckTotal(WheatVO wheatVO) {
		if(wheatVO.getStartDate()!=null&&wheatVO.getEndDate()!=null){
		}else{
			//默认当前时间到前一个月内的时间
			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
			//默认当前时间到前一个月内的时间
			wheatVO.setEndDate(sdf.format(new Date()));
			wheatVO.setStartDate(sdf.format(DateTool.getOneMonth()));
		}
		return xwkLsckxxMapper.ckTotal(wheatVO);
	}

	public String ckTotalNew(XwkLsckxx xwkLsckxx) {
		return xwkLsckxxMapper.ckTotalNew(xwkLsckxx);
	}
}
