package com.jusfoun.ydylsz.service;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.XwkLsckygxxMapper;
import com.jusfoun.ydylsz.pojo.WheatVO;
import com.jusfoun.ydylsz.util.DateTool;
import com.jusfoun.ydylsz.vo.Attaches;
import com.jusfoun.ydylsz.vo.XwkLsckxx;

@Service
public class LsckygService {

	@Autowired
	private XwkLsckygxxMapper xwkLsckxxMapper;

	public List<XwkLsckxx> list(String cfbh) {
		XwkLsckxx chjc = new XwkLsckxx();
		chjc.setHwdm(cfbh);
		return xwkLsckxxMapper.select(chjc);
	}

	public PageInfo<XwkLsckxx> lsckPage(XwkLsckxx xwkLsckxx, int pageNum,int pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		List<XwkLsckxx> list= xwkLsckxxMapper.lsckPage(xwkLsckxx);
		for(XwkLsckxx ckxx : list){
			if(StringUtils.isNotEmpty(ckxx.getMztpid())) {
				String mztpid=ckxx.getMztpid();
				List<Attaches> mztpList=xwkLsckxxMapper.selectTuPian(mztpid);
				ckxx.setMztpList(mztpList);
			}

			if(StringUtils.isNotEmpty(ckxx.getPztpid())) {
				String pztpid=ckxx.getPztpid();
				List<Attaches> pztpList=xwkLsckxxMapper.selectTuPian(pztpid);
				ckxx.setPztpList(pztpList);
			}
		}
		PageInfo<XwkLsckxx> pageInfo=new PageInfo<>(list);
		return pageInfo;
	}

	public XwkLsckxx info(String chjcid) {
		XwkLsckxx chjc = new XwkLsckxx();
		chjc.setCkywdh(chjcid);
		XwkLsckxx ckxx= xwkLsckxxMapper.info(chjc);
		if(ckxx!=null ) {
			if(StringUtils.isNotEmpty(ckxx.getBizno())){
				String lspzbm=ckxx.getLspzdm();
			}
			if(StringUtils.isNotEmpty(ckxx.getMztpid())) {
				String mztpid=ckxx.getMztpid();
				List<Attaches> mztpList=xwkLsckxxMapper.selectTuPian(mztpid);
				ckxx.setMztpList(mztpList);
			}

			if(StringUtils.isNotEmpty(ckxx.getPztpid())) {
				String pztpid=ckxx.getPztpid();
				List<Attaches> pztpList=xwkLsckxxMapper.selectTuPian(pztpid);
				ckxx.setPztpList(pztpList);
			}
		}
		return ckxx;
	}

	public PageInfo<XwkLsckxx> page(XwkLsckxx xwkLsckxx, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return new PageInfo<XwkLsckxx>(xwkLsckxxMapper.select(xwkLsckxx));
	}

	public void update() {
		List<XwkLsckxx> list = xwkLsckxxMapper.selectLsckxx();
		for(XwkLsckxx lsrkxxjk:list) {
			if(StringUtils.isNotEmpty(lsrkxxjk.getCkywdh())) {
				xwkLsckxxMapper.delete(lsrkxxjk.getCkywdh());
				xwkLsckxxMapper.insert(lsrkxxjk);
			}
		}
	}

	public String ckTotal(WheatVO wheatVO) {
		if(wheatVO.getStartDate()!=null&&wheatVO.getEndDate()!=null){
		}else{
			//默认当前时间到前一个月内的时间
			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
			//默认当前时间到前一个月内的时间
			wheatVO.setEndDate(sdf.format(new Date()));
			wheatVO.setStartDate(sdf.format(DateTool.getOneMonth()));
		}
		return xwkLsckxxMapper.ckTotal(wheatVO);
	}
}
