package com.jusfoun.ydylsz.service;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.XwkLsrkygxxjkMapper;
import com.jusfoun.ydylsz.pojo.WheatVO;
import com.jusfoun.ydylsz.util.DateTool;
import com.jusfoun.ydylsz.vo.CchinVo;
import com.jusfoun.ydylsz.vo.XwkLsrkxxjk;
import com.jusfoun.ydylsz.vo.Zjxx;

@Service
public class LsrkygService {

	@Autowired
	private XwkLsrkygxxjkMapper xwkLsrkygxxjkMapper;

	public List<XwkLsrkxxjk> list(String cfbh) {
		XwkLsrkxxjk chjc = new XwkLsrkxxjk();
		chjc.setHwdm(cfbh);
		return xwkLsrkygxxjkMapper.select(chjc);
	}

	public PageInfo<WheatVO> lsrkPage(WheatVO wheatVO, int pageNum, int pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		List<WheatVO> list= xwkLsrkygxxjkMapper.lsrkPage(wheatVO);
		PageInfo<WheatVO> pageInfo=new PageInfo<>(list, 10);
		return pageInfo;
	}

	public XwkLsrkxxjk info(String lsrkid) {
		XwkLsrkxxjk chjc = new XwkLsrkxxjk();
		chjc.setLsrkid(lsrkid);
		XwkLsrkxxjk lsrkxxjk = xwkLsrkygxxjkMapper.info(chjc);
		if(lsrkxxjk!=null && StringUtils.isNotEmpty(lsrkxxjk.getBizno())) {
			if(StringUtils.isNotEmpty(lsrkxxjk.getLspzdm())) {
				Zjxx zjxx =new Zjxx();
				if(lsrkxxjk.getLspzdm().equals("小麦及混合小麦")) {
					 zjxx = xwkLsrkygxxjkMapper.getXiaoMaiInfo(lsrkid);
				} else if (lsrkxxjk.getLspzdm().equals("玉米")) {
					 zjxx = xwkLsrkygxxjkMapper.getYumiInfo(lsrkid);
				} else if (lsrkxxjk.getLspzdm().equals("稻谷")) {
					 zjxx = xwkLsrkygxxjkMapper.getDaoguInfo(lsrkid);
				} else if (lsrkxxjk.getLspzdm().equals("大豆")) {
					 zjxx = xwkLsrkygxxjkMapper.getdadouInfo(lsrkid);
				} else if (lsrkxxjk.getLspzdm().equals("小麦粉")) {
					 zjxx = xwkLsrkygxxjkMapper.getXiaoMaiFenInfo(lsrkid);
				} else if (lsrkxxjk.getLspzdm().equals("大米")) {
					 zjxx = xwkLsrkygxxjkMapper.getdamiInfo(lsrkid);
				} else if (lsrkxxjk.getLspzdm().equals("大豆油")) {
					 zjxx = xwkLsrkygxxjkMapper.getdadouyouInfo(lsrkid);
				}
 				lsrkxxjk.setZjxx(zjxx);
			}
		}
		return lsrkxxjk;
	}


	public PageInfo<XwkLsrkxxjk> page(XwkLsrkxxjk xwkLsrkxxjk, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return new PageInfo<XwkLsrkxxjk>(xwkLsrkygxxjkMapper.select(xwkLsrkxxjk));
	}

	public PageInfo<XwkLsrkxxjk> pageZhcx(XwkLsrkxxjk xwkLsrkxxjk, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		PageInfo<XwkLsrkxxjk> pageInfo = new PageInfo<XwkLsrkxxjk>(xwkLsrkygxxjkMapper.select(xwkLsrkxxjk));

		for(XwkLsrkxxjk lsrkxxjk:pageInfo.getList()){
			//获取对应大品种bm
			String bm  = lsrkxxjk.getLspz();
			Zjxx zjxx = new Zjxx();
			if("111".equals(bm)){
				zjxx = xwkLsrkygxxjkMapper.getXiaoMaiInfo(lsrkxxjk.getLsrkid());
			}else if("112".equals(bm)){
				zjxx = xwkLsrkygxxjkMapper.getYumiInfo(lsrkxxjk.getLsrkid());
			}else if("113".equals(bm)){
				zjxx = xwkLsrkygxxjkMapper.getDaoguInfo(lsrkxxjk.getLsrkid());
			}else if("1411001".equals(bm+"1001")){
				zjxx = xwkLsrkygxxjkMapper.getdadouInfo(lsrkxxjk.getLsrkid());
			}else{
				zjxx = xwkLsrkygxxjkMapper.getdadouyouInfo(lsrkxxjk.getLsrkid());
			}

			lsrkxxjk.setZjxx(zjxx);
		}
		return pageInfo;
	}

    /**
     * todo 无引用 待删除
     */
	public void update() {
		List<XwkLsrkxxjk> lsrkxxjks = xwkLsrkygxxjkMapper.selectLsrkxx();
		for(XwkLsrkxxjk lsrkxxjk:lsrkxxjks) {
			if(StringUtils.isNotEmpty(lsrkxxjk.getLsrkid())) {
				xwkLsrkygxxjkMapper.delete(lsrkxxjk.getLsrkid());
				xwkLsrkygxxjkMapper.insert(lsrkxxjk);
			}
		}
	}

    public PageInfo<XwkLsrkxxjk> pageCode(CchinVo cchinVo, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize, "ywrq desc");
		return new PageInfo<>(xwkLsrkygxxjkMapper.pageCode(cchinVo));
    }

	public String rkTotal(WheatVO wheatVO) {
		if(wheatVO.getStartDate()!=null&&wheatVO.getEndDate()!=null){
		}else{
			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
			//默认当前时间到前一个月内的时间
			wheatVO.setEndDate(sdf.format(new Date()));
			wheatVO.setStartDate(sdf.format(DateTool.getOneMonth()));
		}
		return xwkLsrkygxxjkMapper.rkTotal(wheatVO);
	}

}
