package com.jusfoun.ydylsz.service;

import java.util.List;

import com.jusfoun.ydylsz.vo.DCfxxsjyVO;
import com.jusfoun.ydylsz.vo.DYglqkVO;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.XwkChjcMapper;
import com.jusfoun.ydylsz.mapper.zjbg.ZjbgDao;
import com.jusfoun.ydylsz.vo.DcflqkqkVO;
import com.jusfoun.ydylsz.vo.DcinfoVO;
import com.jusfoun.ydylsz.vo.XwkChjc;
import com.jusfoun.ydylsz.vo.zjbg.ZjbgVO;

import cn.hutool.core.bean.BeanUtil;

@Service
public class PestService {

	@Autowired
	private XwkChjcMapper xwkChjcMapper;

    @Autowired
    private ZjbgDao zjbgDao;

	public List<XwkChjc> list(String cfbh) {
		XwkChjc xwkChjc = new XwkChjc();
		xwkChjc.setHwbm(cfbh);
		return xwkChjcMapper.select(xwkChjc);
	}

	public XwkChjc info(String chjcid) {
		XwkChjc chjc = new XwkChjc();
		chjc.setChjcid(chjcid);
		return xwkChjcMapper.info(chjc);
	}

	public PageInfo<XwkChjc> page(XwkChjc xwkChjc, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return new PageInfo<>(xwkChjcMapper.select(xwkChjc));
	}

	public DcflqkqkVO getLqk(String hwbm) {
		DcflqkqkVO dcflqkqkVO = xwkChjcMapper.getLqk(hwbm);
		// 需要前端ip路径
        // dcflqkqkVO.setAvatorUrl(url.getAvatorUrl());
        if (dcflqkqkVO != null) {
            DcflqkqkVO url = xwkChjcMapper.getUrl(dcflqkqkVO.getAvatorUrl());
            if (url.getAvatorUrl() != null) {
                dcflqkqkVO.setAvatorUrl("http://10.223.3.62:9025" + url.getAvatorUrl());
            } else {
                dcflqkqkVO.setAvatorUrl(url.getAvatorUrl());
            }
            List<DcinfoVO> dcinfoVOs = xwkChjcMapper.getDcInfo(dcflqkqkVO.getStorehouseId(), dcflqkqkVO.getWarehouseId(), dcflqkqkVO.getOrgId());
            dcflqkqkVO.setDcinfoVOs(dcinfoVOs);
            if (StringUtils.isNotEmpty(dcflqkqkVO.getHarvestTime()) && dcflqkqkVO.getHarvestTime().length() > 9) {
                dcflqkqkVO.setHarvestTime(dcflqkqkVO.getHarvestTime().substring(0, 10));
            }
            if (StringUtils.isNotEmpty(dcflqkqkVO.getScrq()) && dcflqkqkVO.getScrq().length() > 9) {
                dcflqkqkVO.setScrq((dcflqkqkVO.getScrq().substring(0, 10)));
            }
        } else {
            dcflqkqkVO = xwkChjcMapper.getCplLqk(hwbm);
            if (dcflqkqkVO != null) {
                if (StringUtils.isNotEmpty(dcflqkqkVO.getScrq()) && dcflqkqkVO.getScrq().length() > 10) {
                    dcflqkqkVO.setScrq(dcflqkqkVO.getScrq().substring(0, 10));
                }
                DcflqkqkVO url = xwkChjcMapper.getUrl(dcflqkqkVO.getAvatorUrl());
                if (url.getAvatorUrl() != null) {
                    dcflqkqkVO.setAvatorUrl("http://10.223.3.62:9025" + url.getAvatorUrl());
                } else {
                    dcflqkqkVO.setAvatorUrl(url.getAvatorUrl());
                }
            }
        }
		return dcflqkqkVO;
	}

	public PageInfo<DcflqkqkVO> getPageLqk(DcflqkqkVO lqkVO, int pageNum,int pageSize) {
		PageHelper.startPage(pageNum, pageSize);
        if (lqkVO.getCheckTimeEnd() != null && !"".equals(lqkVO.getCheckTimeEnd())) {
            lqkVO.setCheckTimeEnd(lqkVO.getCheckTimeEnd() + " 23:59:59");
        }
        if (lqkVO.getCheckTimeStart() != null && !"".equals(lqkVO.getCheckTimeStart())) {
            lqkVO.setCheckTimeStart(lqkVO.getCheckTimeStart() + " 00:00:00");
        }
		List<DcflqkqkVO> dcflqkqkVOList = xwkChjcMapper.getListLqk(lqkVO);
		if(dcflqkqkVOList!=null) {
			for(DcflqkqkVO dcflqkqkVO : dcflqkqkVOList){
				List<DcinfoVO> dcinfoVOs = xwkChjcMapper.getDcInfo(dcflqkqkVO.getStorehouseId(),dcflqkqkVO.getWarehouseId(),dcflqkqkVO.getOrgId());
				dcflqkqkVO.setDcinfoVOs(dcinfoVOs);
				if(StringUtils.isNotEmpty(dcflqkqkVO.getHarvestTime())&&dcflqkqkVO.getHarvestTime().length()>9) {
					dcflqkqkVO.setHarvestTime(dcflqkqkVO.getHarvestTime().substring(0, 9));
				}
				if(StringUtils.isNotEmpty(dcflqkqkVO.getScrq())&&dcflqkqkVO.getScrq().length()>9) {
					dcflqkqkVO.setScrq((dcflqkqkVO.getScrq().substring(0, 9)));
				}
			}
		}
		PageInfo<DcflqkqkVO> pageInfo=new PageInfo<>(dcflqkqkVOList, 10);
		return pageInfo;
	}

	public DYglqkVO getYgLqk(String hwbm,String ygly) {
		DYglqkVO lqk = xwkChjcMapper.getYgLqkBase(hwbm);
		if(lqk != null) {
			DYglqkVO bgyxx = xwkChjcMapper.getYgLqkBgyById(hwbm);
			if(bgyxx != null) {
				lqk.setBgyname(bgyxx.getBgyname());
				if(StringUtils.isNotEmpty(bgyxx.getAvator_url())) {
					lqk.setAvator_url("http://10.223.3.62:9025"+bgyxx.getAvator_url());
				}
			}
			//如果是原油设置质检属性、倒仓列表
			if(StringUtils.isEmpty(ygly) || "0".equals(ygly)) {
				//质检信息属性
				DYglqkVO zjxx = xwkChjcMapper.getYgLqkZjxxById(hwbm);
				//BeanUtil.copyProperties(zjxx, lqk);
                if (null != zjxx) {
                    lqk.setColorsmell(zjxx.getColorsmell());
                    lqk.setPeroxide_value(zjxx.getPeroxide_value());
                    lqk.setResidual_solvent(zjxx.getResidual_solvent());
                    lqk.setWater_volatiles(zjxx.getWater_volatiles());
                    lqk.setInsoluble_impurity(zjxx.getInsoluble_impurity());
                    lqk.setAcid_value(zjxx.getAcid_value());
                }
				//检验记录
				ZjbgVO vo = new ZjbgVO();
				vo.setYgid(hwbm);
				List<ZjbgVO> zjList = zjbgDao.selectLists(vo);
				lqk.setZjList(zjList);
				//倒仓列表
			}

		}
//		if("0".equals(ygly)){
//			dcflqkqkVO = xwkChjcMapper.getCrkLqk(hwbm);
//		}else{
//			//质检信息属性
//			DcflqkqkVO ygLqkZjxxById = xwkChjcMapper.getYgLqkZjxxById(hwbm);
//
//
//		}


	/*	if(dcflqkqkVO!=null) {
			List<DcinfoVO> dcinfoVOs = xwkChjcMapper.getDcInfo(dcflqkqkVO.getStorehouseId(),dcflqkqkVO.getWarehouseId(),dcflqkqkVO.getOrgId());
			dcflqkqkVO.setDcinfoVOs(dcinfoVOs);
			if(StringUtils.isNotEmpty(dcflqkqkVO.getHarvestTime())&&dcflqkqkVO.getHarvestTime().length()>9) {

				dcflqkqkVO.setHarvestTime(dcflqkqkVO.getHarvestTime().substring(0, 9));
			}

			if(StringUtils.isNotEmpty(dcflqkqkVO.getScrq())&&dcflqkqkVO.getScrq().length()>9) {

				dcflqkqkVO.setScrq((dcflqkqkVO.getScrq().substring(0, 9)));
			}

		} else {
			dcflqkqkVO = xwkChjcMapper.getCplLqk(hwbm);
			if(dcflqkqkVO!=null){
				if(StringUtils.isNotEmpty(dcflqkqkVO.getScrq())&&dcflqkqkVO.getScrq().length()>9) {

					dcflqkqkVO.setScrq(dcflqkqkVO.getScrq().substring(0, 9));
				}
			}
		}*/
		return lqk;
	}

    /**
     * 历史粮情卡
     * @param lqkVO
     * @param pageNum
     * @param pageSize
     * @return
     */
    public PageInfo<DcflqkqkVO> pageHisLqk(DcflqkqkVO lqkVO, int pageNum, int pageSize) {

        PageHelper.startPage(pageNum, pageSize);
        List<DcflqkqkVO> hisLqkList = xwkChjcMapper.listHisLqk(lqkVO);

        PageInfo<DcflqkqkVO> pageInfo = new PageInfo<>(hisLqkList, 10);
        return pageInfo;
    }

    public DcflqkqkVO getLqkById(String id, int dataOrg) {
        DcflqkqkVO dcflqkqkVO = null;
        if (1 == dataOrg) {
            dcflqkqkVO = xwkChjcMapper.getLqkById(id);
        } else {
            dcflqkqkVO = xwkChjcMapper.getCplqkById(id);
        }
        if (null != dcflqkqkVO) {
            DcflqkqkVO url = xwkChjcMapper.getUrl(dcflqkqkVO.getAvatorUrl());
            if (url.getAvatorUrl() != null) {
                dcflqkqkVO.setAvatorUrl("http://10.223.3.62:9025" + url.getAvatorUrl());
            } else {
                dcflqkqkVO.setAvatorUrl(url.getAvatorUrl());
            }
            if (StringUtils.isNotEmpty(dcflqkqkVO.getHarvestTime()) && dcflqkqkVO.getHarvestTime().length() > 9) {
                dcflqkqkVO.setHarvestTime(dcflqkqkVO.getHarvestTime().substring(0, 10));
            }
            if (StringUtils.isNotEmpty(dcflqkqkVO.getScrq()) && dcflqkqkVO.getScrq().length() > 9) {
                dcflqkqkVO.setScrq((dcflqkqkVO.getScrq().substring(0, 10)));
            }
        }
        return dcflqkqkVO;
    }
}
