/*
 * StorageQualityCheckServiceImpl.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-11-06 15:57:36 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.jusfoun.ydylsz.service;

import com.jusfoun.ydylsz.mapper.StorageQualityCheckDao;
import com.jusfoun.ydylsz.mapper.StorageQualityCheckInspectionDao;
import com.jusfoun.ydylsz.vo.StorageQualityCheckInspectionVO;
import com.jusfoun.ydylsz.vo.StorageQualityCheckVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * STORAGE_QUALITYCHECK-质量检查信息表
 * @author lipenghe at 2020-11-06 15:57:36
 */
@Component
@Transactional
public class StorageQualityCheckService{

    @Autowired
    private StorageQualityCheckDao storageQualityCheckDao;

    @Autowired
    private StorageQualityCheckInspectionDao storageQualityCheckInspectionDao;

    /**
    * <STORAGE_QUALITYCHECK-质量检查信息表>
    * 根据实体(唯一标示)查询一条数据
    * @param qualityCheckVO    <质量检查信息表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    public RootResult selectByIdResult(StorageQualityCheckVO qualityCheckVO) {
        StorageQualityCheckVO qualityCheckVODb=storageQualityCheckDao.selectById(qualityCheckVO);
        RootResult rootResult=new RootResult();
        if(qualityCheckVODb!=null){
            rootResult.setData(qualityCheckVODb);
        }else{
            rootResult.failure();
        }
        return  rootResult;
    }

    /**
    * <STORAGE_QUALITYCHECK-质量检查信息表>
    * 根据实体的某些属性查询列表
    * @param qualityCheckVO    <质量检查信息表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    public RootResult selectByEntityResult(StorageQualityCheckVO qualityCheckVO) {
        List<StorageQualityCheckVO> qualityCheckVOList=storageQualityCheckDao.selectByEntity(qualityCheckVO);
        StorageQualityCheckInspectionVO checkInspectionVO=new StorageQualityCheckInspectionVO();
        for(StorageQualityCheckVO storageQualityCheckVO: qualityCheckVOList){
            int id=storageQualityCheckVO.getId();
            checkInspectionVO.setQualitycheckId(id);
            List<StorageQualityCheckInspectionVO> list=storageQualityCheckInspectionDao.selectByEntity(checkInspectionVO);
            storageQualityCheckVO.setItemList(list);
        }
        RootResult rootResult=new RootResult();
        rootResult.setData(qualityCheckVOList);
        return rootResult;
    }

}
