package com.jusfoun.ydylsz.service;

import java.net.InetAddress;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

import com.jusfoun.ydylsz.vo.*;
import com.unis.common.utils.CurrentUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.jusfoun.ydylsz.mapper.TemperatureMapper;

import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;

@Service
public class TemperatureService {

	@Value("${roles.qlb}")
	private String qlb;
	@Value("${roles.gxgs}")
	private String gxgs;
	@Value("${depot.url}")
	private String depotUrl;
	@Value("${depots.url}")
	private String depotsUrl;

    @Value("#{'${org.shi-liu-qu}'.split(',')}")
    private List<String> city6District;

	@Autowired
	private TemperatureMapper temperatureMapper;

	public String onekey(String tyshxydm) {
		//查询库里所有存储市级储备粮的仓

		List<WareHouseVO> list = temperatureMapper.getWareHouseList(tyshxydm);
		//根据仓房编号发送测温指令
		int x = 0;
		for(WareHouseVO string:list) {
			String result = HttpUtil.get(depotsUrl +"?tType=0&hwCode="+string.getHwbm());
			JSONObject jsonObject = JSONUtil.parseObj(result);
			if(jsonObject.getStr("retCode").equals("200")) {
				System.out.println("测温结果:"+jsonObject.toString());
				x+=1;
			}
		}
		return "市级储备粮仓房数量："+list.size()+",已开始测温数量："+x+"。";
	}

	public TemperatureVO real(String cfbm) {
		List<Map<String, Object>> mapDate = new ArrayList<Map<String, Object>>();
		TemperatureVO temperatureVO = new TemperatureVO();

		String result = HttpUtil.get(depotsUrl +"?tType=0&hwCode="+cfbm);
		System.out.println(depotUrl +"?tType=0&hwCode="+cfbm);
		JSONObject jsonObject2 = JSONUtil.parseObj(result);
		if(!jsonObject2.getStr("retCode").equals("200")) {
			throw new RuntimeException("测温失败");
		}
		for(int x=0;x<5;x++) {
			try {
				Thread.sleep(60000);
				List<TemperatureVO> list2 = temperatureMapper.list(cfbm);
				if(list2!=null&&list2.size()>0) {
					temperatureVO = list2.get(0);
					String points = temperatureVO.getTPoints();
					JSONArray array = JSONUtil.parseArray(points);
					List<XYZVO> list = new ArrayList<XYZVO>();
					Set<String> set = new HashSet<String>();
					for (int i = 0; i < array.size(); i++) {
						JSONObject jsonObject = array.getJSONObject(i);
						XYZVO xyzvo = new XYZVO();
						xyzvo.setWeather(jsonObject.getStr("temp"));
						xyzvo.setX(jsonObject.getStr("x"));
						xyzvo.setY(jsonObject.getStr("y"));
						xyzvo.setZ(jsonObject.getStr("z"));
						list.add(xyzvo);
						set.add(jsonObject.getStr("z"));
					}
					DecimalFormat decimalFormat = new DecimalFormat(".00");
					if (set.size() <= 0) {
						return temperatureVO;
					}
					for (String string : set) {
						int i = 0;
						float big = 0, small = -100, total = 0;
						for (XYZVO xyzvo : list) {
							if (xyzvo.getZ().equals(string)) {
								i++;
								total += Float.valueOf(xyzvo.getWeather());
								if (Float.valueOf(xyzvo.getWeather()) >= big) {
									big = Float.valueOf(xyzvo.getWeather());
								}
								if (Float.valueOf(xyzvo.getWeather()) <= small || small < -90) {
									small = Float.valueOf(xyzvo.getWeather());
								}
							}
						}
						Map<String, Object> map = new HashMap<String, Object>();
						map.put("name", "第" + string + "层");
						map.put("value", "层高温：" + big + "℃，层低温：" + small + "℃，层均温：" + decimalFormat.format(total / i) + "℃");
						mapDate.add(map);
					}
					temperatureVO.setLwjh(mapDate);
					break;
				}
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
		return temperatureVO;
	}

//	public List<BadTempVO> badTemperature(String roleId) {
//        String orgId = CurrentUtil.getOrgId();
//		List<BadTemp> list = new ArrayList<>();
//		if(qlb.equals(roleId)){
//            boolean isCity6 = city6District.contains(orgId);
//			list = temperatureMapper.badTemperatureRole(CurrentUtil.getAreaCode(), orgId, isCity6);
//		}else if(gxgs.equals(roleId)){
//			list = temperatureMapper.badTemperatureRole(null, orgId, false);
//		}else{
//			list = temperatureMapper.badTemperature();
//		}
		//List<BadTemp> list = temperatureMapper.badTemperature();
//		List<BadTempVO> result = new ArrayList<>();
//		Map<String,List<BadTemp>> map = new HashMap<>();
//		for(BadTemp badTemp:list){
//			if(map.get(badTemp.getDwmc())!=null){
//				map.get(badTemp.getDwmc()).add(badTemp);
//			}else{
//				List<BadTemp> news = new ArrayList<>();
//				news.add(badTemp);
//				map.put(badTemp.getDwmc(),news);
//			}
//		}
		//查询最新的温度id和我方仓房编号
//		for (Map.Entry<String,List<BadTemp>> m : map.entrySet()) {
//			BadTempVO badTempVO = new BadTempVO();
//			badTempVO.setName(m.getKey());
//			badTempVO.setBadTemps(m.getValue());
//			result.add(badTempVO);
//		}
//		return result;
//	}

	public List<BadTempVO> badCamera(String roleId) {
		List<BadTemp> list = null;
		if(qlb.equals(roleId)){
			list = temperatureMapper.badCameraRole(CurrentUtil.getAreaCode(),CurrentUtil.getOrgId());
		}else if(gxgs.equals(roleId)){
			list = temperatureMapper.badCameraRole(null,CurrentUtil.getOrgId());
		}else{
			list = temperatureMapper.badCamera();
		}
		//List<BadTemp> list = temperatureMapper.badCamera();
		List<BadTempVO> result = new ArrayList<>();
		Map<String,List<BadTemp>> map = new HashMap<>();
		for(BadTemp badTemp:list){
			if(map.get(badTemp.getDwmc())!=null){
				map.get(badTemp.getDwmc()).add(badTemp);
			}else{
				List<BadTemp> news = new ArrayList<>();
				news.add(badTemp);
				map.put(badTemp.getDwmc(),news);
			}
		}
		//查询最新的温度id和我方仓房编号
		for (Map.Entry<String,List<BadTemp>> m : map.entrySet()) {
			BadTempVO badTempVO = new BadTempVO();
			badTempVO.setName(m.getKey());
			badTempVO.setBadTemps(m.getValue());
			result.add(badTempVO);
		}
		return result;
	}

}
