package com.jusfoun.ydylsz.util;

/**
 * Created by admin on 2018/7/28.
 */
public class FileTool {

	/**
	 * 根据文件路径返回文件扩展名
	 * @param fileName
	 * @return
	 */
	public static String getFileExt(String fileName){
		if(fileName==null){
			return "";
		}else{
			int i=fileName.lastIndexOf(".");
			if(i<0){
				return "";
			}else{
				return fileName.substring(i+1).toLowerCase();
			}
		}
	}

	/**
	 * 拼接文件路径字符串
	 * @param str
	 * @param fileName
	 * @param s
	 * @return
	 */
	public static String concatFilePath(String str,String fileName,String ...s){
		if(str!=null){
			//str=str.replaceAll("(?<!:\\\\?)\\\\+", "/").replace("\\", "/");
			str=str.replaceAll("(?<!(?i:http|https|ftp|file):)[\\\\/]+", "/");
		}else{
			str="";
		}
		StringBuffer sb=new StringBuffer(16);
		sb.append(str);
		if(str.length()==0||!(str.endsWith("/"))){
			sb.append("/");
		}
		for(String cStr:s){
			if(cStr!=null&&cStr.length()>0){
				sb.append(cStr);
				sb.append("/");
			}
		}
		if(fileName!=null&&fileName.length()>0){
			sb.append(fileName);
		}
		return sb.toString();
	}

	/**
	 * 拼接文件路径字符串
	 * @param str
	 * @param fileName
	 * @param obj
	 * @return
	 */
	public static String concatFilePath(String str,String fileName,Object ...obj){
		//str=str.replaceAll("(?<![a-zA-Z]:\\\\?)\\\\+", "/").replace("\\", "/");
		str=str.replaceAll("(?<!(?i:http|https|ftp|file):)[\\\\/]+", "/");
		StringBuffer sb=new StringBuffer(16);
		sb.append(str);
		if(!(str.charAt(str.length()-1)=='/')){
			sb.append("/");
		}
		for(Object cObj:obj){
			sb.append(cObj);
			sb.append("/");
		}
		if(fileName!=null&&fileName.length()>0){
			sb.append(fileName);
		}
		return sb.toString();
	}

	/**
	 * 根据文件路径返回文件名
	 * @param filePath
	 * @return
	 */
	public static String getFileName(String filePath){
		if(filePath==null){
			return "";
		}else{
			filePath=filePath.replace("\\", "/");
			int i=filePath.lastIndexOf("/");
			if(i<0){
				return filePath.replaceAll("[\\/*\\\\?<>:\"|]", "");
			}else{
				return filePath.substring(i+1).replaceAll("[\\/*\\\\?<>:\"|]", "");
			}
		}
	}

	/**
	 * 根据文件路径返回文件名
	 * @param filePath
	 * @return
	 */
	public static String getName(String filePath){
		String fileName=getFileName(filePath);
		int index=0;
		if(fileName!=null&&(index=fileName.lastIndexOf("."))>0){
			return fileName.substring(0, index);
		}
		return fileName;
	}
}
