package com.jusfoun.ydylsz.vo;

import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jusfoun.ydylsz.vo.zjbg.ZjbgVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 油罐粮情卡出参
 *
 */
@Getter
@Setter
@Data
@ApiModel("油罐粮情卡")
public class DYglqkVO {
	
	//	油罐基本信息 
	@ApiModelProperty(value = "油罐名称")
	private String ygmc;

	@ApiModelProperty(value = "油罐类型")
	private String yglx ;

	@ApiModelProperty(value = "油罐直径")
	private String ygzj;

	@ApiModelProperty(value = "油罐高度")
	private String yggd;

	@ApiModelProperty(value = "设计罐容")
	private String sjgr;

	@ApiModelProperty(value = "设计年度/建造日期")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date sjnd;

	@ApiModelProperty(value = "油罐底面积")
	private String ygdmj;

	@ApiModelProperty(value = "装油高度")
	private String zygd;

	@ApiModelProperty(value = "油罐出油口高度")
	private String ygcykgd;
	
	@ApiModelProperty(value = "油罐检查口高度")
	private String ygjckgd;
	//	油罐基本信息 

	
	//	油罐质检信息 
	@ApiModelProperty(value = "气味滋味")
	private String colorsmell;

	@ApiModelProperty(value = "过氧化值")
	private String peroxide_value;

	@ApiModelProperty(value = "溶剂残留量")
	private String residual_solvent;

	@ApiModelProperty(value = "水分及挥发物含量")
	private String water_volatiles;

	@ApiModelProperty(value = "不溶性杂质含量")
	private String insoluble_impurity;

	@ApiModelProperty(value = "酸价")
	private String acid_value;
	//	油罐质检信息
	
	
	//	油罐储存信息
	@ApiModelProperty(value = "品种")
	private String pzbm;

	@ApiModelProperty(value = "性质")
	private String lsxzbm;

	@ApiModelProperty(value = "等级")
	private String djbm;

	@ApiModelProperty(value = "入库时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date rksj;

	@ApiModelProperty(value = "库存数量")
	private String kcsl;

	@ApiModelProperty(value = "产地、国别")
	private String gb;

	@ApiModelProperty(value = "生产年度")
	private String nd;
	//	油罐储存信息	
	
	//	保管员信息	
	@ApiModelProperty(value = "保管员姓名")
	private String bgyname;

	@ApiModelProperty(value = "保管员头像地址")
	private String avator_url;
	
	//	保管员信息	
	
	private List<ZjbgVO> zjList;
	
}
