package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

import javax.persistence.Column;

/**
 * @author huangxing
 * @version 1.0
 * @date 2019/07/22 17点26分
 */

@Getter
@Setter
@ApiModel("粮情卡")
public class DcflqkqkVO {

	/**
	 * 库点代码
	 */
	private String storehouseId;

	/**
	 * 库点代码
	 */
	private String storehouseCode;

	/**
	 *
	 */
	private String warehouseId;

	/**
	 * 库点代码
	 */
	private String orgId;


	/**
	 * 库点代码
	 */
	@ApiModelProperty(value="仓房名称",example = "eg:911202236794497949086  长度30")
	private String warehouseName;

	/**
	 * 库点名称
	 */
	@ApiModelProperty(value="仓房类型",required = true,example = "eg:呼市西郊储备库  长度50")
	private String storehouseType;


	/**
	 * 库点介绍
	 */
	@ApiModelProperty(value="建成日期",example = "eg:string  长度20")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy")
	private Date useDate;

	/**
	 * 库点性质
	 */
	@ApiModelProperty(value="仓房结构",example = "eg:1  长度1")
	private String house;

	/**
	 * 所属企业代码
	 */
	@ApiModelProperty(value="仓外檐高",required = true,example = "eg:911202236794497949  长度30")
	private String storeOutsideHeigth;
	/**
	 * 企业名称
	 */
	@ApiModelProperty(value="长",example = "eg:内蒙古自治区粮食和物资储备局  长度50")
	private String length;

	/**
	 * 企业名称
	 */
	@ApiModelProperty(value="宽",example = "eg:内蒙古自治区粮食和物资储备局  长度50")
	private String width;
	/**
	 * 粮库类别
	 */
	@ApiModelProperty(value="设计仓容",example = "eg:string  长度20")
	private String designCapacity;

	/**
	 * 装粮线高度
	 */
	@ApiModelProperty(value="装粮线高度",example = "eg:2019-08-29 16:25:38  长度Date_Time")
	private String grainLineHeigth;

	/**
	 * 库点设计仓容
	 */
	@ApiModelProperty(value="品种",example = "eg:123   18")
	private String subType;


	@ApiModelProperty(value="品种编码",example = "eg:123   18")
	private String subTypeNo;

	/**
	 * 入库时间
	 */
	@ApiModelProperty(value="入库时间",example = "eg:4321.123   18,3")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
	private Date inputTime;




	/**
	 * 产地
	 */
	@ApiModelProperty(value="产地",example = "eg:4321")
	private String location;

	/**
	 * 油脂库区数
	 */
	@ApiModelProperty(value="数量",example = "eg:1")
	private String number;

	/**
	 * 生产年度
	 */
	@ApiModelProperty(value="生产年度",example = "eg:123")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private String harvestTime;

	/**
	 * 生产日期
	 */
	@ApiModelProperty(value="生产日期",example = "eg:123")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
	private String scrq;
	/**
	 * 建卡日期
	 */
	@ApiModelProperty(value="建卡日期",example = "eg:123.12   10,2")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
	private Date checkTime;

	/**
	 * 水分
	 */
	@ApiModelProperty(value="水分",example = "eg:123.23   10.2")
	private String water;

	/**
	 * 等级
	 */
	@ApiModelProperty(value="等级",example = "eg:14223456323   30")
	private String level;

	/**
	 * 头像
	 */
	@ApiModelProperty(value="头像",example = "eg:库点地址   128")
	private String avatorUrl;

	/**
	 * 姓名
	 */
	@ApiModelProperty(value="姓名",example = "eg:库点传真   30")
	private String name;

	/**
	 * 货位编码
	 */
	@ApiModelProperty(value="货位编码",example = "eg:123   6")
	private String hwbm;


	/**
	 * 容重
	 */
	@ApiModelProperty(value="容重",example = "eg:123   6")
	private String unitWeight;


	/**
	 * 不完善总量
	 */
	@ApiModelProperty(value="不完善总量",example = "eg:123   6")
	private String imperfectGrainsTotal;


	/**
	 * 杂质总量
	 */
	@ApiModelProperty(value="杂质总量",example = "eg:123   6")
	private String impurityTotal;


	/**
	 * 色泽气味
	 */
	@ApiModelProperty(value="色泽气味",example = "eg:123   6")
	private String colorsmell;


	/**
	 * 保管方式
	 */
	@ApiModelProperty(value="保管方式",example = "eg:123   6")
	private String keepingWay;


	/**
	 * 硬度指数
	 */
	@ApiModelProperty(value="硬度指数",example = "eg:123   6")
	private String hardIndex;

	@ApiModelProperty(value="使用面积",example = "eg:123   6")
	private String binVolume;

	@ApiModelProperty(value="件数",example = "eg:123   6")
	private String js;

	private String locationstr;
	private String harvesttimestr;

	@ApiModelProperty(value="倒仓",example = "eg:123   6")
	private List<DcinfoVO> dcinfoVOs;

	@ApiModelProperty(value="建卡日期开始",example = "eg:123.12   10,2")
	//@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
	private String checkTimeStart;


	@ApiModelProperty(value="建卡日期结束",example = "eg:123.12   10,2")
	//@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
	private String checkTimeEnd;

	/**
	 * 所属库点编号
	 */
	@ApiModelProperty(value="所属库点编号",example = "eg:911202236794497949001  长度30")
	private String kddm;

	/**
	 * 货位名称
	 */
	@ApiModelProperty(value="货位名称")
	private String hwmc;

	/**
	 * 设施类型
	 */
	@ApiModelProperty(value="设施类型 0仓房 1油罐")
	private String sslx;

	@ApiModelProperty(value="明细品种")
	private String subTypeDetail;

    /** 品牌 */
	private String pinp;

    private Integer dataorg;

    // 库级粮情卡id
    private String id;

    private String checkTypeName;

	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	private Date rcsj;

	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	private Date rksj;
}
