package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 库点信息实体类
 * @date 2019/07/22 17点26分
 */

@Getter
@Setter
@ApiModel("倒仓")
public class DcinfoVO {

	/**
	 * 库点代码
	 */
	@ApiModelProperty(value="时间",example = "eg:911202236794497949086  长度30")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	private String applyTime;

	/**
	 * 库点代码
	 */
	@ApiModelProperty(value="导出仓房名称",example = "eg:911202236794497949086  长度30")
	private String outWarehouseName;

	/**
	 * 库点代码
	 */
	@ApiModelProperty(value="数量",example = "eg:911202236794497949086  长度30")
	private String foodNumber;

	/**
	 * 库点名称
	 */
	@ApiModelProperty(value="仓房类型",required = true,example = "eg:呼市西郊储备库  长度50")
	private String storehouseType;

	/**
	 * 库点传真
	 */
	@ApiModelProperty(value="姓名",example = "eg:库点传真   30")
	private String name;

	/**
	 * 库点邮编
	 */
	@ApiModelProperty(value="备注",example = "eg:123   6")
	private String remark;

	@ApiModelProperty(value="导入仓房名称")
	private String inWarehouseName;

	@ApiModelProperty(value="导入仓房名称")
	private BigDecimal sl;

	@ApiModelProperty(value="品种")
	private String pz;

	@ApiModelProperty(value="明细品种")
	private String mxpz;

	@ApiModelProperty(value="性质")
	private String lsxz;

	@ApiModelProperty(value="最后一车入库日期")
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	private Date rkrq;

	private String startDate;

	private String endDate;

	private String tyshxydm;

	private BigDecimal total;
}
