/*
* StorageQualityCheckVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-11-06 15:57:36 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * STORAGE_QUALITYCHECK-质量检查信息表
 * @author lipenghe at 2020-11-06 15:57:36
 */
@ApiModel(value = "STORAGE_QUALITYCHECK:质量检查信息表-StorageQualityCheckVO",description="A")
@Data
@Table(name="STORAGE_QUALITYCHECK")
public class StorageQualityCheckVO  implements Serializable{

    @NotNull(message = "'质量检查信息表'不能为空")
    @ApiModelProperty(value = "'质量检查信息表'#<主键><唯一><非空>", notes ="'质量检查信息表'", example = "1")
    @Id
    @Column(name="ID",length=10,precision=10,scale=0, columnDefinition = "INTEGER")
    private Integer id;

    @ApiModelProperty(value = "'仓房的id'", notes ="'仓房的id'", example = "1")
    @Column(name="HOUSE_ID", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer houseId;

    @ApiModelProperty(value = "'货位号id'", notes ="'货位号id'", example = "1")
    @Column(name="WAREHOUSE_ID", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer warehouseId;

    @Length(max=10,message="'质量检查类型:0:初检最大为10字符")
    @ApiModelProperty(value = "'质量检查类型:0:初检", notes ="'质量检查类型:0:初检", example = "型:0:初检")
    @Column(name="TYPE", length=10, columnDefinition = "VARCHAR")
    private String type;

    @ApiModelProperty(value = "'品种'", notes ="'品种'", example = "1")
    @Column(name="SUB_TYPE", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer subType;

    @ApiModelProperty(value = "'详细的品种'", notes ="'详细的品种'", example = "1")
    @Column(name="SUB_TYPE_DETAILED", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer subTypeDetailed;

    @ApiModelProperty(value = "'检验日期'", notes ="'检验日期'", example = "2019-10-01")
    @Column(name="CHECK_TIME", columnDefinition = "TIMESTAMP")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date checkTime;

    @Length(max=10,message="'检验结果0:合格最大为10字符")
    @ApiModelProperty(value = "'检验结果0:合格", notes ="'检验结果0:合格", example = "果0:合格")
    @Column(name="CHECK_RESULT", length=10, columnDefinition = "VARCHAR")
    private String checkResult;

    @Length(max=100,message="'检验人'最大为100字符")
    @ApiModelProperty(value = "'检验人'", notes ="'检验人'", example = "'检验人'")
    @Column(name="CHECKER", length=100, columnDefinition = "VARCHAR")
    private String checker;

    @ApiModelProperty(value = "'等级'", notes ="'等级'", example = "1")
    @Column(name="LEVEL", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer level;

    @Length(max=100,message="'容量'最大为100字符")
    @ApiModelProperty(value = "'容量'", notes ="'容量'", example = "'容量'")
    @Column(name="CAPACITY", length=100, columnDefinition = "VARCHAR")
    private String capacity;

    @Length(max=100,message="'水分'最大为100字符")
    @ApiModelProperty(value = "'水分'", notes ="'水分'", example = "'水分'")
    @Column(name="WATER", length=100, columnDefinition = "VARCHAR")
    private String water;

    @Length(max=100,message="'杂质'最大为100字符")
    @ApiModelProperty(value = "'杂质'", notes ="'杂质'", example = "'杂质'")
    @Column(name="IMPURITY", length=100, columnDefinition = "VARCHAR")
    private String impurity;

    @Length(max=100,message="'矿物质'最大为100字符")
    @ApiModelProperty(value = "'矿物质'", notes ="'矿物质'", example = "'矿物质'")
    @Column(name="MINERAL", length=100, columnDefinition = "VARCHAR")
    private String mineral;

    @Length(max=100,message="'不完善颗粒(未熟粒、破碎粒)'最大为100字符")
    @ApiModelProperty(value = "'不完善颗粒(未熟粒、破碎粒)'", notes ="'不完善颗粒(未熟粒、破碎粒)'", example = "'不完善颗粒(未熟粒、破碎粒)'")
    @Column(name="BADPART", length=100, columnDefinition = "VARCHAR")
    private String badpart;

    @Length(max=100,message="'色泽气味'最大为100字符")
    @ApiModelProperty(value = "'色泽气味'", notes ="'色泽气味'", example = "'色泽气味'")
    @Column(name="COLORSMELL", length=100, columnDefinition = "VARCHAR")
    private String colorsmell;

    //数据库类型:LONGVARCHAR,长度:1000
    @ApiModelProperty(value = "'保管员整改建议'", notes ="'保管员整改建议'", example = "'保管员整改建议'")
    @Column(name="KEEPER_ADVICES", columnDefinition = "LONGVARCHAR")
    private String keeperAdvices;

    @Length(max=100,message="'保管员整改时间'最大为100字符")
    @ApiModelProperty(value = "'保管员整改时间'", notes ="'保管员整改时间'", example = "'保管员整改时间'")
    @Column(name="KEEPER_ADVICES_TIME", length=100, columnDefinition = "VARCHAR")
    private String keeperAdvicesTime;

    @Length(max=100,message="'保管员签字'最大为100字符")
    @ApiModelProperty(value = "'保管员签字'", notes ="'保管员签字'", example = "'保管员签字'")
    @Column(name="KEEPER_ADVICES_PAINT", length=100, columnDefinition = "VARCHAR")
    private String keeperAdvicesPaint;

    //数据库类型:LONGVARCHAR,长度:1000
    @ApiModelProperty(value = "'仓储科长建议'", notes ="'仓储科长建议'", example = "'仓储科长建议'")
    @Column(name="CHIEF_ADVICES", columnDefinition = "LONGVARCHAR")
    private String chiefAdvices;

    @ApiModelProperty(value = "'仓储科长时间'", notes ="'仓储科长时间'", example = "2019-10-01")
    @Column(name="CHIEF_ADVICES_TIME", columnDefinition = "TIMESTAMP")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date chiefAdvicesTime;

    @Length(max=100,message="'仓储科长签字'最大为100字符")
    @ApiModelProperty(value = "'仓储科长签字'", notes ="'仓储科长签字'", example = "'仓储科长签字'")
    @Column(name="CHIET_ADVICES_PAINT", length=100, columnDefinition = "VARCHAR")
    private String chietAdvicesPaint;

    @Length(max=100,message="'主管副主任建议'最大为100字符")
    @ApiModelProperty(value = "'主管副主任建议'", notes ="'主管副主任建议'", example = "'主管副主任建议'")
    @Column(name="VICE_MANAGER_ADVICES", length=100, columnDefinition = "VARCHAR")
    private String viceManagerAdvices;

    @ApiModelProperty(value = "'主管副主任时间'", notes ="'主管副主任时间'", example = "2019-10-01")
    @Column(name="VICE_MANAGER_ADVICES_TIME", columnDefinition = "TIMESTAMP")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date viceManagerAdvicesTime;

    @Length(max=100,message="'主管副主任签字'最大为100字符")
    @ApiModelProperty(value = "'主管副主任签字'", notes ="'主管副主任签字'", example = "'主管副主任签字'")
    @Column(name="VICE_MANAGER_ADVICES_PAINT", length=100, columnDefinition = "VARCHAR")
    private String viceManagerAdvicesPaint;

    //数据库类型:LONGVARCHAR,长度:1000
    @ApiModelProperty(value = "'主任意见建议'", notes ="'主任意见建议'", example = "'主任意见建议'")
    @Column(name="MANAGER_ADVICES", columnDefinition = "LONGVARCHAR")
    private String managerAdvices;

    @ApiModelProperty(value = "'主任时间'", notes ="'主任时间'", example = "2019-10-01")
    @Column(name="MANAGER_ADVICES_TIME", columnDefinition = "TIMESTAMP")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date managerAdvicesTime;

    @Length(max=100,message="'主任签字'最大为100字符")
    @ApiModelProperty(value = "'主任签字'", notes ="'主任签字'", example = "'主任签字'")
    @Column(name="MANAGER_ADVICES_PAINT", length=100, columnDefinition = "VARCHAR")
    private String managerAdvicesPaint;

    @Length(max=100,message="'整改结果'最大为100字符")
    @ApiModelProperty(value = "'整改结果'", notes ="'整改结果'", example = "'整改结果'")
    @Column(name="IMPROVE_RESULT", length=100, columnDefinition = "VARCHAR")
    private String improveResult;

    @ApiModelProperty(value = "'整改时间'", notes ="'整改时间'", example = "2019-10-01")
    @Column(name="IMPROVE_TIME", columnDefinition = "TIMESTAMP")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date improveTime;

    @Length(max=100,message="'整改签字'最大为100字符")
    @ApiModelProperty(value = "'整改签字'", notes ="'整改签字'", example = "'整改签字'")
    @Column(name="IMPROVE_PAINT", length=100, columnDefinition = "VARCHAR")
    private String improvePaint;

    @Length(max=10,message="'是否相符最大为10字符")
    @ApiModelProperty(value = "'是否相符", notes ="'是否相符", example = "否相符")
    @Column(name="IS_FIRSTCHECKLEVEL_RIGHT", length=10, columnDefinition = "VARCHAR")
    private String isFirstchecklevelRight;

    @Length(max=100,message="'检验单位'最大为100字符")
    @ApiModelProperty(value = "'检验单位'", notes ="'检验单位'", example = "'检验单位'")
    @Column(name="ACCEPT_UNITE", length=100, columnDefinition = "VARCHAR")
    private String acceptUnite;

    @ApiModelProperty(value = "'入库时间'", notes ="'入库时间'", example = "2019-10-01")
    @Column(name="INPUT_TIME", columnDefinition = "TIMESTAMP")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date inputTime;

    @Length(max=100,message="'数量'最大为100字符")
    @ApiModelProperty(value = "'数量'", notes ="'数量'", example = "'数量'")
    @Column(name="NUMBER", length=100, columnDefinition = "VARCHAR")
    private String number;

    @ApiModelProperty(value = "'产地'", notes ="'产地'", example = "1")
    @Column(name="LOCATION", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer location;

    @Length(max=100,message="'保管员'最大为100字符")
    @ApiModelProperty(value = "'保管员'", notes ="'保管员'", example = "'保管员'")
    @Column(name="KEEPER", length=100, columnDefinition = "VARCHAR")
    private String keeper;

    @ApiModelProperty(value = "'收货年度'", notes ="'收货年度'", example = "1")
    @Column(name="HARVEST_TIME", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer harvestTime;

    @Length(max=100,message="'完整粒度'最大为100字符")
    @ApiModelProperty(value = "'完整粒度'", notes ="'完整粒度'", example = "'完整粒度'")
    @Column(name="GOODPART", length=100, columnDefinition = "VARCHAR")
    private String goodpart;

    @Length(max=100,message="'扦样人'最大为100字符")
    @ApiModelProperty(value = "'扦样人'", notes ="'扦样人'", example = "'扦样人'")
    @Column(name="CHOOSER", length=100, columnDefinition = "VARCHAR")
    private String chooser;

    @ApiModelProperty(value = "'扦样日期'", notes ="'扦样日期'", example = "2019-10-01")
    @Column(name="CHOOSE_TIME", columnDefinition = "TIMESTAMP")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date chooseTime;

    @Length(max=100,message="'粗脂肪酸数值'最大为100字符")
    @ApiModelProperty(value = "'粗脂肪酸数值'", notes ="'粗脂肪酸数值'", example = "'粗脂肪酸数值'")
    @Column(name="BOLDFAT_INDEX", length=100, columnDefinition = "VARCHAR")
    private String boldfatIndex;

    @Length(max=100,message="'检验类型'最大为100字符")
    @ApiModelProperty(value = "'检验类型'", notes ="'检验类型'", example = "'检验类型'")
    @Column(name="CHECK_TYPE", length=100, columnDefinition = "VARCHAR")
    private String checkType;

    @Length(max=100,message="'热损伤'最大为100字符")
    @ApiModelProperty(value = "'热损伤'", notes ="'热损伤'", example = "'热损伤'")
    @Column(name="HOT_DAMAGE", length=100, columnDefinition = "VARCHAR")
    private String hotDamage;

    @Length(max=100,message="'蛋白质溶解比率'最大为100字符")
    @ApiModelProperty(value = "'蛋白质溶解比率'", notes ="'蛋白质溶解比率'", example = "'蛋白质溶解比率'")
    @Column(name="PROTEIN_SOLUTION_RATIO", length=100, columnDefinition = "VARCHAR")
    private String proteinSolutionRatio;

    @Length(max=100,message="'品尝评分值:'最大为100字符")
    @ApiModelProperty(value = "'品尝评分值:'", notes ="'品尝评分值:'", example = "'品尝评分值:'")
    @Column(name="EAT_SCORE", length=100, columnDefinition = "VARCHAR")
    private String eatScore;

    @Length(max=100,message="'脂肪酸值:'最大为100字符")
    @ApiModelProperty(value = "'脂肪酸值:'", notes ="'脂肪酸值:'", example = "'脂肪酸值:'")
    @Column(name="FAT_INDEX", length=100, columnDefinition = "VARCHAR")
    private String fatIndex;

    @Length(max=100,message="'出糙率:'最大为100字符")
    @ApiModelProperty(value = "'出糙率:'", notes ="'出糙率:'", example = "'出糙率:'")
    @Column(name="HUSKED_RATION", length=100, columnDefinition = "VARCHAR")
    private String huskedRation;

    @Length(max=100,message="'整精米率:'最大为100字符")
    @ApiModelProperty(value = "'整精米率:'", notes ="'整精米率:'", example = "'整精米率:'")
    @Column(name="FULL_GOOD_RATION", length=100, columnDefinition = "VARCHAR")
    private String fullGoodRation;

    @Length(max=100,message="'黄粒米:'最大为100字符")
    @ApiModelProperty(value = "'黄粒米:'", notes ="'黄粒米:'", example = "'黄粒米:'")
    @Column(name="YELLOW_PART", length=100, columnDefinition = "VARCHAR")
    private String yellowPart;

    @Length(max=100,message="'谷外糙米'最大为100字符")
    @ApiModelProperty(value = "'谷外糙米'", notes ="'谷外糙米'", example = "'谷外糙米'")
    @Column(name="OUT_HUSKED_RATION", length=100, columnDefinition = "VARCHAR")
    private String outHuskedRation;

    @Length(max=100,message="'虫害'最大为100字符")
    @ApiModelProperty(value = "'虫害'", notes ="'虫害'", example = "'虫害'")
    @Column(name="PESTS", length=100, columnDefinition = "VARCHAR")
    private String pests;

    @Length(max=100,message="'色率'最大为100字符")
    @ApiModelProperty(value = "'色率'", notes ="'色率'", example = "'色率'")
    @Column(name="COLOR_RATIO", length=100, columnDefinition = "VARCHAR")
    private String colorRatio;

    @Length(max=100,message="'硬度指数'最大为100字符")
    @ApiModelProperty(value = "'硬度指数'", notes ="'硬度指数'", example = "'硬度指数'")
    @Column(name="HARD_INDEX", length=100, columnDefinition = "VARCHAR")
    private String hardIndex;

    @Length(max=100,message="'面筋吸水量'最大为100字符")
    @ApiModelProperty(value = "'面筋吸水量'", notes ="'面筋吸水量'", example = "'面筋吸水量'")
    @Column(name="GLUTEN_WATER_COUNT", length=100, columnDefinition = "VARCHAR")
    private String glutenWaterCount;

    @Length(max=100,message="'备注'最大为100字符")
    @ApiModelProperty(value = "'备注'", notes ="'备注'", example = "'备注'")
    @Column(name="REMARKS", length=100, columnDefinition = "VARCHAR")
    private String remarks;

    @Length(max=100,message="'批准人'最大为100字符")
    @ApiModelProperty(value = "'批准人'", notes ="'批准人'", example = "'批准人'")
    @Column(name="APPROVER", length=100, columnDefinition = "VARCHAR")
    private String approver;

    @Length(max=100,message="'生霉粒'最大为100字符")
    @ApiModelProperty(value = "'生霉粒'", notes ="'生霉粒'", example = "'生霉粒'")
    @Column(name="MILDEW_COUNT", length=100, columnDefinition = "VARCHAR")
    private String mildewCount;

    @Length(max=100,message="'损伤粒率'最大为100字符")
    @ApiModelProperty(value = "'损伤粒率'", notes ="'损伤粒率'", example = "'损伤粒率'")
    @Column(name="DAMAGE_RATIO", length=100, columnDefinition = "VARCHAR")
    private String damageRatio;

    @Length(max=100,message="'热损伤粒率'最大为100字符")
    @ApiModelProperty(value = "'热损伤粒率'", notes ="'热损伤粒率'", example = "'热损伤粒率'")
    @Column(name="HOT_DAMAGE_RATIO", length=100, columnDefinition = "VARCHAR")
    private String hotDamageRatio;

    @Length(max=100,message="'糙米重'最大为100字符")
    @ApiModelProperty(value = "'糙米重'", notes ="'糙米重'", example = "'糙米重'")
    @Column(name="HUSKED_RICE_WEIGHT", length=100, columnDefinition = "VARCHAR")
    private String huskedRiceWeight;

    @Length(max=100,message="'审核人'最大为100字符")
    @ApiModelProperty(value = "'审核人'", notes ="'审核人'", example = "'审核人'")
    @Column(name="REVIEWER", length=100, columnDefinition = "VARCHAR")
    private String reviewer;

    @ApiModelProperty(value = "'申请验收日期'", notes ="'申请验收日期'", example = "2019-10-01")
    @Column(name="APPLY_CHECK_TIME", columnDefinition = "TIMESTAMP")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date applyCheckTime;

    @Length(max=10,message="'春秋普查类型:0:春最大为10字符")
    @ApiModelProperty(value = "'春秋普查类型:0:春", notes ="'春秋普查类型:0:春", example = "类型:0:春")
    @Column(name="CHECK_TIME_TYPE", length=10, columnDefinition = "VARCHAR")
    private String checkTimeType;

    @ApiModelProperty(value = "'检验报告出具日期'", notes ="'检验报告出具日期'", example = "2019-10-01")
    @Column(name="CHECK_RESULT_TIME", columnDefinition = "TIMESTAMP")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date checkResultTime;

    @Length(max=10,message="'储存品质最大为10字符")
    @ApiModelProperty(value = "'储存品质", notes ="'储存品质", example = "存品质")
    @Column(name="STORE_QUALITY", length=10, columnDefinition = "VARCHAR")
    private String storeQuality;

    @Length(max=10,message="'是否虫粮0:是最大为10字符")
    @ApiModelProperty(value = "'是否虫粮0:是", notes ="'是否虫粮0:是", example = "粮0:是")
    @Column(name="IS_PEST", length=10, columnDefinition = "VARCHAR")
    private String isPest;

    @Length(max=100,message="'检验标准依据'最大为100字符")
    @ApiModelProperty(value = "'检验标准依据'", notes ="'检验标准依据'", example = "'检验标准依据'")
    @Column(name="INSPECTION_STANDARD_BASIS", length=100, columnDefinition = "VARCHAR")
    private String inspectionStandardBasis;

    @Length(max=100,message="'储粮性质'最大为100字符")
    @ApiModelProperty(value = "'储粮性质'", notes ="'储粮性质'", example = "'储粮性质'")
    @Column(name="QUALITY", length=100, columnDefinition = "VARCHAR")
    private String quality;

    @ApiModelProperty(value = "'封仓日期'", notes ="'封仓日期'", example = "2019-10-01")
    @Column(name="SEAL_DATE", columnDefinition = "TIMESTAMP")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date sealDate;

    @Length(max=10,message="'封仓状态：0:未封仓最大为10字符")
    @ApiModelProperty(value = "'封仓状态：0:未封仓", notes ="'封仓状态：0:未封仓", example = "：0:未封仓")
    @Column(name="SEAL_STATUS", length=10, columnDefinition = "VARCHAR")
    private String sealStatus;

    //数据库类型:LONGVARCHAR,长度:300
    @ApiModelProperty(value = "'库存识别码'", notes ="'库存识别码'", example = "'库存识别码'")
    @Column(name="AUTH_CODE", columnDefinition = "LONGVARCHAR")
    private String authCode;

    @ApiModelProperty(value = "'组织结构id'", notes ="'组织结构id'", example = "1")
    @Column(name="ORG_ID", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer orgId;

    @ApiModelProperty(value = "'0:最新数据", notes ="'0:最新数据", example = "1")
    @Column(name="HISTORY_STATUS", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer historyStatus;

    @Length(max=100,message="'互混率(%)'最大为100字符")
    @ApiModelProperty(value = "'互混率(%)'", notes ="'互混率(%)'", example = "'互混率(%)'")
    @Column(name="INTERMIXING_RATE", length=100, columnDefinition = "VARCHAR")
    private String intermixingRate;

    @Length(max=100,message="'气味、滋味'最大为100字符")
    @ApiModelProperty(value = "'气味、滋味'", notes ="'气味、滋味'", example = "'气味、滋味'")
    @Column(name="SMELLTASTE", length=100, columnDefinition = "VARCHAR")
    private String smelltaste;

    @Length(max=100,message="'透明度'最大为100字符")
    @ApiModelProperty(value = "'透明度'", notes ="'透明度'", example = "'透明度'")
    @Column(name="TRANSPARENCY", length=100, columnDefinition = "VARCHAR")
    private String transparency;

    @Length(max=100,message="'过氧化值(mmol/kg)'最大为100字符")
    @ApiModelProperty(value = "'过氧化值(mmol/kg)'", notes ="'过氧化值(mmol/kg)'", example = "'过氧化值(mmol/kg)'")
    @Column(name="PEROXIDE_VALUE", length=100, columnDefinition = "VARCHAR")
    private String peroxideValue;

    @Length(max=100,message="'烟点℃'最大为100字符")
    @ApiModelProperty(value = "'烟点℃'", notes ="'烟点℃'", example = "'烟点℃'")
    @Column(name="SMOKE_POINT", length=100, columnDefinition = "VARCHAR")
    private String smokePoint;

    @Length(max=100,message="'冷冻实验(0℃储藏5最大为100字符")
    @ApiModelProperty(value = "'冷冻实验(0℃储藏5", notes ="'冷冻实验(0℃储藏5", example = "'冷冻实验(0℃储藏5")
    @Column(name="REEZE_TEST", length=100, columnDefinition = "VARCHAR")
    private String reezeTest;

    @Length(max=100,message="'溶剂残留量(mg/kg)'最大为100字符")
    @ApiModelProperty(value = "'溶剂残留量(mg/kg)'", notes ="'溶剂残留量(mg/kg)'", example = "'溶剂残留量(mg/kg)'")
    @Column(name="RESIDUAL_SOLVENT", length=100, columnDefinition = "VARCHAR")
    private String residualSolvent;

    @Length(max=100,message="'铅(Pb)'最大为100字符")
    @ApiModelProperty(value = "'铅(Pb)'", notes ="'铅(Pb)'", example = "'铅(Pb)'")
    @Column(name="LEAD", length=100, columnDefinition = "VARCHAR")
    private String lead;

    @Length(max=100,message="'总砷(以As计)(mg/kg)'最大为100字符")
    @ApiModelProperty(value = "'总砷(以As计)(mg/kg)'", notes ="'总砷(以As计)(mg/kg)'", example = "'总砷(以As计)(mg/kg)'")
    @Column(name="TOTAL_ARSENIC", length=100, columnDefinition = "VARCHAR")
    private String totalArsenic;

    @Length(max=100,message="'黄曲霉毒素(ug/kg)'最大为100字符")
    @ApiModelProperty(value = "'黄曲霉毒素(ug/kg)'", notes ="'黄曲霉毒素(ug/kg)'", example = "'黄曲霉毒素(ug/kg)'")
    @Column(name="AFLATOXIN", length=100, columnDefinition = "VARCHAR")
    private String aflatoxin;

    @Length(max=100,message="'特丁基对二苯酚(g/kg)'最大为100字符")
    @ApiModelProperty(value = "'特丁基对二苯酚(g/kg)'", notes ="'特丁基对二苯酚(g/kg)'", example = "'特丁基对二苯酚(g/kg)'")
    @Column(name="BUTYL_PHENOL", length=100, columnDefinition = "VARCHAR")
    private String butylPhenol;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ", example = "2019-10-01")
    @Column(name="UPDATETIME", columnDefinition = "TIMESTAMP")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date updatetime;

    @Length(max=100,message="'扦样机构'最大为100字符")
    @ApiModelProperty(value = "'扦样机构'", notes ="'扦样机构'", example = "'扦样机构'")
    @Column(name="CHOOSE_ORGAN", length=100, columnDefinition = "VARCHAR")
    private String chooseOrgan;

    @Length(max=100,message="'粮情卡id'最大为100字符")
    @ApiModelProperty(value = "'粮情卡id'", notes ="'粮情卡id'", example = "'粮情卡id'")
    @Column(name="QUAILTYCARD_ID", length=100, columnDefinition = "VARCHAR")
    private String quailtycardId;

    @ApiModelProperty(value = "'保存:1", notes ="'保存:1", example = "1")
    @Column(name="FLAG_TYPE", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer flagType;

    @ApiModelProperty(value = "'代储点用到的代储库id", notes ="'代储点用到的代储库id", example = "1")
    @Column(name="DEPOT_ID", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer depotId;

    @Length(max=100,message="'指标类别'最大为100字符")
    @ApiModelProperty(value = "'指标类别'", notes ="'指标类别'", example = "'指标类别'")
    @Column(name="ZBLB", length=100, columnDefinition = "VARCHAR")
    private String zblb;

    @Length(max=100,message="'扦样区域'最大为100字符")
    @ApiModelProperty(value = "'扦样区域'", notes ="'扦样区域'", example = "'扦样区域'")
    @Column(name="QYQY", length=100, columnDefinition = "VARCHAR")
    private String qyqy;

    @Length(max=100,message="'是否正常存储年限'最大为100字符")
    @ApiModelProperty(value = "'是否正常存储年限'", notes ="'是否正常存储年限'", example = "'是否正常存储年限'")
    @Column(name="SFZCCCNX", length=100, columnDefinition = "VARCHAR")
    private String sfzcccnx;

    public StorageQualityCheckVO(){
        super();
    }

    @ApiModelProperty(value = "质量检查信息详情表", notes ="子表---STORAGE_QUALITYCHECK_INSPECTION", example = "")
    private List<StorageQualityCheckInspectionVO> itemList;

    @ApiModelProperty(value = "货位编码")
    private String hwbm;
}