package com.jusfoun.ydylsz.vo;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

@ApiModel(value = "库存信息")
@Table(name = "xwk_lsckxx")
@Data
public class XwkKcxx  {
	private String kcxxid;

	@ApiModelProperty(value = "货位编码")
	private String hwbm;

	@ApiModelProperty(value = "货位名称")
	private String hwmc;

	@ApiModelProperty(value = "年度")
	private String nd;

	@ApiModelProperty(value = "期间")
	private String qj;

	@ApiModelProperty(value = "品种")
	private String pzbm;

	@ApiModelProperty(value = "性质")
	private String lsxzbm;

	@ApiModelProperty(value = "入库时间")
	private Date rksj;

	@ApiModelProperty(value = "等级")
	private String djbm;

	@ApiModelProperty(value = "首获年度")
	private String shnd;

	@ApiModelProperty(value = "封仓时间")
	private String fcsj;

	@ApiModelProperty(value = "封仓数量")
	private String fcsl;

	@ApiModelProperty(value = "库存数量")
	private Double kcsl;

	@ApiModelProperty(value = "产地")
	private String cd;

	@ApiModelProperty(value = "国别")
	private String gb;

	@ApiModelProperty(value = "货位状态")
	private String hwzt;


	@ApiModelProperty(value = "粮食类别")
	private String lslb;

	private Integer times;

	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
	private Date crtime;


	@ApiModelProperty(value = "油罐来源")
	private String ygly;

	@ApiModelProperty(value = "企业编码")
	private String qybm;

	@ApiModelProperty(value = "品种编码名称")
	private String pzbmmc;
	@ApiModelProperty(value = "粮食性质编码名称")
	private String lsxzbmmc;

	@ApiModelProperty(value = "明细品种")
	private String mxpz;

	@ApiModelProperty(value = "入仓时间")
	private Date rcsj;

    public enum LSXZBM {
        SJ("6877", "市级储备粮"),
        XJ("6878", "区级储备粮");

        @Getter
        private String value;
        @Getter
        private String name;

        LSXZBM(String value, String name) {
            this.value = value;
            this.name = name;
        }
        public boolean equalsVal(String val) {
            return this.value.equals(val);
        }
    }

}
