package com.jusfoun.ydylsz.vo;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Value;
import org.springframework.format.annotation.DateTimeFormat;

@Data
@ApiModel(value = "入库信息")
@Table(name="xwk_lsrkxxjk")
public class XwkLsrkxxjk {


    private String lsrkid;

    @ApiModelProperty(value = "货位编码")
    @Column(name = "hwdm")
    private String hwdm;

    @ApiModelProperty(value = "业务类型2：入库默认", notes = "业务类型")
    @Column(name = "ywlx")
    private String ywlx;

    @ApiModelProperty(value = "业务日期格式：yyyy-MM-dd", notes = "业务日期")
    @Column(name = "ywrq")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ywrq;

    @ApiModelProperty(value = "计划明细号")
    @Column(name = "jhmxh")
    private String jhmxh;

    @ApiModelProperty(value = "合同号")
    @Column(name = "hth")
    private String hth;


    @ApiModelProperty(value = "承运人")
    @Column(name = "cyr")
    private String cyr;

    @ApiModelProperty(value = "联系电话")
    @Column(name = "lxdh")
    private String lxdh;

    @ApiModelProperty(value = "身份证号")
    @Column(name = "sfzh")
    private String sfzh;

    @ApiModelProperty(value = "详细地址省自治区、直辖市+市自治州、区+县或县级市自治县、街道+详细地址含门牌号", notes = "详细地址")
    @Column(name = "xxdz")
    private String xxdz;

    @ApiModelProperty(value = "运输工具1：汽车2：火车3：轮船9：其他", notes = "运输工具")
    @Column(name = "ysgj")
    private String ysgj;

    @ApiModelProperty(value = "车船号")
    @Column(name = "cch")
    private String cch;

    @ApiModelProperty(value = "登记时间格式：yyyy-MM-dd HH:mm:ss", notes = "登记时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "djsj")
    private Date djsj;

    @ApiModelProperty(value = "登记门岗人员姓名")
    @Column(name = "djmgryxm")
    private String djmgryxm;

    @ApiModelProperty(value = "品种编码")
    @Column(name = "lspzdm")
    private String lspzdm;

    @ApiModelProperty(value = "品种")
    @Column(name = "lspz")
    private String lspz;

    @ApiModelProperty(value = "等级")
    @Column(name = "lsdj")
    private String lsdj;

    @ApiModelProperty(value = "性质代码")
    @Column(name = "lsxzdm")
    private String lsxzdm;

    @ApiModelProperty(value = "收获年度")
    @Column(name = "shnd")
    private String shnd;

    @ApiModelProperty(value = "产地代码")
    @Column(name = "cddm")
    private String cddm;

    @ApiModelProperty(value = "检斤类型0：称重入库1：标准包入库默认为称重入库，标准包入库相关字段可为空", notes = "检斤类型")
    @Column(name = "jjlx")
    private String jjlx;

    @ApiModelProperty(value = "毛重单位：公斤", notes = "毛重单位")
    @Column(name = "mz")
    private BigDecimal mz;

    @ApiModelProperty(value = "毛重监磅员")
    @Column(name = "mzjby")
    private String mzjby;

    @ApiModelProperty(value = "毛重计量时间格式：yyyy-MM-dd HH:mm:ss", notes = "毛重计量时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "mzjlsj")
    private Date mzjlsj;

    @ApiModelProperty(value = "毛重计量员")
    @Column(name = "mzjly")
    private String mzjly;

    @ApiModelProperty(value = "值仓员")
    @Column(name = "zcy")
    private String zcy;

    @ApiModelProperty(value = "皮重单位：公斤", notes = "皮重:公斤")
    @Column(name = "pz")
    private BigDecimal pz;

    @ApiModelProperty(value = "皮重监磅员")
    @Column(name = "pzjby")
    private String pzjby;

    @ApiModelProperty(value = "皮重计量时间格式：yyyy-MM-dd HH:mm:ss", notes = "皮重计量时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "pzjlsj")
    private Date pzjlsj;

    @ApiModelProperty(value = "皮重计量员")
    @Column(name = "pzjly")
    private String pzjly;

    @ApiModelProperty(value = "包装物1：麻袋2：编织袋3：散装9：其他", notes = "包装物")
    @Column(name = "bzw")
    private String bzw;

    @ApiModelProperty(value = "标准包单包重单位：公斤", notes = "标准包单包重:公斤")
    @Column(name = "bzbdbz")
    private BigDecimal bzbdbz;

    @ApiModelProperty(value = "标准包件数单位：件", notes = "标准包件数")
    @Column(name = "bzbjs")
    private BigDecimal bzbjs;

    @ApiModelProperty(value = "质检扣量单位：公斤", notes = "质检扣量:公斤")
    @Column(name = "zjkl")
    private BigDecimal zjkl;

    @ApiModelProperty(value = "包装物扣量单位：公斤", notes = "包装物扣量:公斤")
    @Column(name = "bzwkl")
    private BigDecimal bzwkl;

    @ApiModelProperty(value = "其他扣量单位：公斤", notes = "其他扣量:公斤")
    @Column(name = "qtkl")
    private BigDecimal qtkl;

    @ApiModelProperty(value = "扣量原因")
    @Column(name = "klyy")
    private String klyy;

    @ApiModelProperty(value = "扣水杂单位：公斤", notes = "扣水杂:公斤")
    @Column(name = "ksz")
    private BigDecimal ksz;

    @ApiModelProperty(value = "扣整晒单位：公斤", notes = "扣整晒:公斤")
    @Column(name = "kzs")
    private BigDecimal kzs;

    @ApiModelProperty(value = "现场扣量单位：公斤", notes = "现场扣量:公斤")
    @Column(name = "xckl")
    private BigDecimal xckl;

    @ApiModelProperty(value = "净重单位：公斤", notes = "净重:公斤")
    @Column(name = "jz")
    private BigDecimal jz;

    @ApiModelProperty(value = "净重单位：顿", notes = "净重:顿")
    @Column(name = "jzstr")
    private String jzstr;
    //LGD add
    @ApiModelProperty(value = "结算单价")
    @Column(name = "jsdj")
    private String jsdj;

    @ApiModelProperty(value = "结算重量")
    @Column(name = "jszl")
    private String jszl;

    @ApiModelProperty(value = "结算金额")
    @Column(name = "jsje")
    private String jsje;

    @ApiModelProperty(value = "储粮方式")
    @Column(name = "ccfs")
    private String ccfs;

    @ApiModelProperty(value = "扦样人员")
    @Column(name = "qyry")
    private String qyry;
        //end
    @ApiModelProperty(value = "出门时间格式：yyyy-MM-dd HH:mm:ss", notes = "出门时间")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "cmsj")
    private String cmsj;

    @ApiModelProperty(value = "出门确认门岗人员姓名")
    @Column(name = "cmqrmgryxm")
    private String cmqrmgryxm;

    @ApiModelProperty(value = "入库结算单号关联1203接口入库结算单号", notes = "入库结算单号")
    @Column(name = "rkjsdh")
    private String rkjsdh;

    @ApiModelProperty(value = "扦样时间")
    @Column(name = "qysj")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qysj;

    @ApiModelProperty(value = "质检时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column(name = "zjsj")
    private Date zjsj;

    @ApiModelProperty(value = "质检人员")
    @Column(name = "zjry")
    private String zjry;

    @ApiModelProperty(value = "客户编号")
    @Column(name = "khbh")
    private String khbh;

    @ApiModelProperty(value = "入库单据号")
    @Column(name = "bizno")
    private String bizno;

    @ApiModelProperty(value = "质检信息")
    private Zjxx zjxx;

    @ApiModelProperty(value = "客户名称")
    @Column(name = "khmc")
    private String khmc;

    @ApiModelProperty(value = "保管员")
    @Column(name = "bgy")
    private String bgy;

    @ApiModelProperty(value = "仓房名称")
    @Column(name = "cfmc")
    private String cfmc;

    @ApiModelProperty(value = "廒间编号")
    @Column(name = "ajbh")
    private String ajbh;

    @ApiModelProperty(value = "银行账号")
    @Column(name = "yhkh")
    private String yhkh;

    @ApiModelProperty(value = "合同编号")
    @Column(name = "htbm")
    private String htbm;

    @ApiModelProperty(value = "承运人联系电话")
    @Column(name = "lxdh1")
    private String lxdh1;

    @ApiModelProperty(value = "承运人身份证号")
    @Column(name = "sfzh1")
    private String sfzh1;

    @ApiModelProperty(value = "开户行名称")
    @Column(name = "khhmc")
    private String khhmc;

    @ApiModelProperty(value = "登记时间开始格式：yyyy-MM-dd HH:mm:ss", notes = "登记时间开始")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date djsjStart;

    @ApiModelProperty(value = "登记时间结束格式：yyyy-MM-dd HH:mm:ss", notes = "登记时间结束")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date djsjEnd;

    @ApiModelProperty(value = "毛重、皮重图片视频信息")
    private List<XwkkuPicVo> xwkkuPicList;

    @ApiModelProperty(value = "明细品种")
    @Column(name = "mxpz")
    private String mxpz;

    @ApiModelProperty(value = "库点名称")
    private String kdmc;
}
