drop view "gbasedbt".v_house_and_tank;
create view v_house_and_tank (
             warehouse_id, warehouse_name, storehouse_id, org_id, spt_dataid
)
as
select warehouse_id, warehouse_name, storehouse_id, org_id, spt_dataid
from (
---
select w.warehouse_id, w.warehouse_name, w.storehouse_id, w.org_id, w.spt_dataid, t2.gfcfmc, t2.gfcfdm
from depot:basic_warehouse w
left join base:d_cfxxsjy t2 on t2.cfbh = w.spt_dataid
union all
----
select t.id warehouse_id, t.storagetank_name warehouse_name, t.id storehouse_id, t.org_id, t.spt_dataid, t2.ygmc, t2.ygbh
from depot:basic_tank t
left join base:d_ygxxsjy t2 on t2.id = t.spt_dataid
)-- 货位和油罐

drop view depot:v_house_and_tank;
create view depot:v_house_and_tank (
        warehouse_id, warehouse_name, storehouse_id, org_id, spt_dataid, gfcfmc, gfcfdm
        )
as
select cast(warehouse_id as integer) warehouse_id, warehouse_name, storehouse_id, org_id, spt_dataid, gfcfmc, gfcfdm
from (
---
 select w.warehouse_id, w.warehouse_name, w.storehouse_id, w.org_id, w.spt_dataid, t2.gfcfmc, t2.gfcfdm
 from depot:basic_warehouse w
left join base:d_cfxxsjy t2 on t2.cfbh = w.spt_dataid
 union all
----
 select cast(t.id as integer) warehouse_id, t.storagetank_name warehouse_name, t.id storehouse_id, t.org_id, t.spt_dataid, t2.ygmc, t2.ygbh
 from depot:basic_tank t
     left join base:d_ygxxsjy t2 on t2.id = t.spt_dataid
)
comment on table v_house_and_tank is '货位加油罐 市平台用'
